* This dataset cleans the original IPUMS Census Microsample File for the Poverty Analyses
* It defines race in three ways
* Final part of the file make large race groups such as total indians and total whites
* If needed analyses change, this file will have to change
* 1980, 1990 & 2000 take an hour each to run
* Every other year takes about 6 minutes
* Total running time 5 hours

foreach yyy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
clear
clear matrix
set mem 14g
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use if year==`yyy' using "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA\01A - IPUMS Read In.dta", clear

drop gq momloc momrule poploc poprule nsibs sploc sprule relate related occ indnaics occsoc

egen hhnum=group(serial datanum year)
label variable hhnum "HH Identifier (unique by year)"
egen fmnum=group(serial datanum year famunit)
label variable fmnum "Family Identifier (unique by year)"

gen count=1

** State **
rename statefip state

*** Race ***

* 1 = White Only
* 2 = Black Only
* 3 = Indian Only
* 4 = Mixed-Race Indian
* 5 = Other / Multiple
rename race race1
recode race1 1=3 2=4 3=5 4=9 5=9 6=9 7=9 8=9
replace race1=8 if ancestr1==210
replace race1=8 if ancestr1==211
replace race1=8 if ancestr1==218
replace race1=8 if ancestr2==210
replace race1=8 if ancestr2==211
replace race1=8 if ancestr2==218
replace race1=9 if raced>=140 & raced<=150
replace race1=9 if raced==210
replace race1=5 if raced>=300 & raced<=399
replace race1=6 if raced==329
replace race1=6 if raced==330
replace race1=6 if raced==351
replace race1=6 if raced==359
replace race1=6 if raced==360
replace race1=6 if raced==802
replace race1=6 if raced==830
replace race1=6 if raced>=850 & raced<=856
replace race1=6 if raced==901
replace race1=6 if raced>=905 & raced<=907
replace race1=6 if raced==916
replace race1=6 if raced>=930 & raced<=932
replace race1=6 if raced>=940 & raced<=942
replace race1=6 if raced>=950 & raced<=952
replace race1=6 if raced>=960 & raced<=962
replace race1=6 if raced>=970 & raced<=972
replace race1=6 if raced>=980 & raced<=982
replace race1=6 if raced==990
replace race1=6 if raced==991
replace race1=9 if race1==3 & hispan>=1 & hispan<=4
replace race1=9 if race1==4 & hispan>=1 & hispan<=4
replace race1=6 if race1==5 & hispan>=1 & hispan<=4

label define race 1 "1- Urban White Only" 2 "2-Rural White Only" 3 "3- Non-Hispanic White Only" 4 "4- Black Only" 5 "5- Indian Only" ///
6 "6- Mixed-Race Indian (<2000 if Hispanic)" 7 "7- All Indian" 8 "8- Mexican" 9 "9- Other / Multiple", replace
label values race1 race
label variable race1 "Race (Major Race - No Mixed <2000)"

gen race2=race1
replace race2=9 if ancestr1==1 & race1!=3
replace race2=9 if ancestr1==2 & race1!=3
replace race2=9 if ancestr1==3 & race1!=3
replace race2=9 if ancestr1==4 & race1!=3
replace race2=9 if ancestr1==5 & race1!=3
replace race2=9 if ancestr1==6 & race1!=3
replace race2=9 if ancestr1==8 & race1!=3
replace race2=9 if ancestr1==9 & race1!=3
replace race2=9 if ancestr1==10 & race1!=3
replace race2=9 if ancestr1==11 & race1!=3
replace race2=9 if ancestr1==12 & race1!=3
replace race2=9 if ancestr1==13 & race1!=3
replace race2=9 if ancestr1==14 & race1!=3
replace race2=9 if ancestr1==15 & race1!=3
replace race2=9 if ancestr1==16 & race1!=3
replace race2=9 if ancestr1==17 & race1!=3
replace race2=9 if ancestr1==18 & race1!=3
replace race2=9 if ancestr1==19 & race1!=3
replace race2=9 if ancestr1==20 & race1!=3
replace race2=9 if ancestr1==21 & race1!=3
replace race2=9 if ancestr1==22 & race1!=3
replace race2=9 if ancestr1==23 & race1!=3
replace race2=9 if ancestr1==24 & race1!=3
replace race2=9 if ancestr1==25 & race1!=3
replace race2=9 if ancestr1==26 & race1!=3
replace race2=9 if ancestr1==27 & race1!=3
replace race2=9 if ancestr1==28 & race1!=3
replace race2=9 if ancestr1==29 & race1!=3
replace race2=9 if ancestr1==30 & race1!=3
replace race2=9 if ancestr1==32 & race1!=3
replace race2=9 if ancestr1==33 & race1!=3
replace race2=9 if ancestr1==34 & race1!=3
replace race2=9 if ancestr1==35 & race1!=3
replace race2=9 if ancestr1==36 & race1!=3
replace race2=9 if ancestr1==37 & race1!=3
replace race2=9 if ancestr1==38 & race1!=3
replace race2=9 if ancestr1==39 & race1!=3
replace race2=9 if ancestr1==40 & race1!=3
replace race2=9 if ancestr1==41 & race1!=3
replace race2=9 if ancestr1==42 & race1!=3
replace race2=9 if ancestr1==43 & race1!=3
replace race2=9 if ancestr1==46 & race1!=3
replace race2=9 if ancestr1==47 & race1!=3
replace race2=9 if ancestr1==48 & race1!=3
replace race2=9 if ancestr1==49 & race1!=3
replace race2=9 if ancestr1==50 & race1!=3
replace race2=9 if ancestr1==51 & race1!=3
replace race2=9 if ancestr1==53 & race1!=3
replace race2=9 if ancestr1==54 & race1!=3
replace race2=9 if ancestr1==55 & race1!=3
replace race2=9 if ancestr1==56 & race1!=3
replace race2=9 if ancestr1==57 & race1!=3
replace race2=9 if ancestr1==58 & race1!=3
replace race2=9 if ancestr1==59 & race1!=3
replace race2=9 if ancestr1==60 & race1!=3
replace race2=9 if ancestr1==61 & race1!=3
replace race2=9 if ancestr1==62 & race1!=3
replace race2=9 if ancestr1==63 & race1!=3
replace race2=9 if ancestr1==64 & race1!=3
replace race2=9 if ancestr1==65 & race1!=3
replace race2=9 if ancestr1==66 & race1!=3
replace race2=9 if ancestr1==67 & race1!=3
replace race2=9 if ancestr1==68 & race1!=3
replace race2=9 if ancestr1==69 & race1!=3
replace race2=9 if ancestr1==70 & race1!=3
replace race2=9 if ancestr1==71 & race1!=3
replace race2=9 if ancestr1==72 & race1!=3
replace race2=9 if ancestr1==73 & race1!=3
replace race2=9 if ancestr1==75 & race1!=3
replace race2=9 if ancestr1==76 & race1!=3
replace race2=9 if ancestr1==77 & race1!=3
replace race2=9 if ancestr1==78 & race1!=3
replace race2=9 if ancestr1==79 & race1!=3
replace race2=9 if ancestr1==80 & race1!=3
replace race2=9 if ancestr1==81 & race1!=3
replace race2=9 if ancestr1==82 & race1!=3
replace race2=9 if ancestr1==84 & race1!=3
replace race2=9 if ancestr1==85 & race1!=3
replace race2=9 if ancestr1==86 & race1!=3
replace race2=9 if ancestr1==87 & race1!=3
replace race2=9 if ancestr1==88 & race1!=3
replace race2=9 if ancestr1==89 & race1!=3
replace race2=9 if ancestr1==90 & race1!=3
replace race2=9 if ancestr1==91 & race1!=3
replace race2=9 if ancestr1==92 & race1!=3
replace race2=9 if ancestr1==95 & race1!=3
replace race2=9 if ancestr1==96 & race1!=3
replace race2=9 if ancestr1==97 & race1!=3
replace race2=9 if ancestr1==98 & race1!=3
replace race2=9 if ancestr1==100 & race1!=3
replace race2=9 if ancestr1==101 & race1!=3
replace race2=9 if ancestr1==102 & race1!=3
replace race2=9 if ancestr1==103 & race1!=3
replace race2=9 if ancestr1==105 & race1!=3
replace race2=9 if ancestr1==108 & race1!=3
replace race2=9 if ancestr1==109 & race1!=3
replace race2=9 if ancestr1==111 & race1!=3
replace race2=9 if ancestr1==112 & race1!=3
replace race2=9 if ancestr1==115 & race1!=3
replace race2=9 if ancestr1==116 & race1!=3
replace race2=9 if ancestr1==117 & race1!=3
replace race2=9 if ancestr1==118 & race1!=3
replace race2=9 if ancestr1==119 & race1!=3
replace race2=9 if ancestr1==120 & race1!=3
replace race2=9 if ancestr1==122 & race1!=3
replace race2=9 if ancestr1==123 & race1!=3
replace race2=9 if ancestr1==124 & race1!=3
replace race2=9 if ancestr1==125 & race1!=3
replace race2=9 if ancestr1==126 & race1!=3
replace race2=9 if ancestr1==128 & race1!=3
replace race2=9 if ancestr1==129 & race1!=3
replace race2=9 if ancestr1==130 & race1!=3
replace race2=9 if ancestr1==132 & race1!=3
replace race2=9 if ancestr1==133 & race1!=3
replace race2=9 if ancestr1==140 & race1!=3
replace race2=9 if ancestr1==142 & race1!=3
replace race2=9 if ancestr1==143 & race1!=3
replace race2=9 if ancestr1==144 & race1!=3
replace race2=9 if ancestr1==145 & race1!=3
replace race2=9 if ancestr1==146 & race1!=3
replace race2=9 if ancestr1==147 & race1!=3
replace race2=9 if ancestr1==148 & race1!=3
replace race2=9 if ancestr1==150 & race1!=3
replace race2=9 if ancestr1==152 & race1!=3
replace race2=9 if ancestr1==153 & race1!=3
replace race2=9 if ancestr1==154 & race1!=3
replace race2=9 if ancestr1==155 & race1!=3
replace race2=9 if ancestr1==156 & race1!=3
replace race2=9 if ancestr1==157 & race1!=3
replace race2=9 if ancestr1==158 & race1!=3
replace race2=9 if ancestr1==159 & race1!=3
replace race2=9 if ancestr1==160 & race1!=3
replace race2=9 if ancestr1==163 & race1!=3
replace race2=9 if ancestr1==164 & race1!=3
replace race2=9 if ancestr1==165 & race1!=3
replace race2=9 if ancestr1==169 & race1!=3
replace race2=9 if ancestr1==171 & race1!=3
replace race2=9 if ancestr1==176 & race1!=3
replace race2=9 if ancestr1==178 & race1!=3
replace race2=9 if ancestr1==179 & race1!=3
replace race2=9 if ancestr1==181 & race1!=3
replace race2=9 if ancestr1==183 & race1!=3
replace race2=9 if ancestr1==185 & race1!=3
replace race2=9 if ancestr1==187 & race1!=3
replace race2=9 if ancestr1==190 & race1!=3
replace race2=9 if ancestr1==195 & race1!=3
replace race2=9 if ancestr1==200 & race1!=3
replace race2=9 if ancestr1==201
replace race2=9 if ancestr1==202
replace race2=9 if ancestr1==204
replace race2=9 if ancestr1==205
replace race2=9 if ancestr1==206
replace race2=9 if ancestr1==210 & race1!=8
replace race2=9 if ancestr1==211 & race1!=8
replace race2=9 if ancestr1==213
replace race2=9 if ancestr1==218 & race1!=8
replace race2=9 if ancestr1==219
replace race2=9 if ancestr1==221
replace race2=9 if ancestr1==222
replace race2=9 if ancestr1==223
replace race2=9 if ancestr1==224
replace race2=9 if ancestr1==225
replace race2=9 if ancestr1==226
replace race2=9 if ancestr1==227
replace race2=9 if ancestr1==231
replace race2=9 if ancestr1==232
replace race2=9 if ancestr1==233
replace race2=9 if ancestr1==234
replace race2=9 if ancestr1==235
replace race2=9 if ancestr1==236
replace race2=9 if ancestr1==237
replace race2=9 if ancestr1==238
replace race2=9 if ancestr1==239
replace race2=9 if ancestr1==248
replace race2=9 if ancestr1==261
replace race2=9 if ancestr1==271
replace race2=9 if ancestr1==275
replace race2=9 if ancestr1==290
replace race2=9 if ancestr1==291
replace race2=9 if ancestr1==295
replace race2=9 if ancestr1==296
replace race2=9 if ancestr1==300 & race1!=4
replace race2=9 if ancestr1==301 & race1!=4
replace race2=9 if ancestr1==302 & race1!=4
replace race2=9 if ancestr1==303 & race1!=4
replace race2=9 if ancestr1==304 & race1!=4
replace race2=9 if ancestr1==308 & race1!=4
replace race2=9 if ancestr1==310 & race1!=4
replace race2=9 if ancestr1==311 & race1!=4
replace race2=9 if ancestr1==312 & race1!=4
replace race2=9 if ancestr1==314 & race1!=4
replace race2=9 if ancestr1==315 & race1!=4
replace race2=9 if ancestr1==316 & race1!=4
replace race2=9 if ancestr1==317 & race1!=4
replace race2=9 if ancestr1==321 & race1!=4
replace race2=9 if ancestr1==322 & race1!=4
replace race2=9 if ancestr1==323 & race1!=4
replace race2=9 if ancestr1==324 & race1!=4
replace race2=9 if ancestr1==328 & race1!=4
replace race2=9 if ancestr1==329 & race1!=4
replace race2=9 if ancestr1==331 & race1!=4
replace race2=9 if ancestr1==332 & race1!=4
replace race2=9 if ancestr1==333 & race1!=4
replace race2=9 if ancestr1==334 & race1!=4
replace race2=9 if ancestr1==335 & race1!=4
replace race2=9 if ancestr1==336 & race1!=4
replace race2=9 if ancestr1==337 & race1!=4
replace race2=9 if ancestr1==360
replace race2=9 if ancestr1==365
replace race2=9 if ancestr1==370
replace race2=9 if ancestr1==375 
replace race2=9 if ancestr1==380 
replace race2=9 if ancestr1==400 & race1!=4
replace race2=9 if ancestr1==402 & race1!=4
replace race2=9 if ancestr1==404 & race1!=4
replace race2=9 if ancestr1==406 & race1!=4
replace race2=9 if ancestr1==407 & race1!=4
replace race2=9 if ancestr1==408 & race1!=4
replace race2=9 if ancestr1==411 & race1!=4
replace race2=9 if ancestr1==412
replace race2=9 if ancestr1==413
replace race2=9 if ancestr1==414
replace race2=9 if ancestr1==415
replace race2=9 if ancestr1==416
replace race2=9 if ancestr1==417
replace race2=9 if ancestr1==419 & race1!=3
replace race2=9 if ancestr1==421
replace race2=9 if ancestr1==423
replace race2=9 if ancestr1==425
replace race2=9 if ancestr1==427
replace race2=9 if ancestr1==429
replace race2=9 if ancestr1==431
replace race2=9 if ancestr1==434
replace race2=9 if ancestr1==435
replace race2=9 if ancestr1==436
replace race2=9 if ancestr1==437
replace race2=9 if ancestr1==438
replace race2=9 if ancestr1==439
replace race2=9 if ancestr1==442
replace race2=9 if ancestr1==444
replace race2=9 if ancestr1==465
replace race2=9 if ancestr1==466
replace race2=9 if ancestr1==467
replace race2=9 if ancestr1==470
replace race2=9 if ancestr1==471
replace race2=9 if ancestr1==480
replace race2=9 if ancestr1==482
replace race2=9 if ancestr1==490
replace race2=9 if ancestr1==495
replace race2=9 if ancestr1==496
replace race2=9 if ancestr1==500 & race1!=4
replace race2=9 if ancestr1==502 & race1!=4
replace race2=9 if ancestr1==504 & race1!=4
replace race2=9 if ancestr1==506 & race1!=4
replace race2=9 if ancestr1==508 & race1!=4
replace race2=9 if ancestr1==510 & race1!=4
replace race2=9 if ancestr1==513 & race1!=4
replace race2=9 if ancestr1==515 & race1!=4
replace race2=9 if ancestr1==516 & race1!=4
replace race2=9 if ancestr1==519 & race1!=4
replace race2=9 if ancestr1==520 & race1!=4
replace race2=9 if ancestr1==522 & race1!=4
replace race2=9 if ancestr1==523 & race1!=4
replace race2=9 if ancestr1==525 & race1!=4
replace race2=9 if ancestr1==527 & race1!=4
replace race2=9 if ancestr1==529 & race1!=4
replace race2=9 if ancestr1==530 & race1!=4
replace race2=9 if ancestr1==531 & race1!=4
replace race2=9 if ancestr1==532 & race1!=4
replace race2=9 if ancestr1==534 & race1!=4
replace race2=9 if ancestr1==538 & race1!=4
replace race2=9 if ancestr1==541 & race1!=4
replace race2=9 if ancestr1==543 & race1!=4
replace race2=9 if ancestr1==545 & race1!=4
replace race2=9 if ancestr1==546 & race1!=4
replace race2=9 if ancestr1==549 & race1!=4
replace race2=9 if ancestr1==550 & race1!=4
replace race2=9 if ancestr1==551 & race1!=4
replace race2=9 if ancestr1==553 & race1!=4
replace race2=9 if ancestr1==554 & race1!=4
replace race2=9 if ancestr1==555 & race1!=4
replace race2=9 if ancestr1==556 & race1!=4
replace race2=9 if ancestr1==557 & race1!=4
replace race2=9 if ancestr1==561 & race1!=4
replace race2=9 if ancestr1==564 & race1!=4
replace race2=9 if ancestr1==566 & race1!=4
replace race2=9 if ancestr1==568 & race1!=4
replace race2=9 if ancestr1==569 & race1!=4
replace race2=9 if ancestr1==570 & race1!=4
replace race2=9 if ancestr1==571 & race1!=4
replace race2=9 if ancestr1==572 & race1!=4
replace race2=9 if ancestr1==573 & race1!=4
replace race2=9 if ancestr1==574 & race1!=4
replace race2=9 if ancestr1==576 & race1!=4
replace race2=9 if ancestr1==577 & race1!=4
replace race2=9 if ancestr1==578 & race1!=4
replace race2=9 if ancestr1==579 & race1!=4
replace race2=9 if ancestr1==582 & race1!=4
replace race2=9 if ancestr1==583 & race1!=4
replace race2=9 if ancestr1==584 & race1!=4
replace race2=9 if ancestr1==586 & race1!=4
replace race2=9 if ancestr1==588 & race1!=4
replace race2=9 if ancestr1==589 & race1!=4
replace race2=9 if ancestr1==591 & race1!=4
replace race2=9 if ancestr1==592 & race1!=4
replace race2=9 if ancestr1==593 & race1!=4
replace race2=9 if ancestr1==594 & race1!=4
replace race2=9 if ancestr1==595 & race1!=4
replace race2=9 if ancestr1==596 & race1!=4
replace race2=9 if ancestr1==597 & race1!=4
replace race2=9 if ancestr1==598 & race1!=4
replace race2=9 if ancestr1==599 & race1!=4
replace race2=9 if ancestr1==600
replace race2=9 if ancestr1==601
replace race2=9 if ancestr1==602
replace race2=9 if ancestr1==603
replace race2=9 if ancestr1==607
replace race2=9 if ancestr1==609
replace race2=9 if ancestr1==615
replace race2=9 if ancestr1==622
replace race2=9 if ancestr1==624
replace race2=9 if ancestr1==626
replace race2=9 if ancestr1==628
replace race2=9 if ancestr1==630
replace race2=9 if ancestr1==632
replace race2=9 if ancestr1==634
replace race2=9 if ancestr1==638
replace race2=9 if ancestr1==640
replace race2=9 if ancestr1==642
replace race2=9 if ancestr1==644
replace race2=9 if ancestr1==648
replace race2=9 if ancestr1==650
replace race2=9 if ancestr1==656
replace race2=9 if ancestr1==675
replace race2=9 if ancestr1==680
replace race2=9 if ancestr1==690
replace race2=9 if ancestr1==691
replace race2=9 if ancestr1==692
replace race2=9 if ancestr1==695
replace race2=9 if ancestr1==700
replace race2=9 if ancestr1==702
replace race2=9 if ancestr1==703
replace race2=9 if ancestr1==704
replace race2=9 if ancestr1==706
replace race2=9 if ancestr1==707
replace race2=9 if ancestr1==708
replace race2=9 if ancestr1==709
replace race2=9 if ancestr1==712
replace race2=9 if ancestr1==714
replace race2=9 if ancestr1==716
replace race2=9 if ancestr1==718
replace race2=9 if ancestr1==720
replace race2=9 if ancestr1==730
replace race2=9 if ancestr1==740
replace race2=9 if ancestr1==746
replace race2=9 if ancestr1==748
replace race2=9 if ancestr1==750
replace race2=9 if ancestr1==765
replace race2=9 if ancestr1==766
replace race2=9 if ancestr1==768
replace race2=9 if ancestr1==770
replace race2=9 if ancestr1==774
replace race2=9 if ancestr1==776
replace race2=9 if ancestr1==777
replace race2=9 if ancestr1==778
replace race2=9 if ancestr1==782
replace race2=9 if ancestr1==785
replace race2=9 if ancestr1==786
replace race2=9 if ancestr1==787
replace race2=9 if ancestr1==788
replace race2=9 if ancestr1==790
replace race2=9 if ancestr1==792
replace race2=9 if ancestr1==793
replace race2=9 if ancestr1==795
replace race2=9 if ancestr1==796
replace race2=9 if ancestr1==800
replace race2=9 if ancestr1==801
replace race2=9 if ancestr1==802
replace race2=9 if ancestr1==803
replace race2=9 if ancestr1==808
replace race2=9 if ancestr1==810
replace race2=9 if ancestr1==811
replace race2=9 if ancestr1==813
replace race2=9 if ancestr1==814
replace race2=9 if ancestr1==815
replace race2=9 if ancestr1==816
replace race2=9 if ancestr1==817
replace race2=9 if ancestr1==818
replace race2=9 if ancestr1==819
replace race2=9 if ancestr1==820
replace race2=9 if ancestr1==821
replace race2=9 if ancestr1==822
replace race2=9 if ancestr1==823
replace race2=9 if ancestr1==824
replace race2=9 if ancestr1==825
replace race2=9 if ancestr1==826
replace race2=9 if ancestr1==827
replace race2=9 if ancestr1==828
replace race2=9 if ancestr1==829
replace race2=9 if ancestr1==830
replace race2=9 if ancestr1==831
replace race2=9 if ancestr1==832
replace race2=9 if ancestr1==833
replace race2=9 if ancestr1==834
replace race2=9 if ancestr1==840
replace race2=9 if ancestr1==841
replace race2=9 if ancestr1==843
replace race2=9 if ancestr1==844
replace race2=9 if ancestr1==845
replace race2=9 if ancestr1==846
replace race2=9 if ancestr1==847
replace race2=9 if ancestr1==850
replace race2=9 if ancestr1==860
replace race2=9 if ancestr1==862
replace race2=9 if ancestr1==863
replace race2=9 if ancestr1==870
replace race2=9 if ancestr1==900 & race1!=4
replace race2=9 if ancestr1==902 & race1!=4
replace race2=9 if ancestr1==913
replace race2=9 if ancestr1==914
replace race2=1 if ancestr1==920 & race1!=5
replace race2=9 if ancestr1==921 & race1!=5
replace race2=9 if ancestr1==922 & race1!=5
replace race2=9 if ancestr1==923 & race1!=5
replace race2=9 if ancestr1==924 & race1!=3
replace race2=9 if ancestr1==930 & race1!=3
replace race2=9 if ancestr1==931 & race1!=3
replace race2=9 if ancestr1==933 & race1!=3
replace race2=9 if ancestr1==934 & race1!=3
replace race2=9 if ancestr1==935 & race1!=3
replace race2=9 if ancestr1==936 & race1!=3


replace race2=9 if ancestr2==1 & race1!=3
replace race2=9 if ancestr2==2 & race1!=3
replace race2=9 if ancestr2==3 & race1!=3
replace race2=9 if ancestr2==4 & race1!=3
replace race2=9 if ancestr2==5 & race1!=3
replace race2=9 if ancestr2==6 & race1!=3
replace race2=9 if ancestr2==8 & race1!=3
replace race2=9 if ancestr2==9 & race1!=3
replace race2=9 if ancestr2==10 & race1!=3
replace race2=9 if ancestr2==11 & race1!=3
replace race2=9 if ancestr2==12 & race1!=3
replace race2=9 if ancestr2==13 & race1!=3
replace race2=9 if ancestr2==14 & race1!=3
replace race2=9 if ancestr2==15 & race1!=3
replace race2=9 if ancestr2==16 & race1!=3
replace race2=9 if ancestr2==17 & race1!=3
replace race2=9 if ancestr2==18 & race1!=3
replace race2=9 if ancestr2==19 & race1!=3
replace race2=9 if ancestr2==20 & race1!=3
replace race2=9 if ancestr2==21 & race1!=3
replace race2=9 if ancestr2==22 & race1!=3
replace race2=9 if ancestr2==23 & race1!=3
replace race2=9 if ancestr2==24 & race1!=3
replace race2=9 if ancestr2==25 & race1!=3
replace race2=9 if ancestr2==26 & race1!=3
replace race2=9 if ancestr2==27 & race1!=3
replace race2=9 if ancestr2==28 & race1!=3
replace race2=9 if ancestr2==29 & race1!=3
replace race2=9 if ancestr2==30 & race1!=3
replace race2=9 if ancestr2==32 & race1!=3
replace race2=9 if ancestr2==33 & race1!=3
replace race2=9 if ancestr2==34 & race1!=3
replace race2=9 if ancestr2==35 & race1!=3
replace race2=9 if ancestr2==36 & race1!=3
replace race2=9 if ancestr2==37 & race1!=3
replace race2=9 if ancestr2==38 & race1!=3
replace race2=9 if ancestr2==39 & race1!=3
replace race2=9 if ancestr2==40 & race1!=3
replace race2=9 if ancestr2==41 & race1!=3
replace race2=9 if ancestr2==42 & race1!=3
replace race2=9 if ancestr2==43 & race1!=3
replace race2=9 if ancestr2==46 & race1!=3
replace race2=9 if ancestr2==47 & race1!=3
replace race2=9 if ancestr2==48 & race1!=3
replace race2=9 if ancestr2==49 & race1!=3
replace race2=9 if ancestr2==50 & race1!=3
replace race2=9 if ancestr2==51 & race1!=3
replace race2=9 if ancestr2==53 & race1!=3
replace race2=9 if ancestr2==54 & race1!=3
replace race2=9 if ancestr2==55 & race1!=3
replace race2=9 if ancestr2==56 & race1!=3
replace race2=9 if ancestr2==57 & race1!=3
replace race2=9 if ancestr2==58 & race1!=3
replace race2=9 if ancestr2==59 & race1!=3
replace race2=9 if ancestr2==60 & race1!=3
replace race2=9 if ancestr2==61 & race1!=3
replace race2=9 if ancestr2==62 & race1!=3
replace race2=9 if ancestr2==63 & race1!=3
replace race2=9 if ancestr2==64 & race1!=3
replace race2=9 if ancestr2==65 & race1!=3
replace race2=9 if ancestr2==66 & race1!=3
replace race2=9 if ancestr2==67 & race1!=3
replace race2=9 if ancestr2==68 & race1!=3
replace race2=9 if ancestr2==69 & race1!=3
replace race2=9 if ancestr2==70 & race1!=3
replace race2=9 if ancestr2==71 & race1!=3
replace race2=9 if ancestr2==72 & race1!=3
replace race2=9 if ancestr2==73 & race1!=3
replace race2=9 if ancestr2==75 & race1!=3
replace race2=9 if ancestr2==76 & race1!=3
replace race2=9 if ancestr2==77 & race1!=3
replace race2=9 if ancestr2==78 & race1!=3
replace race2=9 if ancestr2==79 & race1!=3
replace race2=9 if ancestr2==80 & race1!=3
replace race2=9 if ancestr2==81 & race1!=3
replace race2=9 if ancestr2==82 & race1!=3
replace race2=9 if ancestr2==84 & race1!=3
replace race2=9 if ancestr2==85 & race1!=3
replace race2=9 if ancestr2==86 & race1!=3
replace race2=9 if ancestr2==87 & race1!=3
replace race2=9 if ancestr2==88 & race1!=3
replace race2=9 if ancestr2==89 & race1!=3
replace race2=9 if ancestr2==90 & race1!=3
replace race2=9 if ancestr2==91 & race1!=3
replace race2=9 if ancestr2==92 & race1!=3
replace race2=9 if ancestr2==95 & race1!=3
replace race2=9 if ancestr2==96 & race1!=3
replace race2=9 if ancestr2==97 & race1!=3
replace race2=9 if ancestr2==98 & race1!=3
replace race2=9 if ancestr2==100 & race1!=3
replace race2=9 if ancestr2==101 & race1!=3
replace race2=9 if ancestr2==102 & race1!=3
replace race2=9 if ancestr2==103 & race1!=3
replace race2=9 if ancestr2==105 & race1!=3
replace race2=9 if ancestr2==108 & race1!=3
replace race2=9 if ancestr2==109 & race1!=3
replace race2=9 if ancestr2==111 & race1!=3
replace race2=9 if ancestr2==112 & race1!=3
replace race2=9 if ancestr2==115 & race1!=3
replace race2=9 if ancestr2==116 & race1!=3
replace race2=9 if ancestr2==117 & race1!=3
replace race2=9 if ancestr2==118 & race1!=3
replace race2=9 if ancestr2==119 & race1!=3
replace race2=9 if ancestr2==120 & race1!=3
replace race2=9 if ancestr2==122 & race1!=3
replace race2=9 if ancestr2==123 & race1!=3
replace race2=9 if ancestr2==124 & race1!=3
replace race2=9 if ancestr2==125 & race1!=3
replace race2=9 if ancestr2==126 & race1!=3
replace race2=9 if ancestr2==128 & race1!=3
replace race2=9 if ancestr2==129 & race1!=3
replace race2=9 if ancestr2==130 & race1!=3
replace race2=9 if ancestr2==132 & race1!=3
replace race2=9 if ancestr2==133 & race1!=3
replace race2=9 if ancestr2==140 & race1!=3
replace race2=9 if ancestr2==142 & race1!=3
replace race2=9 if ancestr2==143 & race1!=3
replace race2=9 if ancestr2==144 & race1!=3
replace race2=9 if ancestr2==145 & race1!=3
replace race2=9 if ancestr2==146 & race1!=3
replace race2=9 if ancestr2==147 & race1!=3
replace race2=9 if ancestr2==148 & race1!=3
replace race2=9 if ancestr2==150 & race1!=3
replace race2=9 if ancestr2==152 & race1!=3
replace race2=9 if ancestr2==153 & race1!=3
replace race2=9 if ancestr2==154 & race1!=3
replace race2=9 if ancestr2==155 & race1!=3
replace race2=9 if ancestr2==156 & race1!=3
replace race2=9 if ancestr2==157 & race1!=3
replace race2=9 if ancestr2==158 & race1!=3
replace race2=9 if ancestr2==159 & race1!=3
replace race2=9 if ancestr2==160 & race1!=3
replace race2=9 if ancestr2==163 & race1!=3
replace race2=9 if ancestr2==164 & race1!=3
replace race2=9 if ancestr2==165 & race1!=3
replace race2=9 if ancestr2==169 & race1!=3
replace race2=9 if ancestr2==171 & race1!=3
replace race2=9 if ancestr2==176 & race1!=3
replace race2=9 if ancestr2==178 & race1!=3
replace race2=9 if ancestr2==179 & race1!=3
replace race2=9 if ancestr2==181 & race1!=3
replace race2=9 if ancestr2==183 & race1!=3
replace race2=9 if ancestr2==185 & race1!=3
replace race2=9 if ancestr2==187 & race1!=3
replace race2=9 if ancestr2==190 & race1!=3
replace race2=9 if ancestr2==195 & race1!=3
replace race2=9 if ancestr2==200 & race1!=3
replace race2=9 if ancestr2==201
replace race2=9 if ancestr2==202
replace race2=9 if ancestr2==204
replace race2=9 if ancestr2==205
replace race2=9 if ancestr2==206
replace race2=9 if ancestr2==210 & race1!=8
replace race2=9 if ancestr2==211 & race1!=8
replace race2=9 if ancestr2==213
replace race2=9 if ancestr2==218 & race1!=8
replace race2=9 if ancestr2==219
replace race2=9 if ancestr2==221
replace race2=9 if ancestr2==222
replace race2=9 if ancestr2==223
replace race2=9 if ancestr2==224
replace race2=9 if ancestr2==225
replace race2=9 if ancestr2==226
replace race2=9 if ancestr2==227
replace race2=9 if ancestr2==231
replace race2=9 if ancestr2==232
replace race2=9 if ancestr2==233
replace race2=9 if ancestr2==234
replace race2=9 if ancestr2==235
replace race2=9 if ancestr2==236
replace race2=9 if ancestr2==237
replace race2=9 if ancestr2==238
replace race2=9 if ancestr2==239
replace race2=9 if ancestr2==248
replace race2=9 if ancestr2==261
replace race2=9 if ancestr2==271
replace race2=9 if ancestr2==275
replace race2=9 if ancestr2==290
replace race2=9 if ancestr2==291
replace race2=9 if ancestr2==295
replace race2=9 if ancestr2==296
replace race2=9 if ancestr2==300 & race1!=4
replace race2=9 if ancestr2==301 & race1!=4
replace race2=9 if ancestr2==302 & race1!=4
replace race2=9 if ancestr2==303 & race1!=4
replace race2=9 if ancestr2==304 & race1!=4
replace race2=9 if ancestr2==308 & race1!=4
replace race2=9 if ancestr2==310 & race1!=4
replace race2=9 if ancestr2==311 & race1!=4
replace race2=9 if ancestr2==312 & race1!=4
replace race2=9 if ancestr2==314 & race1!=4
replace race2=9 if ancestr2==315 & race1!=4
replace race2=9 if ancestr2==316 & race1!=4
replace race2=9 if ancestr2==317 & race1!=4
replace race2=9 if ancestr2==321 & race1!=4
replace race2=9 if ancestr2==322 & race1!=4
replace race2=9 if ancestr2==323 & race1!=4
replace race2=9 if ancestr2==324 & race1!=4
replace race2=9 if ancestr2==328 & race1!=4
replace race2=9 if ancestr2==329 & race1!=4
replace race2=9 if ancestr2==331 & race1!=4
replace race2=9 if ancestr2==332 & race1!=4
replace race2=9 if ancestr2==333 & race1!=4
replace race2=9 if ancestr2==334 & race1!=4
replace race2=9 if ancestr2==335 & race1!=4
replace race2=9 if ancestr2==336 & race1!=4
replace race2=9 if ancestr2==337 & race1!=4
replace race2=9 if ancestr2==360 
replace race2=9 if ancestr2==365 
replace race2=9 if ancestr2==370
replace race2=9 if ancestr2==375 
replace race2=9 if ancestr2==380 
replace race2=9 if ancestr2==400 & race1!=4
replace race2=9 if ancestr2==402 & race1!=4
replace race2=9 if ancestr2==404 & race1!=4
replace race2=9 if ancestr2==406 & race1!=4
replace race2=9 if ancestr2==407 & race1!=4
replace race2=9 if ancestr2==408 & race1!=4
replace race2=9 if ancestr2==411 & race1!=4
replace race2=9 if ancestr2==412
replace race2=9 if ancestr2==413
replace race2=9 if ancestr2==414
replace race2=9 if ancestr2==415
replace race2=9 if ancestr2==416
replace race2=9 if ancestr2==417
replace race2=9 if ancestr2==419 & race1!=3
replace race2=9 if ancestr2==421
replace race2=9 if ancestr2==423
replace race2=9 if ancestr2==425
replace race2=9 if ancestr2==427
replace race2=9 if ancestr2==429
replace race2=9 if ancestr2==431
replace race2=9 if ancestr2==434
replace race2=9 if ancestr2==435
replace race2=9 if ancestr2==436
replace race2=9 if ancestr2==437
replace race2=9 if ancestr2==438
replace race2=9 if ancestr2==439
replace race2=9 if ancestr2==442
replace race2=9 if ancestr2==444
replace race2=9 if ancestr2==465
replace race2=9 if ancestr2==466
replace race2=9 if ancestr2==467
replace race2=9 if ancestr2==470
replace race2=9 if ancestr2==471
replace race2=9 if ancestr2==480
replace race2=9 if ancestr2==482
replace race2=9 if ancestr2==490
replace race2=9 if ancestr2==495
replace race2=9 if ancestr2==496
replace race2=9 if ancestr2==500 & race1!=4
replace race2=9 if ancestr2==502 & race1!=4
replace race2=9 if ancestr2==504 & race1!=4
replace race2=9 if ancestr2==506 & race1!=4
replace race2=9 if ancestr2==508 & race1!=4
replace race2=9 if ancestr2==510 & race1!=4
replace race2=9 if ancestr2==513 & race1!=4
replace race2=9 if ancestr2==515 & race1!=4
replace race2=9 if ancestr2==516 & race1!=4
replace race2=9 if ancestr2==519 & race1!=4
replace race2=9 if ancestr2==520 & race1!=4
replace race2=9 if ancestr2==522 & race1!=4
replace race2=9 if ancestr2==523 & race1!=4
replace race2=9 if ancestr2==525 & race1!=4
replace race2=9 if ancestr2==527 & race1!=4
replace race2=9 if ancestr2==529 & race1!=4
replace race2=9 if ancestr2==530 & race1!=4
replace race2=9 if ancestr2==531 & race1!=4
replace race2=9 if ancestr2==532 & race1!=4
replace race2=9 if ancestr2==534 & race1!=4
replace race2=9 if ancestr2==538 & race1!=4
replace race2=9 if ancestr2==541 & race1!=4
replace race2=9 if ancestr2==543 & race1!=4
replace race2=9 if ancestr2==545 & race1!=4
replace race2=9 if ancestr2==546 & race1!=4
replace race2=9 if ancestr2==549 & race1!=4
replace race2=9 if ancestr2==550 & race1!=4
replace race2=9 if ancestr2==551 & race1!=4
replace race2=9 if ancestr2==553 & race1!=4
replace race2=9 if ancestr2==554 & race1!=4
replace race2=9 if ancestr2==555 & race1!=4
replace race2=9 if ancestr2==556 & race1!=4
replace race2=9 if ancestr2==557 & race1!=4
replace race2=9 if ancestr2==561 & race1!=4
replace race2=9 if ancestr2==564 & race1!=4
replace race2=9 if ancestr2==566 & race1!=4
replace race2=9 if ancestr2==568 & race1!=4
replace race2=9 if ancestr2==569 & race1!=4
replace race2=9 if ancestr2==570 & race1!=4
replace race2=9 if ancestr2==571 & race1!=4
replace race2=9 if ancestr2==572 & race1!=4
replace race2=9 if ancestr2==573 & race1!=4
replace race2=9 if ancestr2==574 & race1!=4
replace race2=9 if ancestr2==576 & race1!=4
replace race2=9 if ancestr2==577 & race1!=4
replace race2=9 if ancestr2==578 & race1!=4
replace race2=9 if ancestr2==579 & race1!=4
replace race2=9 if ancestr2==582 & race1!=4
replace race2=9 if ancestr2==583 & race1!=4
replace race2=9 if ancestr2==584 & race1!=4
replace race2=9 if ancestr2==586 & race1!=4
replace race2=9 if ancestr2==588 & race1!=4
replace race2=9 if ancestr2==589 & race1!=4
replace race2=9 if ancestr2==591 & race1!=4
replace race2=9 if ancestr2==592 & race1!=4
replace race2=9 if ancestr2==593 & race1!=4
replace race2=9 if ancestr2==594 & race1!=4
replace race2=9 if ancestr2==595 & race1!=4
replace race2=9 if ancestr2==596 & race1!=4
replace race2=9 if ancestr2==597 & race1!=4
replace race2=9 if ancestr2==598 & race1!=4
replace race2=9 if ancestr2==599 & race1!=4
replace race2=9 if ancestr2==600
replace race2=9 if ancestr2==601
replace race2=9 if ancestr2==602
replace race2=9 if ancestr2==603
replace race2=9 if ancestr2==607
replace race2=9 if ancestr2==609
replace race2=9 if ancestr2==615
replace race2=9 if ancestr2==622
replace race2=9 if ancestr2==624
replace race2=9 if ancestr2==626
replace race2=9 if ancestr2==628
replace race2=9 if ancestr2==630
replace race2=9 if ancestr2==632
replace race2=9 if ancestr2==634
replace race2=9 if ancestr2==638
replace race2=9 if ancestr2==640
replace race2=9 if ancestr2==642
replace race2=9 if ancestr2==644
replace race2=9 if ancestr2==648
replace race2=9 if ancestr2==650
replace race2=9 if ancestr2==656
replace race2=9 if ancestr2==675
replace race2=9 if ancestr2==680
replace race2=9 if ancestr2==690
replace race2=9 if ancestr2==691
replace race2=9 if ancestr2==692
replace race2=9 if ancestr2==695
replace race2=9 if ancestr2==700
replace race2=9 if ancestr2==702
replace race2=9 if ancestr2==703
replace race2=9 if ancestr2==704
replace race2=9 if ancestr2==706
replace race2=9 if ancestr2==707
replace race2=9 if ancestr2==708
replace race2=9 if ancestr2==709
replace race2=9 if ancestr2==712
replace race2=9 if ancestr2==714
replace race2=9 if ancestr2==716
replace race2=9 if ancestr2==718
replace race2=9 if ancestr2==720
replace race2=9 if ancestr2==730
replace race2=9 if ancestr2==740
replace race2=9 if ancestr2==746
replace race2=9 if ancestr2==748
replace race2=9 if ancestr2==750
replace race2=9 if ancestr2==765
replace race2=9 if ancestr2==766
replace race2=9 if ancestr2==768
replace race2=9 if ancestr2==770
replace race2=9 if ancestr2==774
replace race2=9 if ancestr2==776
replace race2=9 if ancestr2==777
replace race2=9 if ancestr2==778
replace race2=9 if ancestr2==782
replace race2=9 if ancestr2==785
replace race2=9 if ancestr2==786
replace race2=9 if ancestr2==787
replace race2=9 if ancestr2==788
replace race2=9 if ancestr2==790
replace race2=9 if ancestr2==792
replace race2=9 if ancestr2==793
replace race2=9 if ancestr2==795
replace race2=9 if ancestr2==796
replace race2=9 if ancestr2==800
replace race2=9 if ancestr2==801
replace race2=9 if ancestr2==802
replace race2=9 if ancestr2==803
replace race2=9 if ancestr2==808
replace race2=9 if ancestr2==810
replace race2=9 if ancestr2==811
replace race2=9 if ancestr2==813
replace race2=9 if ancestr2==814
replace race2=9 if ancestr2==815
replace race2=9 if ancestr2==816
replace race2=9 if ancestr2==817
replace race2=9 if ancestr2==818
replace race2=9 if ancestr2==819
replace race2=9 if ancestr2==820
replace race2=9 if ancestr2==821
replace race2=9 if ancestr2==822
replace race2=9 if ancestr2==823
replace race2=9 if ancestr2==824
replace race2=9 if ancestr2==825
replace race2=9 if ancestr2==826
replace race2=9 if ancestr2==827
replace race2=9 if ancestr2==828
replace race2=9 if ancestr2==829
replace race2=9 if ancestr2==830
replace race2=9 if ancestr2==831
replace race2=9 if ancestr2==832
replace race2=9 if ancestr2==833
replace race2=9 if ancestr2==834
replace race2=9 if ancestr2==840
replace race2=9 if ancestr2==841
replace race2=9 if ancestr2==843
replace race2=9 if ancestr2==844
replace race2=9 if ancestr2==845
replace race2=9 if ancestr2==846
replace race2=9 if ancestr2==847
replace race2=9 if ancestr2==850
replace race2=9 if ancestr2==860
replace race2=9 if ancestr2==862
replace race2=9 if ancestr2==863
replace race2=9 if ancestr2==870
replace race2=9 if ancestr2==900 & race1!=4
replace race2=9 if ancestr2==902 & race1!=4
replace race2=9 if ancestr2==913
replace race2=9 if ancestr2==914
replace race2=1 if ancestr2==920 & race1!=5
replace race2=9 if ancestr2==921 & race1!=5
replace race2=9 if ancestr2==922 & race1!=5
replace race2=9 if ancestr2==923 & race1!=5
replace race2=9 if ancestr2==924 & race1!=3
replace race2=9 if ancestr2==930 & race1!=3
replace race2=9 if ancestr2==931 & race1!=3
replace race2=9 if ancestr2==933 & race1!=3
replace race2=9 if ancestr2==934 & race1!=3
replace race2=9 if ancestr2==935 & race1!=3
replace race2=9 if ancestr2==936 & race1!=3


replace race2=6 if race1==5 & race2==9
replace race2=6 if ancestr1==920 & race2==9
replace race2=6 if ancestr1==921 & race2==9
replace race2=6 if ancestr1==922 & race2==9
replace race2=6 if ancestr1==923 & race2==9
replace race2=6 if ancestr2==920 & race2==9
replace race2=6 if ancestr2==921 & race2==9
replace race2=6 if ancestr2==922 & race2==9
replace race2=6 if ancestr2==923 & race2==9
label values race2 race
label variable race2 "Race (Ancestry Recoded)"

gen race3=race1
replace race3=race2 if race2==6 & year<2000
label values race3 race
label variable race2 "Race (Ancestry Recoded for Indians<2000)"

replace tribe with ancestry if tribe missing
what is race=8
check total indian
drop raced hispan hispand

*** Sex ***

rename sex female
replace female=. if female<=0
replace female=0 if female==1
replace female=1 if female==2
replace female=. if female>2
label define female 0 "0- Male" 1 "1- Female"
label values female female
label variable female "Female"

*** Marital Status ***

gen marital=marst 
replace marital=. if marital<=0
replace marital=. if marital>=7
recode marital (2=1) (3=0) (4=0) (5=0) (6=0)
label define marital 0 "0- NOT Married" 1 "1- Married"
label values marital marital
label variable marital "Marital Status"

*** Age***
gen agegrp=.
replace agegrp= 1  if age<=5
replace agegrp= 2  if age> 5  & age<= 12
replace agegrp= 3  if age> 12  & age<= 17
replace agegrp= 4  if age> 17  & age<= 25
replace agegrp= 5  if age> 25  & age<= 35
replace agegrp= 6  if age> 35  & age<= 45
replace agegrp= 7  if age> 45  & age<= 55
replace agegrp= 8  if age> 55  & age<= 65
replace agegrp= 9  if age> 65  & age<= 75
replace agegrp= 10  if age> 75  & age<= 95
     
label define agegrp 1 "1: Less than 6" 2 "2: 6-12" 3 "3:13-17" 4 "4:18-25" 5 "5:26-35" 6 "6:36-45" 7 "7:46-55" 8 "8:56-65" 9 "9:66-75" 10 "10: Over 75"  
label values agegrp agegrp
label variable agegrp "Age Group"

tab agegrp, gen(agegrp_)

*** Education ***

gen eduyears=educd
replace eduyears=0 if eduyears<=02
replace eduyears=4 if eduyears>2 & eduyears<=17
replace eduyears=8 if eduyears>17 & eduyears<=26
replace eduyears=9 if eduyears==30
replace eduyears=10 if eduyears==40
replace eduyears=11 if eduyears==50
replace eduyears=12 if eduyears>=60 & eduyears<=64
replace eduyears=13 if eduyears>=65 & eduyears<=70
replace eduyears=14 if eduyears>=80 & eduyears<=83
replace eduyears=15 if eduyears==90
replace eduyears=16 if eduyears>=100 & eduyears<=101
replace eduyears=17 if eduyears==110
replace eduyears=18 if eduyears==111
replace eduyears=19 if eduyears==112
replace eduyears=20 if eduyears==113
replace eduyears=18 if eduyears==114
replace eduyears=19 if eduyears==115
replace eduyears=21 if eduyears==116
label variable eduyears "Years of Education"

gen experience=(age-eduyears)-6
replace experience=. if age<18
replace experience=. if age>64
replace experience=. if experience<0
label variable experience "Labor Force Experience"

gen expgrp=.
replace expgrp=1 if experience<=5
replace expgrp=2 if experience>5 & experience<=10
replace expgrp=3 if experience>10 & experience<=15
replace expgrp=4 if experience>15 & experience<=20
replace expgrp=5 if experience>20 & experience!=.

label define expgrp 1 "1 - Less than 5 Yrs" 2 "2 - 5-10 Years" 3 " 3 - 11-15 Years" 4 "4 - 16-20 Years" 5 "5 - More than 20 Years"
label values expgrp expgrp

tab expgrp, gen(expgrp_)

* 1 = No Diploma
* 2 = High School Diploma or Equivalent
* 3 = Some College, No Degree
* 4 = Associate Degree
* 5 = Bachelor's Degree
* 6 = Graduate Degree
gen education=.
replace education=1 if educd>=0 & educd<=50
replace education=2 if educd>=60 & educd<=64
replace education=3 if educd>=65 & educd<=79
replace education=4 if educd>=80 & educd<=99
replace education=5 if educd>=100 & educd<=110
replace education=6 if educd>=111 & educd!=.
label define edu 1 "1- No Diploma" 2 "2- High School Diploma or Equivalent" 3 "3- Some College, No Degree" 4 "4- Associate Degree" 5 "5- Bachelor's Degree" 6 "6- Graduate Degree"
label values education edu
label variable education "Education Level (Over Age 25)"
drop educd

gen lessHS=.
replace lessHS=0 if education!=. & age>=25 & age!=.
replace lessHS=1 if education==1 & age>=25 & age!=.
label variable lessHS "Less than HS diploma (over Age 25)"

gen HS=.
replace HS=0 if education!=. & age>=25 & age!=.
replace HS=1 if education>=2 & education<=4 & age>=25 & age!=.
label variable HS "HS diploma (over Age 25)"

gen college=.
replace college=0 if education!=. & age>=25 & age!=.
replace college=1 if education>=5 & education<=6 & age>=25 & age!=.
label variable college "College Degree (over Age 25)"

gen dropout=.
replace dropout=0 if school==2 & age>=16 & age<=18
replace dropout=1 if school==1 & eduyears<12 & age>=16 & age<=18
drop school
label define dropout 0 "0- NOT a Drop-Out" 1 "1- Dropped Out"
label values dropout dropout
label variable dropout "High School Drop-Out (Age 16-19)"

compress

*** Children in Household ***
gen child5=0
replace child5=1 if age<=5
label variable child5 "Child 5 and under"

gen child18=0
replace child18=1 if age<18
label variable child18 "Child under 18"

egen child18HH=total(child18), by(hhnum)
label variable child18HH "Children in HH under 18"

gen HHchild18=0
replace HHchild18=1 if child18HH>0 & child18HH!=.
label variable HHchild18 "Any Children in HH under 18"

egen child5HH=total(child5), by(hhnum)
label variable child5HH "Children in HH under 5"

gen HHchild5=0
replace HHchild5=1 if child5HH>0 & child5HH!=.
label variable HHchild5 "Any Children in HH under 5"

gen child617HH=child18HH-child5HH
label variable child617HH "Children in HH 6-17"

rename nchlt5 ownchild
replace ownchild=. if ownchild<0
replace ownchild=. if ownchild>9
label variable ownchild "# Own Children in HH (Top=9)"

gen child=0
replace child=1 if age<=18

compress

*** Living Arrangements ***
recode metro 1=0 2=1 3=1 4=.
label define metro 0 "0 - Not Metro" 1 "1 - Metro"
label values metro metro
label variable metro "Metropolitan Area"

gen rural=1-metro
label variable rural "Non-Metropolitan Area"

recode homeland 1=0 2=1
label define homeland 0 "0 - PMSA does not include homeland area" 1 "1 - PMSA includes homeland area"
label values homeland homeland

gen multifam=.
replace multifam=1 if nfams==1
replace multifam=2 if nfams==2
replace multifam=3 if nfams==3
label define multifam 1 "1 - Single Family" 2 "2 - Two Families" 3 "3 - Three or More"

gen adult=0
replace adult=1 if age>=18 & age<95

egen adultHH=total(adult), by(hhnum)
label variable adultHH "Number of Adults in HH"

gen singlemom=0
replace singlemom=1 if female==1 & adult==1 & ownchild>=1 & ownchild!=. & adultHH==1 & marst!=2
* One adult in HH who is a female adult with own children and spouse is not absent
label variable singlemom "Single Mother Household (No Other Adults Present)"

gen singledad=0
replace singledad=1 if female==0 & adult==1 & ownchild>=1 & ownchild!=. & adultHH==1 & marst!=2
* One adult in HH who is a female adult with own children and spouse is not absent
label variable singledad "Single Father Household (No Other Adults Present)"

gen singleprt=.
replace singleprt=0 if singlemom!=. & singledad!=.
replace singleprt=1 if singlemom==1
replace singleprt=1 if singledad==1
label variable singleprt "Single Father Household (Own Children, No Other Adults Present)"

compress

*** Labor Status ***

gen employed=.
replace employed=0 if empstatd>=1 & empstatd!=. & age>=16 & age<=64
replace employed=1 if empstatd>=1 & empstatd<=19 & age>=16 & age<=64
label variable employed "Employed"

egen empHH=total(employed), by(hhnum)
label variable empHH "Employed Adults in HH"
replace empHH=4 if empHH>4 & empHH!=.

gen unemp=.
replace unemp=0 if empstatd>=1 & empstatd!=. & age>=16 & age<=64
replace unemp=1 if empstatd>=20 & empstatd<=29 & age>=16 & age<=64
label variable unemp "Unemployed"

egen unempHH=total(unemp), by(hhnum)
label variable unempHH "Unemployed Adults in HH"
replace unempHH=4 if unempHH>4 & unempHH!=.

gen multiempHH=empHH
replace multiempHH=1 if multiempHH>1 & multiempHH!=.
replace multiempHH=. if adultHH==1
gen multiunempHH=empHH
replace multiunempHH=1 if multiunempHH>1 & multiunempHH!=.
replace multiunempHH=. if adultHH==1

gen disabled_temp=0
replace disabled_temp=1 if diffrem==2
replace disabled_temp=1 if diffphys==2
replace disabled_temp=1 if diffmob==2
replace disabled_temp=1 if diffcare==2
replace disabled_temp=1 if diffsens==2
replace disabled_temp=1 if diffeye==2
replace disabled_temp=1 if diffhear==2

gen disabled=.
replace disabled=0 if empstatd>=1 & empstatd!=. & age>=16 & age<=64
replace disabled=1 if empstatd>=30 & empstatd<=39 & disabwrk>=2 & disabwrk<=4 & age>=16 & age<=64
replace disabled=2 if empstatd>=30 & empstatd<=39 & age>=16 & age<=64 & disabled_temp==1
drop disabled_temp diffrem diffphys diffmob diffcare diffsens diffeye diffhear
label variable disabled "Disabeled (Unable to Work)"

egen disableHH=total(disabled), by(hhnum)
label variable disableHH "Number of Disabled Adults in HH"
replace disableHH=4 if disableHH>4 & disableHH!=.

gen parttime=.
replace parttime=0 if empstatd>=1 & empstatd<=19 & age>=16 & age<=64 & uhrswork>=1 & uhrswork!=.
replace parttime=1 if empstatd>=1 & empstatd<=19 & age>=16 & age<=64 & uhrswork>=1 & uhrswork<=34
label variable parttime "Employed Part-Time"

rename empstatd labor
replace labor=. if labor<=0
replace labor=1 if labor>=1 & labor<=19
replace labor=2 if labor==1 & uhrswork>=1 & uhrswork<=34
replace labor=3 if labor>=20 & labor<=29
replace labor=5 if labor>=30 & labor<=39
replace labor=4 if labor==5 & disabwrk>=2 & disabwrk<=4
replace labor=. if labor>=40
label define labor 1 "1- Employed Full-Time (35+)" 2 "2- Employed Part-Time (1-35)" 3 "3- Unemployed" 4 "4- NILF - Disabled" 5 "5- NILF - Other/Unknown"
label values labor labor
label variable labor "Labor Status (Modified)"
drop disabwrk uhrswork

*** Income ***

rename inctot income
replace income=. if income<=0
replace income=. if income>=9999999
* For 1920 to present, use CPI Inflation Calculator (http://data.bls.gov/cgi-bin/cpicalc.pl).
* Combine with purchasing power calculator for 1850-1910. Use 10,000,000 to 2013
replace income=(income)*30.743822130 if year==1850
replace income=(income)*28.917456460 if year==1860
replace income=(income)*18.365121470 if year==1870
replace income=(income)*23.539824200 if year==1880
replace income=(income)*26.380837470 if year==1890
replace income=(income)*28.613062180 if year==1900
replace income=(income)*25.264725120 if year==1910
replace income=(income)*11.647850000 if year==1920
replace income=(income)*13.949520958 if year==1930
replace income=(income)*16.639785714 if year==1940
replace income=(income)*9.666265560 if year==1950
replace income=(income)*7.870168919 if year==1960
replace income=(income)*6.004046392 if year==1970
replace income=(income)*2.827148058 if year==1980
replace income=(income)*1.782379495 if year==1990
replace income=(income)*1.352828107 if year==2000
replace income=(income)*1.315398080 if year==2001
replace income=(income)*1.294924958 if year==2002
replace income=(income)*1.266070652 if year==2003
replace income=(income)*1.233229222 if year==2004
replace income=(income)*1.192816180 if year==2005
replace income=(income)*1.155540675 if year==2006
replace income=(income)*1.123539852 if year==2007
replace income=(income)*1.081996071 if year==2008
replace income=(income)*1.085859316 if year==2009
replace income=(income)*1.068335657 if year==2010
replace income=(income)*1.035645219 if year==2011
replace income=(income)*1.014647595 if year==2012
replace income=(income)*0.9840 if year==2014
label values income
label variable income "Personal Income"

egen q20=pctile(income), p(20) by(year)
gen incQ1=.
replace incQ1=0 if income!=.
replace incQ1=1 if income<=q20 & income!=.
egen q40=pctile(income), p(40) by(year)
gen incQ2=.
replace incQ2=0 if income!=.
replace incQ2=1 if income>q20 & income<=q40 & income!=.
drop q20
egen q60=pctile(income), p(60) by(year)
gen incQ3=.
replace incQ3=0 if income!=.
replace incQ3=1 if income>q40 & income<=q60 & income!=.
drop q40
egen q80=pctile(income), p(80) by(year)
gen incQ4=.
replace incQ4=0 if income!=.
replace incQ4=1 if income>q60 & income<=q80 & income!=.
drop q60
gen incQ5=.
replace incQ5=0 if income!=.
replace incQ5=1 if income>q80 & income!=.
drop q80
gen incQuin=.
replace incQuin=1 if incQ1==1
replace incQuin=2 if incQ2==1
replace incQuin=3 if incQ3==1
replace incQuin=4 if incQ4==1
replace incQuin=5 if incQ5==1
label define Quin 1 "1- 1st Quintile (0-20%)" 2 "2- 2nd Quintile (20-40%)" 3 "3- 3rd Quintile (40-60%)" 4 "4- 4th Quintile (60-80%)" 5 "5- 5th Quintile (80-100%)"
label values incQuin Quin
label variable incQuin "Personal Income Quintile"
compress

rename ftotinc fincome
replace fincome=. if fincome<=0
replace fincome=. if fincome>=9999999
* For 1920 to present, use CPI Inflation Calculator (http://data.bls.gov/cgi-bin/cpicalc.pl).
* Combine with purchasing power calculator for 1850-1910.
replace fincome=(fincome)*30.743822130 if year==1850
replace fincome=(fincome)*28.917456460 if year==1860
replace fincome=(fincome)*18.365121470 if year==1870
replace fincome=(fincome)*23.539824200 if year==1880
replace fincome=(fincome)*26.380837470 if year==1890
replace fincome=(fincome)*28.613062180 if year==1900
replace fincome=(fincome)*25.264725120 if year==1910
replace fincome=(fincome)*11.647850000 if year==1920
replace fincome=(fincome)*13.949520958 if year==1930
replace fincome=(fincome)*16.639785714 if year==1940
replace fincome=(fincome)*9.666265560 if year==1950
replace fincome=(fincome)*7.870168919 if year==1960
replace fincome=(fincome)*6.004046392 if year==1970
replace fincome=(fincome)*2.827148058 if year==1980
replace fincome=(fincome)*1.782379495 if year==1990
replace fincome=(fincome)*1.352828107 if year==2000
replace fincome=(fincome)*1.315398080 if year==2001
replace fincome=(fincome)*1.294924958 if year==2002
replace fincome=(fincome)*1.266070652 if year==2003
replace fincome=(fincome)*1.233229222 if year==2004
replace fincome=(fincome)*1.192816180 if year==2005
replace fincome=(fincome)*1.155540675 if year==2006
replace fincome=(fincome)*1.123539852 if year==2007
replace fincome=(fincome)*1.081996071 if year==2008
replace fincome=(fincome)*1.085859316 if year==2009
replace fincome=(fincome)*1.068335657 if year==2010
replace fincome=(fincome)*1.035645219 if year==2011
replace fincome=(fincome)*1.014647595 if year==2012
replace fincome=(fincome)*0.9840 if year==2014

label values fincome
label variable fincome "Family Income"

egen q20=pctile(fincome), p(20) by(year)
gen fincQ1=.
replace fincQ1=0 if fincome!=.
replace fincQ1=1 if fincome<=q20 & fincome!=.
egen q40=pctile(fincome), p(40) by(year)
gen fincQ2=.
replace fincQ2=0 if fincome!=.
replace fincQ2=1 if fincome>q20 & fincome<=q40 & fincome!=.
drop q20
egen q60=pctile(fincome), p(60) by(year)
gen fincQ3=.
replace fincQ3=0 if fincome!=.
replace fincQ3=1 if fincome>q40 & fincome<=q60 & fincome!=.
drop q40
egen q80=pctile(fincome), p(80) by(year)
gen fincQ4=.
replace fincQ4=0 if fincome!=.
replace fincQ4=1 if fincome>q60 & fincome<=q80 & fincome!=.
drop q60
gen fincQ5=.
replace fincQ5=0 if fincome!=.
replace fincQ5=1 if fincome>q80 & fincome!=.
drop q80
gen fincQuin=.
replace fincQuin=1 if fincQ1==1
replace fincQuin=2 if fincQ2==1
replace fincQuin=3 if fincQ3==1
replace fincQuin=4 if fincQ4==1
replace fincQuin=5 if fincQ5==1
label values fincQuin Quin
label variable fincQuin "Family Income Quintile"
compress

rename incwage wages
replace wages=. if wages<=0
replace wages=. if wages>=999999
* For 1920 to present, use CPI Inflation Calculator (http://data.bls.gov/cgi-bin/cpicalc.pl).
* Combine with purchasing power calculator for 1850-1910.
replace wages=(wages)*30.743822130 if year==1850
replace wages=(wages)*28.917456460 if year==1860
replace wages=(wages)*18.365121470 if year==1870
replace wages=(wages)*23.539824200 if year==1880
replace wages=(wages)*26.380837470 if year==1890
replace wages=(wages)*28.613062180 if year==1900
replace wages=(wages)*25.264725120 if year==1910
replace wages=(wages)*11.647850000 if year==1920
replace wages=(wages)*13.949520958 if year==1930
replace wages=(wages)*16.639785714 if year==1940
replace wages=(wages)*9.666265560 if year==1950
replace wages=(wages)*7.870168919 if year==1960
replace wages=(wages)*6.004046392 if year==1970
replace wages=(wages)*2.827148058 if year==1980
replace wages=(wages)*1.782379495 if year==1990
replace wages=(wages)*1.352828107 if year==2000
replace wages=(wages)*1.315398080 if year==2001
replace wages=(wages)*1.294924958 if year==2002
replace wages=(wages)*1.266070652 if year==2003
replace wages=(wages)*1.233229222 if year==2004
replace wages=(wages)*1.192816180 if year==2005
replace wages=(wages)*1.155540675 if year==2006
replace wages=(wages)*1.123539852 if year==2007
replace wages=(wages)*1.081996071 if year==2008
replace wages=(wages)*1.085859316 if year==2009
replace wages=(wages)*1.068335657 if year==2010
replace wages=(wages)*1.035645219 if year==2011
replace wages=(wages)*1.014647595 if year==2012
replace wages=(wages)*0.9840 if year==2014
label values wages
label variable wages "Wage/Salary Income"

egen q20=pctile(wages), p(20) by(year)
gen wageQ1=.
replace wageQ1=0 if wages!=.
replace wageQ1=1 if wages<=q20 & wages!=.
egen q40=pctile(wages), p(40) by(year)
gen wageQ2=.
replace wageQ2=0 if wages!=.
replace wageQ2=1 if wages>q20 & wages<=q40 & wages!=.
drop q20
egen q60=pctile(wages), p(60) by(year)
gen wageQ3=.
replace wageQ3=0 if wages!=.
replace wageQ3=1 if wages>q40 & wages<=q60 & wages!=.
drop q40
egen q80=pctile(wages), p(80) by(year)
gen wageQ4=.
replace wageQ4=0 if wages!=.
replace wageQ4=1 if wages>q60 & wages<=q80 & wages!=.
drop q60
gen wageQ5=.
replace wageQ5=0 if wages!=.
replace wageQ5=1 if wages>q80 & wages!=.
drop q80
gen wageQuin=.
replace wageQuin=1 if wageQ1==1
replace wageQuin=2 if wageQ2==1
replace wageQuin=3 if wageQ3==1
replace wageQuin=4 if wageQ4==1
replace wageQuin=5 if wageQ5==1
label values wageQuin Quin
label variable wageQuin "Wage/Salary Income Quintile"
compress

rename incwelfr welfare
replace welfare=. if welfare<0
replace welfare=. if welfare==99999
replace welfare=1 if welfare>0 & welfare!=.
label values welfare
label variable welfare "Receives Welfare/P.A."

replace poverty=. if poverty<=0
label values poverty
label variable poverty "% of Poverty Level (Top=501)"

gen pov100=.
replace pov100=0 if poverty>0 & poverty!=.
replace pov100=1 if poverty>0 & poverty<=100

gen pov150=.
replace pov150=0 if poverty>0 & poverty!=.
replace pov150=1 if poverty>100 & poverty<=150

gen pov200=.
replace pov200=0 if poverty>0 & poverty!=.
replace pov200=1 if poverty>150 & poverty<=200

gen povOVER=.
replace povOVER=0 if poverty>0 & poverty!=.
replace povOVER=1 if poverty>200 & poverty!=.

gen povline=.
replace povline=100 if pov100==1
replace povline=150 if pov150==1
replace povline=200 if pov200==1
replace povline=250 if povOVER==1
label define povline 100 "100 % of Poverty" 150 "150% of Poverty" 200 "200% of Poverty" 250 "250% of Poverty"
label values povline povline

gen temp=.
replace temp=((fincome/famsize)/365)
gen povEXT=.
replace povEXT=0 if temp!=.
replace povEXT=1 if temp<=2 & povEXT==0
drop temp

*** Occupation ***
gen occnarrow=occ2010 if age>=18
replace occnarrow=1 if occnarrow==10
replace occnarrow=1 if occnarrow==20
replace occnarrow=1 if occnarrow==30
replace occnarrow=1 if occnarrow==40
replace occnarrow=1 if occnarrow==50
replace occnarrow=1 if occnarrow==60
replace occnarrow=1 if occnarrow==100
replace occnarrow=1 if occnarrow==110
replace occnarrow=1 if occnarrow==120
replace occnarrow=1 if occnarrow==130
replace occnarrow=1 if occnarrow==135
replace occnarrow=1 if occnarrow==136
replace occnarrow=1 if occnarrow==137
replace occnarrow=1 if occnarrow==140
replace occnarrow=1 if occnarrow==150
replace occnarrow=1 if occnarrow==160
replace occnarrow=1 if occnarrow==205
replace occnarrow=1 if occnarrow==220
replace occnarrow=1 if occnarrow==230
replace occnarrow=1 if occnarrow==300
replace occnarrow=1 if occnarrow==310
replace occnarrow=1 if occnarrow==320
replace occnarrow=1 if occnarrow==325
replace occnarrow=1 if occnarrow==330
replace occnarrow=1 if occnarrow==340
replace occnarrow=1 if occnarrow==350
replace occnarrow=1 if occnarrow==360
replace occnarrow=1 if occnarrow==400
replace occnarrow=1 if occnarrow==410
replace occnarrow=1 if occnarrow==420
replace occnarrow=1 if occnarrow==425
replace occnarrow=1 if occnarrow==430
replace occnarrow=2 if occnarrow==500
replace occnarrow=2 if occnarrow==510
replace occnarrow=2 if occnarrow==520
replace occnarrow=2 if occnarrow==530
replace occnarrow=2 if occnarrow==540
replace occnarrow=2 if occnarrow==560
replace occnarrow=2 if occnarrow==565
replace occnarrow=2 if occnarrow==600
replace occnarrow=2 if occnarrow==620
replace occnarrow=2 if occnarrow==630
replace occnarrow=2 if occnarrow==640
replace occnarrow=2 if occnarrow==650
replace occnarrow=2 if occnarrow==700
replace occnarrow=2 if occnarrow==710
replace occnarrow=2 if occnarrow==720
replace occnarrow=2 if occnarrow==725
replace occnarrow=2 if occnarrow==730
replace occnarrow=2 if occnarrow==726
replace occnarrow=2 if occnarrow==735
replace occnarrow=2 if occnarrow==740
replace occnarrow=2 if occnarrow==800
replace occnarrow=2 if occnarrow==810
replace occnarrow=2 if occnarrow==820
replace occnarrow=2 if occnarrow==830
replace occnarrow=2 if occnarrow==840
replace occnarrow=2 if occnarrow==850
replace occnarrow=2 if occnarrow==860
replace occnarrow=2 if occnarrow==900
replace occnarrow=2 if occnarrow==905
replace occnarrow=2 if occnarrow==910
replace occnarrow=2 if occnarrow==930
replace occnarrow=2 if occnarrow==940
replace occnarrow=2 if occnarrow==950
replace occnarrow=3 if occnarrow==1000
replace occnarrow=3 if occnarrow==1005
replace occnarrow=3 if occnarrow==1006
replace occnarrow=3 if occnarrow==1007
replace occnarrow=3 if occnarrow==1010
replace occnarrow=3 if occnarrow==1020
replace occnarrow=3 if occnarrow==1030
replace occnarrow=3 if occnarrow==1050
replace occnarrow=3 if occnarrow==1060
replace occnarrow=3 if occnarrow==1100
replace occnarrow=3 if occnarrow==1105
replace occnarrow=3 if occnarrow==1106
replace occnarrow=3 if occnarrow==1107
replace occnarrow=3 if occnarrow==1200
replace occnarrow=3 if occnarrow==1210
replace occnarrow=3 if occnarrow==1220
replace occnarrow=3 if occnarrow==1230
replace occnarrow=3 if occnarrow==1240
replace occnarrow=4 if occnarrow==1300
replace occnarrow=4 if occnarrow==1310
replace occnarrow=4 if occnarrow==1320
replace occnarrow=4 if occnarrow==1330
replace occnarrow=4 if occnarrow==1340
replace occnarrow=4 if occnarrow==1350
replace occnarrow=4 if occnarrow==1360
replace occnarrow=4 if occnarrow==1400
replace occnarrow=4 if occnarrow==1410
replace occnarrow=4 if occnarrow==1420
replace occnarrow=4 if occnarrow==1430
replace occnarrow=4 if occnarrow==1440
replace occnarrow=4 if occnarrow==1450
replace occnarrow=4 if occnarrow==1460
replace occnarrow=4 if occnarrow==1500
replace occnarrow=4 if occnarrow==1510
replace occnarrow=4 if occnarrow==1520
replace occnarrow=4 if occnarrow==1530
replace occnarrow=4 if occnarrow==1540
replace occnarrow=4 if occnarrow==1550
replace occnarrow=4 if occnarrow==1560
replace occnarrow=5 if occnarrow==1600
replace occnarrow=5 if occnarrow==1610
replace occnarrow=5 if occnarrow==1640
replace occnarrow=5 if occnarrow==1650
replace occnarrow=5 if occnarrow==1660
replace occnarrow=5 if occnarrow==1700
replace occnarrow=5 if occnarrow==1710
replace occnarrow=5 if occnarrow==1720
replace occnarrow=5 if occnarrow==1740
replace occnarrow=5 if occnarrow==1760
replace occnarrow=5 if occnarrow==1800
replace occnarrow=5 if occnarrow==1815
replace occnarrow=5 if occnarrow==1820
replace occnarrow=5 if occnarrow==1830
replace occnarrow=5 if occnarrow==1840
replace occnarrow=5 if occnarrow==1860
replace occnarrow=5 if occnarrow==1900
replace occnarrow=5 if occnarrow==1910
replace occnarrow=5 if occnarrow==1920
replace occnarrow=5 if occnarrow==1930
replace occnarrow=5 if occnarrow==1940
replace occnarrow=5 if occnarrow==1950
replace occnarrow=5 if occnarrow==1960
replace occnarrow=5 if occnarrow==1965
replace occnarrow=6 if occnarrow==2000
replace occnarrow=6 if occnarrow==2010
replace occnarrow=6 if occnarrow==2015
replace occnarrow=6 if occnarrow==2016
replace occnarrow=6 if occnarrow==2020
replace occnarrow=6 if occnarrow==2025
replace occnarrow=6 if occnarrow==2040
replace occnarrow=6 if occnarrow==2050
replace occnarrow=6 if occnarrow==2060
replace occnarrow=7 if occnarrow==2100
replace occnarrow=7 if occnarrow==2105
replace occnarrow=7 if occnarrow==2110
replace occnarrow=7 if occnarrow==2140
replace occnarrow=7 if occnarrow==2145
replace occnarrow=7 if occnarrow==2150
replace occnarrow=7 if occnarrow==2160
replace occnarrow=8 if occnarrow==2200
replace occnarrow=8 if occnarrow==2300
replace occnarrow=8 if occnarrow==2310
replace occnarrow=8 if occnarrow==2320
replace occnarrow=8 if occnarrow==2330
replace occnarrow=8 if occnarrow==2340
replace occnarrow=8 if occnarrow==2400
replace occnarrow=8 if occnarrow==2430
replace occnarrow=8 if occnarrow==2440
replace occnarrow=8 if occnarrow==2540
replace occnarrow=8 if occnarrow==2550
replace occnarrow=9 if occnarrow==2600
replace occnarrow=9 if occnarrow==2630
replace occnarrow=9 if occnarrow==2700
replace occnarrow=9 if occnarrow==2710
replace occnarrow=9 if occnarrow==2720
replace occnarrow=9 if occnarrow==2740
replace occnarrow=9 if occnarrow==2750
replace occnarrow=9 if occnarrow==2760
replace occnarrow=9 if occnarrow==2800
replace occnarrow=9 if occnarrow==2810
replace occnarrow=9 if occnarrow==2825
replace occnarrow=9 if occnarrow==2830
replace occnarrow=9 if occnarrow==2840
replace occnarrow=9 if occnarrow==2850
replace occnarrow=9 if occnarrow==2860
replace occnarrow=9 if occnarrow==2900
replace occnarrow=9 if occnarrow==2910
replace occnarrow=9 if occnarrow==2920
replace occnarrow=9 if occnarrow==2960
replace occnarrow=10 if occnarrow==3000
replace occnarrow=10 if occnarrow==3010
replace occnarrow=10 if occnarrow==3030
replace occnarrow=10 if occnarrow==3040
replace occnarrow=10 if occnarrow==3050
replace occnarrow=10 if occnarrow==3060
replace occnarrow=10 if occnarrow==3110
replace occnarrow=10 if occnarrow==3120
replace occnarrow=10 if occnarrow==3130
replace occnarrow=10 if occnarrow==3140
replace occnarrow=10 if occnarrow==3150
replace occnarrow=10 if occnarrow==3160
replace occnarrow=10 if occnarrow==3200
replace occnarrow=10 if occnarrow==3210
replace occnarrow=10 if occnarrow==3220
replace occnarrow=10 if occnarrow==3230
replace occnarrow=10 if occnarrow==3240
replace occnarrow=10 if occnarrow==3235
replace occnarrow=10 if occnarrow==3245
replace occnarrow=10 if occnarrow==3250
replace occnarrow=10 if occnarrow==3255
replace occnarrow=10 if occnarrow==3256
replace occnarrow=10 if occnarrow==3257
replace occnarrow=10 if occnarrow==3258
replace occnarrow=10 if occnarrow==3260
replace occnarrow=10 if occnarrow==3300
replace occnarrow=10 if occnarrow==3310
replace occnarrow=10 if occnarrow==3320
replace occnarrow=10 if occnarrow==3400
replace occnarrow=10 if occnarrow==3410
replace occnarrow=10 if occnarrow==3420
replace occnarrow=10 if occnarrow==3500
replace occnarrow=10 if occnarrow==3510
replace occnarrow=10 if occnarrow==3520
replace occnarrow=10 if occnarrow==3530
replace occnarrow=10 if occnarrow==3535
replace occnarrow=10 if occnarrow==3540
replace occnarrow=11 if occnarrow==3600
replace occnarrow=11 if occnarrow==3610
replace occnarrow=11 if occnarrow==3620
replace occnarrow=11 if occnarrow==3630
replace occnarrow=11 if occnarrow==3640
replace occnarrow=11 if occnarrow==3645
replace occnarrow=11 if occnarrow==3646
replace occnarrow=11 if occnarrow==3647
replace occnarrow=11 if occnarrow==3648
replace occnarrow=11 if occnarrow==3649
replace occnarrow=11 if occnarrow==3650
replace occnarrow=11 if occnarrow==3655
replace occnarrow=12 if occnarrow==3700
replace occnarrow=12 if occnarrow==3710
replace occnarrow=12 if occnarrow==3720
replace occnarrow=12 if occnarrow==3730
replace occnarrow=12 if occnarrow==3740
replace occnarrow=12 if occnarrow==3750
replace occnarrow=12 if occnarrow==3800
replace occnarrow=12 if occnarrow==3820
replace occnarrow=12 if occnarrow==3830
replace occnarrow=12 if occnarrow==3840
replace occnarrow=12 if occnarrow==3850
replace occnarrow=12 if occnarrow==3860
replace occnarrow=12 if occnarrow==3900
replace occnarrow=12 if occnarrow==3910
replace occnarrow=12 if occnarrow==3930
replace occnarrow=12 if occnarrow==3940
replace occnarrow=12 if occnarrow==3945
replace occnarrow=12 if occnarrow==3950
replace occnarrow=12 if occnarrow==3955
replace occnarrow=13 if occnarrow==4000
replace occnarrow=13 if occnarrow==4010
replace occnarrow=13 if occnarrow==4020
replace occnarrow=13 if occnarrow==4030
replace occnarrow=13 if occnarrow==4040
replace occnarrow=13 if occnarrow==4050
replace occnarrow=13 if occnarrow==4060
replace occnarrow=13 if occnarrow==4110
replace occnarrow=13 if occnarrow==4120
replace occnarrow=13 if occnarrow==4130
replace occnarrow=13 if occnarrow==4140
replace occnarrow=13 if occnarrow==4150
replace occnarrow=13 if occnarrow==4160
replace occnarrow=14 if occnarrow==4200
replace occnarrow=14 if occnarrow==4210
replace occnarrow=14 if occnarrow==4220
replace occnarrow=14 if occnarrow==4230
replace occnarrow=14 if occnarrow==4240
replace occnarrow=14 if occnarrow==4250
replace occnarrow=15 if occnarrow==4300
replace occnarrow=15 if occnarrow==4320
replace occnarrow=15 if occnarrow==4340
replace occnarrow=15 if occnarrow==4350
replace occnarrow=15 if occnarrow==4400
replace occnarrow=15 if occnarrow==4410
replace occnarrow=15 if occnarrow==4420
replace occnarrow=15 if occnarrow==4430
replace occnarrow=15 if occnarrow==4460
replace occnarrow=15 if occnarrow==4465
replace occnarrow=15 if occnarrow==4500
replace occnarrow=15 if occnarrow==4510
replace occnarrow=15 if occnarrow==4520
replace occnarrow=15 if occnarrow==4530
replace occnarrow=15 if occnarrow==4540
replace occnarrow=15 if occnarrow==4600
replace occnarrow=15 if occnarrow==4610
replace occnarrow=15 if occnarrow==4620
replace occnarrow=15 if occnarrow==4640
replace occnarrow=15 if occnarrow==4650
replace occnarrow=16 if occnarrow==4700
replace occnarrow=16 if occnarrow==4710
replace occnarrow=16 if occnarrow==4720
replace occnarrow=16 if occnarrow==4740
replace occnarrow=16 if occnarrow==4750
replace occnarrow=16 if occnarrow==4760
replace occnarrow=16 if occnarrow==4800
replace occnarrow=16 if occnarrow==4810
replace occnarrow=16 if occnarrow==4820
replace occnarrow=16 if occnarrow==4830
replace occnarrow=16 if occnarrow==4840
replace occnarrow=16 if occnarrow==4850
replace occnarrow=16 if occnarrow==4900
replace occnarrow=16 if occnarrow==4920
replace occnarrow=16 if occnarrow==4930
replace occnarrow=16 if occnarrow==4940
replace occnarrow=16 if occnarrow==4950
replace occnarrow=16 if occnarrow==4965
replace occnarrow=17 if occnarrow==5000
replace occnarrow=17 if occnarrow==5010
replace occnarrow=17 if occnarrow==5020
replace occnarrow=17 if occnarrow==5030
replace occnarrow=17 if occnarrow==5100
replace occnarrow=17 if occnarrow==5110
replace occnarrow=17 if occnarrow==5120
replace occnarrow=17 if occnarrow==5130
replace occnarrow=17 if occnarrow==5140
replace occnarrow=17 if occnarrow==5150
replace occnarrow=17 if occnarrow==5160
replace occnarrow=17 if occnarrow==5165
replace occnarrow=17 if occnarrow==5200
replace occnarrow=17 if occnarrow==5210
replace occnarrow=17 if occnarrow==5220
replace occnarrow=17 if occnarrow==5230
replace occnarrow=17 if occnarrow==5240
replace occnarrow=17 if occnarrow==5250
replace occnarrow=17 if occnarrow==5260
replace occnarrow=17 if occnarrow==5300
replace occnarrow=17 if occnarrow==5310
replace occnarrow=17 if occnarrow==5320
replace occnarrow=17 if occnarrow==5330
replace occnarrow=17 if occnarrow==5340
replace occnarrow=17 if occnarrow==5350
replace occnarrow=17 if occnarrow==5360
replace occnarrow=17 if occnarrow==5400
replace occnarrow=17 if occnarrow==5410
replace occnarrow=17 if occnarrow==5420
replace occnarrow=17 if occnarrow==5500
replace occnarrow=17 if occnarrow==5510
replace occnarrow=17 if occnarrow==5520
replace occnarrow=17 if occnarrow==5530
replace occnarrow=17 if occnarrow==5540
replace occnarrow=17 if occnarrow==5550
replace occnarrow=17 if occnarrow==5560
replace occnarrow=17 if occnarrow==5600
replace occnarrow=17 if occnarrow==5610
replace occnarrow=17 if occnarrow==5620
replace occnarrow=17 if occnarrow==5630
replace occnarrow=17 if occnarrow==5700
replace occnarrow=17 if occnarrow==5800
replace occnarrow=17 if occnarrow==5810
replace occnarrow=17 if occnarrow==5820
replace occnarrow=17 if occnarrow==5830
replace occnarrow=17 if occnarrow==5840
replace occnarrow=17 if occnarrow==5850
replace occnarrow=17 if occnarrow==5860
replace occnarrow=17 if occnarrow==5900
replace occnarrow=17 if occnarrow==5910
replace occnarrow=17 if occnarrow==5920
replace occnarrow=17 if occnarrow==5940
replace occnarrow=18 if occnarrow==6005
replace occnarrow=18 if occnarrow==6010
replace occnarrow=18 if occnarrow==6020
replace occnarrow=18 if occnarrow==6040
replace occnarrow=18 if occnarrow==6050
replace occnarrow=18 if occnarrow==6100
replace occnarrow=18 if occnarrow==6110
replace occnarrow=18 if occnarrow==6120
replace occnarrow=18 if occnarrow==6130
replace occnarrow=19 if occnarrow==6200
replace occnarrow=19 if occnarrow==6210
replace occnarrow=19 if occnarrow==6220
replace occnarrow=19 if occnarrow==6230
replace occnarrow=19 if occnarrow==6240
replace occnarrow=19 if occnarrow==6250
replace occnarrow=19 if occnarrow==6260
replace occnarrow=19 if occnarrow==6300
replace occnarrow=19 if occnarrow==6310
replace occnarrow=19 if occnarrow==6320
replace occnarrow=19 if occnarrow==6330
replace occnarrow=19 if occnarrow==6355
replace occnarrow=19 if occnarrow==6360
replace occnarrow=19 if occnarrow==6400
replace occnarrow=19 if occnarrow==6420
replace occnarrow=19 if occnarrow==6430
replace occnarrow=19 if occnarrow==6440
replace occnarrow=19 if occnarrow==6460
replace occnarrow=19 if occnarrow==6500
replace occnarrow=19 if occnarrow==6515
replace occnarrow=19 if occnarrow==6520
replace occnarrow=19 if occnarrow==6530
replace occnarrow=19 if occnarrow==6540
replace occnarrow=19 if occnarrow==6600
replace occnarrow=19 if occnarrow==6660
replace occnarrow=19 if occnarrow==6700
replace occnarrow=19 if occnarrow==6710
replace occnarrow=19 if occnarrow==6720
replace occnarrow=19 if occnarrow==6730
replace occnarrow=19 if occnarrow==6740
replace occnarrow=19 if occnarrow==6750
replace occnarrow=19 if occnarrow==6765
replace occnarrow=19 if occnarrow==6800
replace occnarrow=19 if occnarrow==6820
replace occnarrow=19 if occnarrow==6830
replace occnarrow=19 if occnarrow==6840
replace occnarrow=19 if occnarrow==6910
replace occnarrow=19 if occnarrow==6920
replace occnarrow=19 if occnarrow==6930
replace occnarrow=19 if occnarrow==6940
replace occnarrow=20 if occnarrow==7000
replace occnarrow=20 if occnarrow==7010
replace occnarrow=20 if occnarrow==7020
replace occnarrow=20 if occnarrow==7030
replace occnarrow=20 if occnarrow==7040
replace occnarrow=20 if occnarrow==7050
replace occnarrow=20 if occnarrow==7100
replace occnarrow=20 if occnarrow==7110
replace occnarrow=20 if occnarrow==7120
replace occnarrow=20 if occnarrow==7130
replace occnarrow=20 if occnarrow==7140
replace occnarrow=20 if occnarrow==7150
replace occnarrow=20 if occnarrow==7160
replace occnarrow=20 if occnarrow==7200
replace occnarrow=20 if occnarrow==7210
replace occnarrow=20 if occnarrow==7220
replace occnarrow=20 if occnarrow==7240
replace occnarrow=20 if occnarrow==7260
replace occnarrow=20 if occnarrow==7300
replace occnarrow=20 if occnarrow==7315
replace occnarrow=20 if occnarrow==7320
replace occnarrow=20 if occnarrow==7330
replace occnarrow=20 if occnarrow==7340
replace occnarrow=20 if occnarrow==7350
replace occnarrow=20 if occnarrow==7360
replace occnarrow=20 if occnarrow==7410
replace occnarrow=20 if occnarrow==7420
replace occnarrow=20 if occnarrow==7430
replace occnarrow=20 if occnarrow==7440
replace occnarrow=20 if occnarrow==7510
replace occnarrow=20 if occnarrow==7520
replace occnarrow=20 if occnarrow==7540
replace occnarrow=20 if occnarrow==7550
replace occnarrow=20 if occnarrow==7560
replace occnarrow=20 if occnarrow==7600
replace occnarrow=20 if occnarrow==7610
replace occnarrow=20 if occnarrow==7630
replace occnarrow=21 if occnarrow==7700
replace occnarrow=21 if occnarrow==7710
replace occnarrow=21 if occnarrow==7720
replace occnarrow=21 if occnarrow==7730
replace occnarrow=21 if occnarrow==7740
replace occnarrow=21 if occnarrow==7750
replace occnarrow=21 if occnarrow==7800
replace occnarrow=21 if occnarrow==7810
replace occnarrow=21 if occnarrow==7830
replace occnarrow=21 if occnarrow==7840
replace occnarrow=21 if occnarrow==7850
replace occnarrow=21 if occnarrow==7855
replace occnarrow=21 if occnarrow==7900
replace occnarrow=21 if occnarrow==7920
replace occnarrow=21 if occnarrow==7930
replace occnarrow=21 if occnarrow==7940
replace occnarrow=21 if occnarrow==7950
replace occnarrow=21 if occnarrow==7960
replace occnarrow=21 if occnarrow==8000
replace occnarrow=21 if occnarrow==8010
replace occnarrow=21 if occnarrow==8020
replace occnarrow=21 if occnarrow==8030
replace occnarrow=21 if occnarrow==8040
replace occnarrow=21 if occnarrow==8060
replace occnarrow=21 if occnarrow==8100
replace occnarrow=21 if occnarrow==8120
replace occnarrow=21 if occnarrow==8130
replace occnarrow=21 if occnarrow==8140
replace occnarrow=21 if occnarrow==8150
replace occnarrow=21 if occnarrow==8160
replace occnarrow=21 if occnarrow==8200
replace occnarrow=21 if occnarrow==8210
replace occnarrow=21 if occnarrow==8220
replace occnarrow=21 if occnarrow==8230
replace occnarrow=21 if occnarrow==8250
replace occnarrow=21 if occnarrow==8255
replace occnarrow=21 if occnarrow==8256
replace occnarrow=21 if occnarrow==8300
replace occnarrow=21 if occnarrow==8310
replace occnarrow=21 if occnarrow==8320
replace occnarrow=21 if occnarrow==8330
replace occnarrow=21 if occnarrow==8340
replace occnarrow=21 if occnarrow==8350
replace occnarrow=21 if occnarrow==8360
replace occnarrow=21 if occnarrow==8400
replace occnarrow=21 if occnarrow==8410
replace occnarrow=21 if occnarrow==8420
replace occnarrow=21 if occnarrow==8430
replace occnarrow=21 if occnarrow==8440
replace occnarrow=21 if occnarrow==8450
replace occnarrow=21 if occnarrow==8460
replace occnarrow=21 if occnarrow==8500
replace occnarrow=21 if occnarrow==8510
replace occnarrow=21 if occnarrow==8520
replace occnarrow=21 if occnarrow==8530
replace occnarrow=21 if occnarrow==8540
replace occnarrow=21 if occnarrow==8550
replace occnarrow=21 if occnarrow==8600
replace occnarrow=21 if occnarrow==8610
replace occnarrow=21 if occnarrow==8620
replace occnarrow=21 if occnarrow==8630
replace occnarrow=21 if occnarrow==8640
replace occnarrow=21 if occnarrow==8650
replace occnarrow=21 if occnarrow==8710
replace occnarrow=21 if occnarrow==8720
replace occnarrow=21 if occnarrow==8730
replace occnarrow=21 if occnarrow==8740
replace occnarrow=21 if occnarrow==8750
replace occnarrow=21 if occnarrow==8760
replace occnarrow=21 if occnarrow==8800
replace occnarrow=21 if occnarrow==8810
replace occnarrow=21 if occnarrow==8830
replace occnarrow=21 if occnarrow==8840
replace occnarrow=21 if occnarrow==8850
replace occnarrow=21 if occnarrow==8860
replace occnarrow=21 if occnarrow==8900
replace occnarrow=21 if occnarrow==8910
replace occnarrow=21 if occnarrow==8920
replace occnarrow=21 if occnarrow==8930
replace occnarrow=21 if occnarrow==8940
replace occnarrow=21 if occnarrow==8950
replace occnarrow=21 if occnarrow==8965
replace occnarrow=23 if occnarrow==9000
replace occnarrow=23 if occnarrow==9030
replace occnarrow=23 if occnarrow==9040
replace occnarrow=23 if occnarrow==9050
replace occnarrow=23 if occnarrow==9100
replace occnarrow=23 if occnarrow==9110
replace occnarrow=23 if occnarrow==9120
replace occnarrow=23 if occnarrow==9130
replace occnarrow=23 if occnarrow==9140
replace occnarrow=23 if occnarrow==9150
replace occnarrow=23 if occnarrow==9200
replace occnarrow=23 if occnarrow==9230
replace occnarrow=23 if occnarrow==9240
replace occnarrow=23 if occnarrow==9260
replace occnarrow=23 if occnarrow==9300
replace occnarrow=23 if occnarrow==9310
replace occnarrow=23 if occnarrow==9330
replace occnarrow=23 if occnarrow==9340
replace occnarrow=23 if occnarrow==9350
replace occnarrow=23 if occnarrow==9360
replace occnarrow=23 if occnarrow==9410
replace occnarrow=23 if occnarrow==9415
replace occnarrow=23 if occnarrow==9420
replace occnarrow=24 if occnarrow==9500
replace occnarrow=24 if occnarrow==9510
replace occnarrow=24 if occnarrow==9520
replace occnarrow=24 if occnarrow==9560
replace occnarrow=24 if occnarrow==9600
replace occnarrow=24 if occnarrow==9610
replace occnarrow=24 if occnarrow==9620
replace occnarrow=24 if occnarrow==9630
replace occnarrow=24 if occnarrow==9640
replace occnarrow=24 if occnarrow==9650
replace occnarrow=24 if occnarrow==9720
replace occnarrow=24 if occnarrow==9730
replace occnarrow=24 if occnarrow==9740
replace occnarrow=24 if occnarrow==9750
replace occnarrow=25 if occnarrow==9800
replace occnarrow=25 if occnarrow==9810
replace occnarrow=25 if occnarrow==9820
replace occnarrow=25 if occnarrow==9830
replace occnarrow=0 if occnarrow==9920


label define occnarrow ///
0 "0 - No Experience" ///
1 "1 - Management Occupations" ///
2 "2 - Business and Financial" ///
3 "3 - Computer and Mathematical" ///
4 "4 - Architecture and Engineering" ///
5 "5 - Life, Physical, and Social Science" ///
6 "6 - Community and Social Service" ///
7 "7 - Legal Occupations" ///
8 "8 - Education, Training, and Library" ///
9 "9 - Arts, Design, Entertainment, Sports, and Media" ///
10 "10 - Healthcare Practitioners and Technical" ///
11 "11 - Healthcare Support" ///
12 "12 - Protective Service" ///
13 "13 - Food Preparation and Serving" ///
14 "14 - Grounds Cleaning and Maintenance" ///
15 "15 - Personal Care and Service" ///
16 "16 - Sales and Related" ///
17 "17 - Office and Administrative Support" ///
18 "18 - Farming, Fishing, and Forestry" ///
19 "19 - Construction and Extraction" ///
20 "20 - Installation, Maintenance, and Repair" ///
21 "21 - Production" ///
23 "23 - Transportation" ///
24 "24 - Material Moving" ///
25 "25 - Military"
label values occnarrow occnarrow

gen occbroad=occnarrow if age>=18
recode occbroad ///
1 = 1 ///
3 = 2 ///
4 = 2 ///
5 = 2 ///
6 = 3 ///
7 = 3 ///
8 = 3 ///
9 = 3 ///
10 = 4 ///
10 = 4 ///
11 = 5 ///
12 = 5 ///
13 = 5 ///
14 = 5 ///
15 = 5 ///
16 = 6 ///
17 = 6 ///
18 = 7 ///
19 = 7 ///
20 = 7 ///
21 = 8 ///
23 = 9 ///
24 = 9 ///
25 = 10 

label define occbroad ///
0 "0 - No Experience" ///
1 "1 - Management, Business, and Financial" ///
2 "2 - Computer, Engineering, and Science" ///
3 "3 - Education, Legal, Community Service, Arts, and Media" ///
4 "4 - Healthcare Practitioners" ///
5 "5 - Service" ///
6 "6 - Sales and Office" ///
7 "7 - Natural Resources, Construction, and Maintenance" ///
8 "8 - Production" ///
9 "9 - Transportation and Material Moving" ///
10 "10 - Military"
label values occbroad occbroad

tab occbroad, gen(occbroad_)

compress

order year hhwt perwt serial datanum famunit hhnum fmnum pernum count state metro rural homeland  ///
race* tribe female marital age agegrp* ///
eduyears experience expgrp* education lessHS HS college dropout ///
child5 child18 child18HH HHchild18 child5HH HHchild5 child617HH ownchild child multifam adult adultHH singlemom singledad singleprt ///
employed empHH multiempHH unemp unempHH multiunempHH disabled disableHH parttime labor ///
income incQ1 incQ2 incQ3 incQ4 incQ5 incQuin ///
fincome fincQ1 fincQ2 fincQ3 fincQ4 fincQ5 fincQuin ///
wages wageQ1 wageQ2 wageQ3 wageQ4 wageQ5 wageQuin ///
welfare poverty pov100 pov150 pov200 povOVER povEXT povline occnarrow occbroad*

keep year-occbroad_11

label variable year "Census year"
label variable hhwt "Household weight"
label variable perwt "Person weight"
label variable serial "Household serial number"
label variable datanum "Data set number"
label variable famunit "Family Unit membership"
label variable hhnum "HH Identifier (unique by year)"
label variable fmnum "Family Identifier (unique by year)"
label variable tribe "Tribe"
label variable female "Female"
label variable marital "Marital Status"
label variable age "Age"
label variable agegrp "Age Group"
label variable eduyears "Years of Education"
label variable experience "Labor Force Experience"
label variable education "Education Level (Over Age 25)"
label variable lessHS "Less than HS diploma (over Age 25)"
label variable HS "HS diploma (over Age 25)"
label variable college "College Degree (over Age 25)"
label variable dropout "High School Drop-Out (Age 16-19)"
label variable child5 "Child 5 and under"
label variable child18 "Child under 18"
label variable child18HH "Children in HH under 18"
label variable HHchild18 "Any Children in HH under 18"
label variable child5HH "Children in HH under 5"
label variable HHchild5 "Any Children in HH under 5"
label variable child617HH "Children in HH 6-17"
label variable ownchild "# Own Children in HH (Top=9)"
label variable child "Child"
label variable multifam "Number of Families in HH"
label variable adult "Person is an Adult"
label variable adultHH "Number of Adults in HH"
label variable singlemom "Single Mother Household (No Other Adults Present)"
label variable singledad "Single Father Household (No Other Adults Present)"
label variable employed "Employed"
label variable unemp "Unemployed"
label variable disabled "Disabeled (Unable to Work)"
label variable parttime "Employed Part-Time"
label variable labor "labor      Labor Status (Modified)"
label variable income "Personal Income (2013 Dollars)"
label variable incQ1 "Personal Inc:First Quintile"
label variable incQ2 "Personal Inc:Second Quintile"
label variable incQ3 "Personal Inc:Third Quintile"
label variable incQ4 "Personal Inc:Fourth Quintile"
label variable incQ5 "Personal Inc:Fifth Quintile"
label variable incQuin "Personal Income Quintile"
label variable fincome "Family Income (2013 Dollars)"
label variable fincQ1 "Family Inc:First Quintile"
label variable fincQ2 "Family Inc:Second Quintile"
label variable fincQ3 "Family Inc:Third Quintile"
label variable fincQ4 "Family Inc:Fourth Quintile"
label variable fincQ5 "Family Inc:Fifth Quintile"
label variable fincQuin "Family Income Quintile"
label variable wages "Wage/Salary Income (2013 Dollars)"
label variable wageQ1 "Wage Inc:First Quintile"
label variable wageQ2 "Wage Inc:Second Quintile"
label variable wageQ3 "Wage Inc:Third Quintile"
label variable wageQ4 "Wage Inc:Fourth Quintile"
label variable wageQ5 "Wage Inc:Fifth Quintile"
label variable wageQuin "Wage/Salary Income Quintile"
label variable welfare "Receives Welfare/P.A."
label variable poverty "% of Poverty Level (Top=501)"
label variable pov100 "100% of Poverty"
label variable pov150 "150% of Poverty"
label variable pov200 "200% of Poverty"
label variable povOVER "Over 200% of Poverty"
label variable povEXT "In Extreme Poverty"
label variable occnarrow "Occupation (Narrow Groups)"
label variable occbroad "Occupation (Broad Groups)"
label variable povline "Poverty Category"
label variable singleprt "Single Parent Household (Own Children, No Other Adults Present)"
label variable empHH "Number of Employed Adults in HH"
label variable unempHH "Number of Uneployed Adults in HH"
label variable disableHH "Number of Disabled (unable to work) Adults in HH"
label variable occbroad_1 "No Experience"
label variable occbroad_2 "Management, Business, and Financial"
label variable occbroad_3 "Computer, Engineering, and Science"
label variable occbroad_4 "Education, Legal, Community Service, Arts, and Media"
label variable occbroad_5 "Healthcare Practitioners"
label variable occbroad_6 "Service"
label variable occbroad_7 "Sales and Office"
label variable occbroad_8 "Natural Resources, Construction, and Maintenance"
label variable occbroad_9 "Production"
label variable occbroad_10 "Transportation and Material Moving"
label variable occbroad_11 "Military"
label variable agegrp_1 "agegrp==1: Less than 6"
label variable agegrp_2 "agegrp==2: 6-12"
label variable agegrp_3 "agegrp==3:13-17"
label variable agegrp_4 "agegrp==4:18-25"
label variable agegrp_5 "agegrp==5:26-35"
label variable agegrp_6 "agegrp==6:36-45"
label variable agegrp_7 "agegrp==7:46-55"
label variable agegrp_8 "agegrp==8:56-65"
label variable agegrp_9 "agegrp==9:66-75"
label variable agegrp_10 "agegrp==10: Over 75"
label variable expgrp "Worker Experience (Group)"
label variable expgrp_1 "expgrp==1 - Less than 5 Yrs"
label variable expgrp_2 "expgrp==2 - 5-10 Years"
label variable expgrp_3 "expgrp== 3 - 11-15 Years"
label variable expgrp_4 "expgrp==4 - 16-20 Years"
label variable expgrp_5 "expgrp==5 - More than 20 Years"
label variable multiempHH "Multiple Employed Adults in HH"
label variable multiunempHH "Multiple Unemployed Adults in HH"

save "02A - IPUMS Cleaned `yyy' - 1.dta", replace

}

foreach yyy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "02A - IPUMS Cleaned `yyy' - 1.dta", clear
merge 1:1 year datanum serial hhwt famunit famsize pernum perwt using "01 - IPUMS County Codes `yyy'.dta"
save "02A - IPUMS Cleaned `yyy' - 1.dta", replace
}
