*This file creates averaged and se for variables by year and race, sometimes for special populations
* takes 7 hours to run
clear
set mem 8g

foreach rrr in 1  {
*2 3
*1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 
foreach yyy in 1980 2014 {
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "02A - IPUMS Cleaned `yyy'.dta", clear
drop if race1!=7
replace race1=8 if metro==1
replace race1=9 if metro==0
label define race 8 "Urban Indian" 9 "Rural Indian", replace
save "02A - Rural Urban Indian `yyy'.dta", replace

use "02A - IPUMS Cleaned `yyy'.dta", clear
drop if race1>=7
append using "02A - Rural Urban Indian `yyy'.dta"

collapse (mean) m_metro=metro m_homeland=homeland m_rural=rural m_child18HH=child18HH m_child5HH=child5HH m_multifam=multifam ///
m_adultHH=adultHH m_empHH=empHH m_multiempHH=multiempHH m_multiunempHH=multiunempHH ///
m_disableHH=disableHH m_fincome=fincome m_welfare=welfare ///
m_poverty=poverty m_pov100=pov100 m_pov150=pov150 m_pov200=pov200 m_povEXT=povEXT ///
(semean) se_metro=metro se_homeland=homeland se_rural=rural se_child18HH=child18HH se_child5HH=child5HH se_multifam=multifam ///
se_adultHH=adultHH se_empHH=empHH se_multiempHH=multiempHH se_multiunempHH=multiunempHH ///
se_disableHH=disableHH se_fincome=fincome se_welfare=welfare ///
se_poverty=poverty se_pov100=pov100 se_pov150=pov150 se_pov200=pov200 se_povEXT=povEXT [fw=hhwt], by(race`rrr') fast
gen year=`yyy'
save "02B - IPUMS Collapse HH `yyy' Race`rrr'.dta", replace
/*
use "02A - IPUMS Cleaned `yyy'.dta", clear
replace occbroad_1=1 if occbroad_2==1
replace occbroad_1=1 if occbroad_3==1
replace occbroad_5=1 if occbroad_6==1
replace occbroad_5=1 if occbroad_7==1
replace occbroad_8=1 if occbroad_9==1
replace occbroad_8=1 if occbroad_10==1
collapse (mean) m_age=age m_child=child m_adult=adult m_income=income ///
m_occ1=occbroad_1 m_occ2=occbroad_5 m_occ3=occbroad_8 ///
(semean) se_marital=marital se_age=age se_child=child se_adult=adult se_income=income se_occ1=occbroad_1 se_occ2=occbroad_5 se_occ3=occbroad_8 ///
 [fw=perwt], by(race`rrr') fast
gen year=`yyy'
save "02B - IPUMS Collapse Per `yyy' Race`rrr'.dta", replace
}

foreach yyy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "02A - IPUMS Cleaned `yyy'.dta", clear
keep if age<18
collapse (mean) m_18poverty=poverty m_18pov100=pov100 m_18pov150=pov150 m_18pov200=pov200 m_18povEXT=povEXT  ///
(semean) se_18poverty=poverty se_18pov100=pov100 se_18pov150=pov150 se_18pov200=pov200 se_18povEXT=povEXT  ///
[fw=perwt], by(race`rrr') fast

gen year=`yyy'
save "02B - IPUMS Collapse Child18 `yyy' Race`rrr'.dta", replace
}

foreach yyy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
 use "02A - IPUMS Cleaned `yyy'.dta", clear
keep if age<=5
collapse (mean) m_5poverty=poverty m_5pov100=pov100 m_5pov150=pov150 m_5pov200=pov200 m_5povEXT=povEXT  ///
(semean) se_5poverty=poverty se_5pov100=pov100 se_5pov150=pov150 se_5pov200=pov200 se_5povEXT=povEXT  ///
[fw=perwt], by(race`rrr') fast

gen year=`yyy'
save "02B - IPUMS Collapse Child5 `yyy' Race`rrr'.dta", replace
}

foreach yyy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
 use "02A - IPUMS Cleaned `yyy'.dta", clear
keep if age>=18
collapse (mean) m_marital=marital m_ownchild=ownchild  ///
m_singleprt=singleprt m_employed=employed m_unemp=unemp  ///
m_disabled=disabled m_parttime=parttime m_trantime=trantime (median) m_wages=wages  ///
(semean) se_marital=marital se_ownchild=ownchild  ///
se_singleprt=singleprt se_employed=employed se_unemp=unemp ///
se_disabled=disabled se_parttime=parttime se_wages=wages se_trantime=trantime  ///
[fw=perwt], by(race`rrr') fast

gen year=`yyy'
save "02B - IPUMS Collapse Adult18 `yyy' Race`rrr'.dta", replace

 use "02A - IPUMS Cleaned `yyy'.dta", clear
keep if age>=25
collapse (mean) m_eduyears=eduyears m_experience=experience m_lessHS=lessHS ///
m_HS=HS m_college=college m_dropout=dropout  ///
(semean) se_eduyears=eduyears se_experience=experience se_lessHS=lessHS ///
se_HS=HS se_college=college se_dropout=dropout  ///
[fw=perwt], by(race`rrr') fast

gen year=`yyy'
save "02B - IPUMS Collapse Adult25 `yyy' Race`rrr'.dta", replace
*/
}

gen drop=1
foreach yyy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
append using "02B - IPUMS Collapse HH `yyy' Race`rrr'.dta"
append using "02B - IPUMS Collapse Per `yyy' Race`rrr'.dta"
append using "02B - IPUMS Collapse Adult18 `yyy' Race`rrr'.dta"
append using "02B - IPUMS Collapse Adult25 `yyy' Race`rrr'.dta"
append using "02B - IPUMS Collapse Child18 `yyy' Race`rrr'.dta"
append using "02B - IPUMS Collapse Child5 `yyy' Race`rrr'.dta"
}
drop if drop==1
drop drop 

foreach var in metro homeland rural marital age eduyears experience lessHS HS college dropout child18HH child5HH ownchild child multifam ///
adultHH singleprt employed empHH multiempHH unemp multiunempHH disabled disableHH parttime income fincome wages welfare ///
poverty pov100 pov150 pov200 povEXT 18poverty 18pov100 18pov150 18pov200 18povEXT 5poverty 5pov100 5pov150 5pov200 5povEXT occ1 occ2 occ3 {
gen u_`var'=m_`var'+(se_`var'*1.96)
replace u_`var'=. if year<2001
gen l_`var'=m_`var'-(se_`var'*1.96)
replace l_`var'=. if year<2001
}

foreach var in metro rural homeland marital age eduyears experience lessHS HS college dropout child18HH child5HH ownchild adult child multifam ///
adultHH singleprt employed empHH multiempHH unemp multiunempHH disabled disableHH parttime income fincome wages welfare ///
poverty pov100 pov150 pov200 povEXT 18poverty 18pov100 18pov150 18pov200 18povEXT 5poverty 5pov100 5pov150 5pov200 5povEXT occ1 occ2 occ3 {
gen temp0=m_`var' if year==1980
egen temp1=mean(temp0),by(race)
gen g80_`var'=(m_`var'-temp1)/temp1
drop temp*
}

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
save "02B - IPUMS Longitudinal Collapse Race`rrr'.dta", replace
}
stop
****************************
* Social Forces Graphs *
****************************
foreach rrr in 1 2 3 {
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "02B - IPUMS Longitudinal Collapse Race`rrr'.dta", clear
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Poverty (Social Forces)\Results"

rename race`rrr' race
label define race 1 "Urban White" 2 "Rural White" 3 "White Only" 4 "Black Only" 5 "Indian Only" 6 "Mixed-Race Indian" 7 "All Indian" 8 "Urban Indian" 9 "Rural Indian", replace
label values race race


*** Graphs to Evaluate Big Trends
gen temp=m_wage if race`rrr'==3
egen m_wwage=mean(temp), by(year)
gen m_pctwage=m_wage/m_wwage

foreach var in metro rural homeland marital age eduyears experience lessHS HS college dropout child18HH child5HH ownchild adult child multifam ///
adultHH singleprt employed empHH multiempHH unemp multiunempHH disabled disableHH parttime income fincome wages welfare poverty pctwage {
twoway (connected m_`var' year if race`rrr'==1, msymbol(circle_hollow) mcolor(gs9) lcolor(gs9) sort)  ///
(connected m_`var' year if race`rrr'==2, sort lpattern(dash) msymbol(square_hollow)) ///
(connected m_`var' year if race`rrr'==3, sort lpattern(solid) msymbol(circle)) ///
(connected m_`var' year if race`rrr'==4, sort lpattern(solid) mcolor(gs9) msymbol(circle)) ///
(connected m_`var' year if race`rrr'==5, sort msymbol(square) lwidth(medium)) ///
(connected m_`var' year if race`rrr'==6, sort lpattern(solid) mcolor(gs9) msymbol(circle_hollow)) ///
(connected m_`var' year if race`rrr'==7, sort lpattern(dash) mcolor(gs14) msymbol(square)), ///
xline(2000, lwidth(thin) lcolor(gs9)) ///
ytitle("`var'", xoffset(-2.5)) ylabel() ///
legend(on order(1 "Uwhite" 2 "Rwhite" 3 "White" 4 "Black" 5 "Indian" 6 "Mixed" 7 "All Ind") row(2)) ///
xtitle(Year) name(`var', replace)
graph export "C5XX - `var' Over Time Race`rrr'.png", replace
}


foreach var in metro rural homeland marital age eduyears experience lessHS HS college dropout child18HH child5HH ownchild adult child  ///
 singleprt employed multiempHH unemp multiunempHH disabled disableHH parttime welfare poverty pov100 pov150 pov200 povEXT ///
18poverty 18pov100 18pov150 18pov200 18povEXT 5poverty 5pov100 5pov150 5pov200 5povEXT {
replace m_`var'=m_`var'*100
replace g80_`var'=g80_`var'*100
}
************************
Powerpoint Color Graphs
************************

cd "C:\Users\bethi\Documents\"



graph bar (mean) m_rural if (year==1980 | year==2014) & race>=3 & race!=7, ///
over(year, gap(0) label(labsize(small))) over(race, label(labsize(small))) ///
blabel(bar, format(%2.0f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Percent") ylabel(0(20)100, format(%2.0f)) ///
title("Percent Living in Rural Areas, by Race, 1980 and 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates for 1980 come from Census 5 percent micro-sample. Rates for 2014 come from 1-year estimates of the" ///
"             American Community Survey. American Indian identification varies prior to 2000. All estimates differ " ///
"             significantly from one another.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "Rural Households.png", replace

graph bar (mean) m_homeland if (year==2014) & race>=3 & race<7, ///
over(year, gap(0) label(labsize(small))) over(race, label(labsize(small))) ///
blabel(bar, format(%2.0f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Percent") ylabel(0(20)80, format(%2.0f)) ///
title("Percent Living in Tracts with Indian Homelands, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates for 2014 come from 1-year estimates of the American Community Survey. All estimates differ" ///
"              significantly from one another. ", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "Homeland Households.png", replace

graph bar (mean) g80_HS if (year==2014) & race>=3 & race<7, ///
over(year, gap(0) label(labsize(small))) over(race, label(labsize(small))) ///
blabel(bar, format(%2.0f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Percent Growth") ylabel(0(20)80, format(%2.0f)) ///
title("Percent Growth in High School Attainment, by Race, 1980 and 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2004-2014 come from 1-year " ///
"             American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 25 and older.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "HS Over Time.png", replace


twoway (connected g80_HS year if race==3 & year>=1980 & year!=2001 & year!=2002 & year!=2003, sort lpattern(solid) msymbol(circle)) ///
(connected g80_HS year if race==4 & year>=1980 & year!=2001 & year!=2002 & year!=2003, sort lpattern(solid) msymbol(circle)) ///
(connected g80_HS year if race==5 & year>=1980 & year!=2001 & year!=2002 & year!=2003, sort lpattern(solid) msymbol(circle)) ///
(connected g80_HS year if race==6 & year>=1980 & year!=2001 & year!=2002 & year!=2003, sort lpattern(solid) msymbol(circle)), ///
xline(2000, lwidth(thin) lcolor("139 131 101")) ///
text(15 2014.5 "White Only", placement(e) size(medsmall)) ///
text(58 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(45 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(51 2014.5 "Mixed Ind.", placement(e) size(medsmall)) ///
ytitle("Percent Growth", xoffset(-2.5)) ylabel(0(20)60, format(%2.0f)) ///
legend(off) ///
title("Growth in High School Attainment, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle(Year) xlabel(1980(10)2020) ///
note("Notes.  Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2004-2014 come from 1-year " ///
"             American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 25 and older.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "HS Over Time.png", replace


twoway (connected g80_college year if race==3 & year>=1980 & year!=2001 & year!=2002 & year!=2003, sort lpattern(solid) msymbol(circle)) ///
(connected g80_college year if race==4 & year>=1980 & year!=2001 & year!=2002 & year!=2003, sort lpattern(solid) msymbol(circle)) ///
(connected g80_college year if race==5 & year>=1980 & year!=2001 & year!=2002 & year!=2003, sort lpattern(solid) msymbol(circle)) ///
(connected g80_college year if race==6 & year>=1980 & year!=2001 & year!=2002 & year!=2003, sort lpattern(solid) msymbol(circle)), ///
xline(2000, lwidth(thin) lcolor("139 131 101")) ///
text(93 2014.5 "White Only", placement(e) size(medsmall)) ///
text(136 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(80 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(236 2014.5 "Mixed Ind.", placement(e) size(medsmall)) ///
ytitle("Percent Growth", xoffset(-2.5)) ylabel(0(50)250, format(%2.0f)) ///
legend(off) ///
title("Growth in College Attainment, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle(Year) xlabel(1980(10)2020) ///
note("Notes.  Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2004-2014 come from 1-year " ///
"             American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 25 and older.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "college Over Time.png", replace



graph bar (mean) g80_employed if year==2014 & race>=3 & race!=7, ///
over(race, label(labsize(small) labcolor(black)) ) ///
blabel(bar, format(%2.1f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
yline(0, lwidth(medthin) lcolor("139 131 101")) ///
ytitle("Percent") ylabel(-6(2)6, format(%2.0f)) ///
title("Change in Employment Rates, by Race, 1980 to 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates for 1980 come from Census 5 percent micro-sample. Rates for 2014 come from 1-year estimates of the" ///
"             American Community Survey. American Indian identification varies prior to 2000. All estimates differ " ///
"             significantly from one another.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "employed Over Time.png", replace

graph bar (mean) g80_wages if year==2014 & race>=3 & race<7, ///
over(race, label(labsize(small) labcolor(black)) ) ///
blabel(bar, format(%2.1f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
yline(0, lwidth(medthin) lcolor("139 131 101")) ///
ytitle("Percent Growth") ylabel(0(10)30, format(%2.0f)) ///
title("Percent Growth in Median Wage, by Race, 1980 to 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates for 1980 come from Census 5 percent micro-sample. Rates for 2014 come from 1-year estimates of the" ///
"             American Community Survey. American Indian identification varies prior to 2000. All estimates differ " ///
"             significantly from one another. Wages are adjusted for inflation.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "wages Over Time.png", replace

graph bar (mean) m_wages if year==2014 & race>=3 & race<7, ///
over(race, label(labsize(small) labcolor(black)) ) ///
blabel(bar, format(%5.0fc) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
yline(0, lwidth(medthin) lcolor("139 131 101")) ///
ytitle("Median") ylabel(0(10000)30000, format(%5.0fc)) ///
title("Median Wage, by Race, in 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates for 2014 come from 1-year estimates of the American Community Survey. " ///
"             All estimates differ significantly from one another.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "wages.png", replace

graph bar (mean) m_adultHH (mean) m_empHH  if year==2014 & race>=3 & race<7, ///
over(race, label(labsize(small) labcolor(black))) ///
blabel(bar, format(%3.2f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(2, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Mean") ylabel(0(.5)2.5, format(%2.1f)) ///
legend(order(1 "Adults" 2 "Employed Adults")) ///
title("Mean Number of Adults and Employed Adults in Household, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly from one another.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export " Households.png", replace


graph bar (mean) m_pov100  if year==2014 & race>=3 & race<7, ///
over(race, label(labsize(small) labcolor(black))) ///
blabel(bar, format(%3.1f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Percent in Poverty", xoffset(-2)) ylabel(0(5)30, format(%2.0f)) ///
title("Family Income as Percent of Official Poverty Threshold, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly from one another.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "Poverty by Group.png", replace

graph bar (mean) m_pov100  if year==2014 & (race<3 | race>7), ///
over(race, label(labsize(small) labcolor(black))) ///
blabel(bar, format(%3.1f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Percent in Poverty", xoffset(-2)) ylabel(0(5)30, format(%2.0f)) ///
title("Family Income as Percent of Official Poverty Threshold, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly from one another.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "Rural Poverty by Group.png", replace

graph bar (mean) m_18pov100 if year==2014 & race!=3 & race<7, ///
over(race, label(labsize(small) labcolor(black))) ///
blabel(bar, format(%3.1f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Percent in Poverty", xoffset(-2)) ylabel(0(10)40, format(%2.0f)) ///
title("Percent of Children Living in Poverty, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly from one another.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "Child Poverty by Group.png", replace


graph bar (mean) m_povEXT if year==2014 & race!=3 & race<7, ///
over(race, label(labsize(small) labcolor(black))) ///
blabel(bar, format(%3.1f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Percent in Poverty", xoffset(-2)) ylabel(0(.5)2.5, format(%2.1f)) ///
title("Percent of People Living in Extreme Poverty, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly from one another.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "Extreme Poverty by Group.png", replace

/*
*********


cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\"
log using "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Analysis\Ch05 - Poverty\Results 2015_12_02.log", replace

log on
table year race, contents(mean m_pov100 )
log off





graph bar (mean) m_chpov100 m_chpov150 m_chpov200 if race!=5 & year==2013, stack ///
over(race, relabel(1 "NH White" 2 "Black Only" 3 "Indian Only" 4 "Mixed Indian" 5 "All Indians") label(labsize(small)))  ///
bar(1, fcolor(gs0) fintensity(inten60)) ///
bar(2, fcolor(gs6) fintensity(inten60)) ///
bar(3, fcolor(gs12) fintensity(inten60)) ///
bargap(0) outergap(.5) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Proportion in Poverty") ylabel(0(.2).8, grid glwidth(medthin) glcolor(black)) ymtick(0(.1).8, grid glwidth(medthin) glcolor(gs12)) ///
legend(on order(1 "100% of Poverty" 2 "150% of Poverty" 3 "200% of Poverty") rows(1) size(medsmall) position(6)) ///
title("All Children", pos(12)) name(C5_F6A, replace)

graph bar (mean) m_ch5pov100 m_ch5pov150 m_ch5pov200 if race!=5 & year==2013, stack ///
over(race, relabel(1 "NH White" 2 "Black Only" 3 "Indian Only" 4 "Mixed Indian" 5 "All Indians") label(labsize(small)))  ///
bar(1, fcolor(gs0) fintensity(inten60)) ///
bar(2, fcolor(gs6) fintensity(inten60)) ///
bar(3, fcolor(gs12) fintensity(inten60)) ///
bargap(0) outergap(.5) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("") yscale(off) ylabel(0(.2).8, grid glwidth(medthin) glcolor(black)) ymtick(0(.1).8, grid glwidth(medthin) glcolor(gs12)) ///
legend(on order(1 "100% of Poverty" 2 "150% of Poverty" 3 "200% of Poverty") rows(1) size(medsmall) position(6)) ///
title("Children Five and Under", pos(12)) name(C5_F6B, replace)


grc1leg C5_F6A C5_F6B, cols(2) scheme(ASR) xcommon ycommon imargin(0 0 0 0) xsize(7.5) ysize(5) ///
title("Figure 6. - Children Living at or Near Poverty, by Race, 2013.", ///
pos(7) yoffset(3) xoffset(-2)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-2) yoffset(-7)) 

graph save "C5F6 - Child Poverty by Group.gph", replace
graph export "C5F6 - Child Poverty by Group.png", replace

graph bar (mean) m_povEXT m_chpovEXT m_ch5povEXT if race!=5 & year==2000, ///
over(race, relabel(1 "NH White" 2 "Black Only" 3 "Indian Only" 4 "Mixed-Race Indian" 5 "All Indians"))  ///
bar(1, fcolor(gs0) fintensity(inten60)) ///
bar(2, fcolor(gs6) fintensity(inten60)) ///
bar(3, fcolor(gs12) fintensity(inten60)) ///
bargap(0) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Proportion in Poverty") ylabel(0(.01).05, grid glwidth(medthin) glcolor(black))  ///
legend(on order(1 "Everyone" 2 "All Children" 3 "Children 5 and Under") rows(1) size(medsmall) position(6)) ///
title("Figure 7. - Proportion of People Living in Extreme Poverty, by Race, 2013.", ///
pos(7) yoffset(3) xoffset(-2)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-12) yoffset(-7)) 


graph save "C5F7 - Extreme Poverty by Group.gph", replace
graph export "C5F7 - Extreme Poverty by Group.png", replace



twoway (connected g80_metro year if race==3 & year!=2001 & year!=2002 & year!=2003 & year!=2004, sort) ///
(connected g80_metro year if race==4 & year!=2001 & year!=2002 & year!=2003 & year!=2004, sort) ///
(connected g80_metro year if race==5 & year!=2001 & year!=2002 & year!=2003 & year!=2004, sort) ///
(connected g80_metro year if race==6 & year!=2001 & year!=2002 & year!=2003 & year!=2004, sort), ///
xline(2000, lwidth(thin) lcolor("195 204 200")) ///
text(-.1 2014.5 "All White", placement(e) size(medsmall)) ///
text(-.026 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(-.40 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(-.23 2014.5 "Mixed-Race" "Indian", placement(e) size(medsmall)) ///
ytitle(Growth Rate, xoffset(-2.5)) ylabel(-.5(.1).1, format(%3.2f)) ///
legend(on order(1 "Non-Hispanic White" 2 "Black Only" 3 "Indian Only" 4 "Mixed Race Indian") row(2)) ///
title("Growth in the Proportion Living in Metropolitan Areas, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
xtitle(Year) xlabel(1980(10)2020)  ///
yline(00, lwidth(medium) lcolor("195 204 200")) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2004-2014 come from 1-year" ///
"             estimates of the American Community Survey. American Indian identification varies prior to 2000.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "Metro Over Time.png", replace

graph bar (mean) m_rural (mean) m_homeland if year==2014 & race>=3, ///
over(race, label(labsize(small))) ///
blabel(bar, format(%3.2f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(2, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Proportion") ylabel(0(.2)1) ///
legend(order(1 "Rural" 2 "Indian Homeland")) ///
title("Proportion of Respondents Living in Rural Areas and Reservations, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly from one another.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "Rural Households.png", replace

graph bar (mean) m_trantime if year==2014 & race>=3, ///
over(race, label(labsize(small))) ///
blabel(bar, format(%3.2f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(2, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Proportion") ylabel(0(5)15) ///
legend(order(1 "Rural" 2 "Indian Homeland")) ///
title("Mean Travel Time to Work, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly from one another.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "Travel Time.png", replace


twoway (connected g80_HS year if race==3 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_HS year if race==4 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_HS year if race==5 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_HS year if race==6 & year>=1980, sort lpattern(solid) msymbol(circle)), ///
xline(2000, lwidth(thin) lcolor("195 204 200")) ///
text(.15 2014.5 "All White", placement(e) size(medsmall)) ///
text(.58 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(.45 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(.51 2014.5 "Mixed-Race" "Indians", placement(e) size(medsmall)) ///
ytitle(Growth Rate, xoffset(-2.5)) ylabel(0(.2).6, format(%3.2f)) ///
legend(on order(1 "Non-Hispanic White" 2 "Black Only" 3 "All Indian" 4 "Mixed-Race Indians") row(2)) ///
title("Growth in High School Attainment, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
xtitle(Year) xlabel(1980(10)2020) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2001-2014 come from 1-year" ///
"             estimates of the American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 25 and older.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "HS Over Time.png", replace


twoway (connected g80_college year if race==3 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_college year if race==4 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_college year if race==5 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_college year if race==6 & year>=1980, sort lpattern(solid) msymbol(circle)), ///
xline(2000, lwidth(thin) lcolor("195 204 200")) ///
text(.93 2014.5 "All White", placement(e) size(medsmall)) ///
text(1.36 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(.8 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(2.36 2014.5 "Mixed-Race" "Indians", placement(e) size(medsmall)) ///
ytitle(Growth Rate, xoffset(-2.5)) ylabel(0(.5)2.5, format(%3.2f)) ///
legend(on order(1 "Non-Hispanic White" 2 "Black Only" 3 "All Indian" 4 "Mixed-Race Indians") row(2)) ///
title("Growth in College Attainment, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
xtitle(Year) xlabel(1980(10)2020) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2001-2014 come from 1-year" ///
"             estimates of the American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 25 and older.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "college Over Time.png", replace


twoway (connected m_employed year if race==3 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected m_employed year if race==4 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected m_employed year if race==5 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected m_employed year if race==6 & year>=1980, sort lpattern(solid) msymbol(circle)), ///
xline(2000, lwidth(thin) lcolor("195 204 200")) ///
text(.73 2014.5 "All White", placement(e) size(medsmall)) ///
text(.63 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(.55 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(.60 2014.5 "Mixed-Race" "Indians", placement(e) size(medsmall)) ///
ytitle(Growth Rate, xoffset(-2.5)) ylabel(.5(.05).7, format(%3.2f)) ///
legend(on order(1 "Non-Hispanic White" 2 "Black Only" 3 "All Indian" 4 "Mixed-Race Indians") row(2)) ///
title("Employment Rates, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
xtitle(Year) xlabel(1980(10)2020) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2001-2013 come from 1-year" ///
"             estimates of the American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 18 and older.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "employed Over Time.png", replace

twoway (connected g80_wages year if race==3 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_wages year if race==4 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_wages year if race==5 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_wages year if race==6 & year>=1980, sort lpattern(solid) msymbol(circle)), ///
xline(2000, lwidth(thin) lcolor("195 204 200")) ///
text(.39 2014.5 "All White", placement(e) size(medsmall)) ///
text(.25 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(.20 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(.32 2014.5 "Mixed-Race" "Indians", placement(e) size(medsmall)) ///
ytitle(Growth Rate, xoffset(-2.5)) ylabel(0(.05).4, format(%3.2f)) ///
legend(on order(1 "Non-Hispanic White" 2 "Black Only" 3 "All Indian" 4 "Mixed-Race Indians") row(2)) ///
title("Growth in Annual Wages, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
xtitle(Year) xlabel(1980(10)2020) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2001-2013 come from 1-year" ///
"             estimates of the American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 18 and older.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "wages Over Time.png", replace

graph bar (mean) m_adultHH (mean) m_empHH  if year==2014 & race>=3, ///
over(race, label(labsize(small))) ///
blabel(bar, format(%3.2f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
bar(2, fcolor("168 69 76") lcolor("168 69 76")) ///
ytitle("Mean") ylabel(0(.5)2.5) ///
legend(order(1 "Adults" 2 "Employed Adults")) ///
title("Mean Number of Adults and Employed Adults in Household, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly from one another.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export " Households.png", replace

twoway (connected g80_wages year if race==3 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_wages year if race==4 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_wages year if race==5 & year>=1980, sort lpattern(solid) msymbol(circle)) ///
(connected g80_wages year if race==6 & year>=1980, sort lpattern(solid) msymbol(circle)), ///
xline(2000, lwidth(thin) lcolor("195 204 200")) ///
text(.39 2014.5 "All White", placement(e) size(medsmall)) ///
text(.25 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(.20 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(.32 2014.5 "Mixed-Race" "Indians", placement(e) size(medsmall)) ///
ytitle(Growth Rate, xoffset(-2.5)) ylabel(0(.05).4, format(%3.2f)) ///
legend(on order(1 "Non-Hispanic White" 2 "Black Only" 3 "All Indian" 4 "Mixed-Race Indians") row(2)) ///
title("Growth in Annual Wages, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
xtitle(Year) xlabel(1980(10)2020) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2001-2013 come from 1-year" ///
"             estimates of the American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 18 and older.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "wages Over Time.png", replace


twoway (connected m_pov100 year if race==3 , sort lpattern(solid) msymbol(circle)) ///
(connected m_pov100 year if race==4 , sort lpattern(solid) msymbol(circle)) ///
(connected m_pov100 year if race==5 , sort lpattern(solid) msymbol(circle)) ///
(connected m_pov100 year if race==6 , sort lpattern(solid) msymbol(circle)), ///
xline(2000, lwidth(thin) lcolor("195 204 200")) ///
yline(0, lwidth(medium)) ///
text(.11 2014.5 "All White", placement(e) size(medsmall)) ///
text(.27 2014.5 "Black Only", placement(e) size(medsmall)) ///
text(.29 2014.5 "Indian Only", placement(e) size(medsmall)) ///
text(.23 2014.5 "Mixed-Race" "Indians", placement(e) size(medsmall)) ///
ytitle(Growth Rate, xoffset(-2.5)) ylabel(0(.05).3, format(%3.2f)) ///
legend(on order(1 "Non-Hispanic White" 2 "Black Only" 3 "Indian Only" 4 "Mixed-Race Indian" ) row(2)) ///
title("Poverty Rates based on the Official Poverty Measure, by Race, 1980-2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
xtitle(Year) xlabel(1980(10)2020) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2001-2014 come from 1-year" ///
"             estimates of the American Community Survey. American Indian identification varies prior to 2000." ///
"             Rates are for respondents age 18 and older.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "Poverty Over Time.png", replace


graph bar (mean) m_pov100 m_pov150 m_pov200 if year==2014, stack ///
over(race, label(labsize(small))) ///
blabel(bar, format(%3.2f) box fcolor(white) lcolor(white) position(center)) ///
ytitle("Proportion in Poverty") ylabel(0(.1).6) ///
legend(on order(1 "100% of Poverty" 2 "150% of Poverty" 3 "200% of Poverty") rows(1) size(medsmall) position(6)) ///
title("Family Income as Percent of Official Poverty Threshold, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-12)) scheme(ReportWarm)
graph export "Poverty by Group.png", replace


graph bar (mean) m_18pov100 m_18pov150 m_18pov200 if year==2014, stack ///
over(race, relabel(1 "Urban White" 2 "Rural White" 3 "Black" 4 "Indian" 5 "Mixed-Race" 6 "All Indians") label(labsize(vsmall)))  ///
bargap(0) outergap(.5) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Proportion in Poverty") ylabel(0(.2).8, grid )  ///
legend(on order(1 "100% of Poverty" 2 "150% of Poverty" 3 "200% of Poverty") rows(1) size(medsmall) position(6)) ///
title("All Children", pos(12)) name(C5_F6A, replace) scheme(ReportWarm)

graph bar (mean) m_5pov100 m_5pov150 m_5pov200 if year==2014, stack ///
over(race, relabel(1 "Urban White" 2 "Rural White" 3 "Black" 4 "Indian" 5 "Mixed-Race" 6 "All Indians") label(labsize(vsmall)))  ///
bargap(0) outergap(.5) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("") yscale(off) ylabel(0(.2).8, grid ) ///
legend(on order(1 "100% of Poverty" 2 "150% of Poverty" 3 "200% of Poverty") rows(1) size(medsmall) position(6)) ///
title("Children Five and Under", pos(12)) name(C5_F6B, replace) scheme(ReportWarm)

grc1leg C5_F6A C5_F6B, cols(2) scheme(ASR) xcommon ycommon imargin(1 0 0 0) xsize(7.5) ysize(5) ///
title("Children Living at or Near Poverty, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-12) yoffset(-7)) 
graph export "Child Poverty by Group.png", replace



graph bar (mean) m_povEXT m_18povEXT m_5povEXT if year==2014, ///
over(race, relabel(1 "Urban White" 2 "Rural White" 3 "Black Only" 4 "Indian Only" 5 "Mixed-Race" 6 "All Indians") label(labsize(small)))  ///
bargap(0) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Proportion in Poverty") ylabel(0(.02).06, grid )  ///
legend(on order(1 "Everyone" 2 "All Children" 3 "Children 5 and Under") rows(1) size(medsmall) position(6)) ///
title("Proportion of People Living in Extreme Poverty, by Race, 2014.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Note. Rates come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-12) yoffset(-7)) scheme(ReportWarm)
graph export "Extreme Poverty by Group.png", replace









