*** Data Set Up ***
foreach time in 1 2 3 {
foreach yy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
foreach rr in 1 2 3 4 5 6 7 {
foreach aa in 6 18 99 {
clear
set mem 10g
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "02A - IPUMS Cleaned `yy'.dta", clear
keep if race`time'==`rr'

keep if age<`aa'

replace adultHH=5 if adultHH>5 & adultHH!=.
replace multifam=3 if multifam>3 & multifam!=.

gen GRParea=((metro)*100)+(homeland)
gen GRPdemo=((female)*100)+(agegrp)
gen GRPedu=education
gen GRPhh=((HHchild5)*100000)+((HHchild18)*10000)+((multifam)*1000)+((adultHH)*100)+((empHH)*10)+(unempHH)
gen GRPemp=((labor)*100)+(expgrp)
gen GRPwage=wageQuin
gen GRPocc=occbroad+1

keep metro homeland female education HHchild5 HHchild18 multifam adultHH empHH unempHH ///
labor expgrp agegrp wageQuin occbroad GRParea GRPdemo GRPedu GRPhh GRPemp GRPwage GRPocc race`time' ///
povEXT pov100 pov150 pov200 povOVER povline year

save "05A - Counterfactual `aa'_`rr'_`yy' Race`time'.dta", replace
}
}
}
}
*** Make Var Specific Rates ***
* This process is huge and takes forever 1980 1990 2000 2001 2002 2003 2004 
foreach yy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
foreach time in 1 2 3 {
foreach rr in 1 2 3 4 5 6 7 {
foreach aa in 6 18 99 {
foreach var in metro homeland female education HHchild5 HHchild18 multifam adultHH empHH unempHH ///
labor expgrp agegrp wageQuin occbroad GRParea GRPdemo GRPedu GRPhh GRPemp GRPwage GRPocc {

clear
clear matrix
set mem 10g
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "05A - Counterfactual `aa'_`rr'_`yy' Race`time'.dta", clear

keep `var' race`time' povEXT pov100 pov150 pov200 povOVER povline year
replace `var'=-99 if `var'==.

egen p`yy'_`var'`aa'povEXT=mean(povEXT), by(`var')
egen p`yy'_`var'`aa'pov100=mean(pov100), by(`var')
egen p`yy'_`var'`aa'pov150=mean(pov150), by(`var')
egen p`yy'_`var'`aa'pov200=mean(pov200), by(`var')
egen p`yy'_`var'`aa'povOVER=mean(povOVER), by(`var')
egen p`yy'_`var'`aa'povLINE=mean(povline), by(`var')

drop povEXT pov100 pov150 pov200 povOVER povline 

egen ct1=count(year)
egen ct2=count(year), by(`var')
gen r`yy'_`aa'`var'=ct2/ct1

egen tag=tag(`var')

gen var="`var'"
gen aa=`aa'
keep if tag==1

drop tag ct*
compress
drop if `var'==-99
save "05B - Counterfactual `aa'_`rr'_`yy' `var' Race`time'.dta", replace
}
}
}
}
}

*** Make general non var specific rates
*2001 2002 2003 2004
foreach time in 1 2 3 {
foreach yy in 1980 1990 2000  2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
foreach rr in 1 2 3 4 5 6 7 {
foreach aa in 6 18 99 {
clear
set mem 10g
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "05A - Counterfactual `aa'_`rr'_`yy' Race`time'.dta", clear

keep race`time' povEXT pov100 pov150 pov200 povOVER povline year

egen p`yy'_`aa'povEXT=mean(povEXT)
egen p`yy'_`aa'pov100=mean(pov100)
egen p`yy'_`aa'pov150=mean(pov150)
egen p`yy'_`aa'pov200=mean(pov200)
egen p`yy'_`aa'povOVER=mean(povOVER)
egen p`yy'_`aa'povLINE=mean(povline)

drop povEXT pov100 pov150 pov200 povOVER povline 

egen tag=tag(race`time'), missing
gen aa=`aa'

keep if tag==1
drop tag  
compress
save "05B - Counterfactual `aa'_`rr'_`yy' Race`time'.dta", replace
}
}
}
}


*** Merge whites onto everyone else
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
foreach time in 1 2 3 {
foreach yy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014{

foreach var in metro homeland female education HHchild5 HHchild18 multifam adultHH empHH unempHH ///
labor expgrp agegrp wageQuin occbroad GRParea GRPdemo GRPedu GRPhh GRPemp GRPwage GRPocc {

foreach aa in 6 18 99 {

use "05B - Counterfactual `aa'_3_`yy' `var' Race`time'.dta", clear
append using "05B - Counterfactual `aa'_4_`yy' `var' Race`time'.dta"
append using "05B - Counterfactual `aa'_5_`yy' `var' Race`time'.dta"
append using "05B - Counterfactual `aa'_6_`yy' `var' Race`time'.dta"
append using "05B - Counterfactual `aa'_7_`yy' `var' Race`time'.dta"

renpfix p`yy'_`var'`aa' p`yy'I_
rename r`yy'_`aa'`var' r`yy'I

merge m:1 year `var' aa using "05B - Counterfactual `aa'_3_`yy' `var' Race`time'.dta"
* will NOT overwrite "race" and "var"
drop _merge

renpfix p`yy'_`var'`aa' p`yy'W_
rename r`yy'_`aa'`var' r`yy'W

merge m:1 year race aa using "05B - Counterfactual `aa'_3_`yy' Race`time'.dta", update
drop if _merge==2
drop _merge
merge m:1 year race aa using "05B - Counterfactual `aa'_4_`yy' Race`time'.dta", update
drop if _merge==2
drop _merge
merge m:1 year race aa using "05B - Counterfactual `aa'_5_`yy' Race`time'.dta", update
drop if _merge==2
drop _merge
merge m:1 year race aa using "05B - Counterfactual `aa'_6_`yy' Race`time'.dta", update
drop if _merge==2
drop _merge
merge m:1 year race aa using "05B - Counterfactual `aa'_7_`yy' Race`time'.dta", update
drop if _merge==2
drop _merge

renpfix p`yy'_`aa' p`yy'_

rename aa age

order year race age var `var', first

compress
save "05C - Counterfactual `aa'_`yy' `var' Race`time'.dta", replace

}
}
}

foreach yy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014{

use "05C - Counterfactual 99_`yy' metro Race`time'.dta", clear
gen drop=1

foreach var in metro homeland female education HHchild5 HHchild18 multifam adultHH empHH unempHH ///
labor expgrp agegrp wageQuin occbroad GRParea GRPdemo GRPedu GRPhh GRPemp GRPwage GRPocc {

foreach aa in 6 18 99 {

append using "05C - Counterfactual `aa'_`yy' `var' Race`time'.dta"

}
}

drop if drop==1
drop drop

order year race age var metro homeland female education HHchild5 HHchild18 multifam adultHH empHH unempHH ///
labor expgrp agegrp wageQuin occbroad GRParea GRPdemo GRPedu GRPhh GRPemp GRPwage GRPocc, first
compress

save "05C - Counterfactual `yy' Race`time'.dta", replace
}

use "05C - Counterfactual 1980 Race`time'.dta", clear
drop year

sort race age var metro homeland female education HHchild5 HHchild18 multifam adultHH empHH unempHH ///
labor expgrp agegrp wageQuin occbroad GRParea GRPdemo GRPedu GRPhh GRPemp GRPwage GRPocc

foreach yy in 1990 2000 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {

merge 1:1 race age var metro homeland female education HHchild5 HHchild18 multifam adultHH empHH unempHH ///
labor expgrp agegrp wageQuin occbroad GRPwage GRPdemo GRPemp GRPocc GRPedu GRParea GRPhh   ///
using "05C - Counterfactual `yy' Race`time'.dta"
drop _merge year
compress

}

save "05D - Counterfactual Race`time'.dta", replace
}


cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "05D - Counterfactual Race1", clear

egen varnum=group(var)
order varnum, after(var)

foreach var2 in pov100 pov150 pov200 povOVER povEXT {
gen cfI14_`var2'=p2014I_`var2'*r2014I
egen CFI14_`var2'=sum(cfI14_`var2'), by(varnum race age)

gen cf8014_`var2'=p2014I_`var2'*r1980I
egen CF8014_`var2'=sum(cf8014_`var2'), by(varnum race age)
gen diff8014_`var2'=CF8014_`var2'-p2014_`var2'

gen cf9014_`var2'=p2014I_`var2'*r1990I
egen CF9014_`var2'=sum(cf9014_`var2'), by(varnum race age)
gen diff9014_`var2'=CF9014_`var2'-p2014_`var2'

gen cf0014_`var2'=p2014I_`var2'*r2000I
egen CF0014_`var2'=sum(cf0014_`var2'), by(varnum race age)
gen diff0014_`var2'=CF0014_`var2'-p2014_`var2'

gen cfIW14_`var2'=p2014I_`var2'*r2014W
egen CFIW14_`var2'=sum(cfIW14_`var2'), by(varnum race age)
gen diffIW14_`var2'=CFIW14_`var2'-p2014_`var2'

gen cfIW00_`var2'=p2000I_`var2'*r2000W
egen CFIW00_`var2'=sum(cfIW00_`var2'), by(varnum race age)
gen diffIW00_`var2'=CFIW00_`var2'-p2000_`var2'

egen temp1_`var2'=mean(CF8014_`var2') if varnum==18, by(race age)
egen temp2_`var2'=mean(temp1), by(race age)
replace CF8014_`var2'=temp2 if varnum==1
drop temp*
egen temp1_`var2'=mean(diff8014_`var2') if varnum==18, by(race age)
egen temp2_`var2'=mean(temp1), by(race age)
replace diff8014_`var2'=temp2 if varnum==1
drop temp*
}

table var, contents(mean varnum )
table var if race==7 & age==99, contents(mean CF8014_pov100 mean p2014_pov100 mean diff8014_pov100 mean diffIW14_pov100 )

recode varnum 4=1 6=2 3=3 1=4 5=5 2=6

replace CF8014_pov100=CF8014_pov100*100
replace p2014_pov100=p2014_pov100*100
replace CFIW14_pov100=CFIW14_pov100*100
replace diff8014_pov100=diff8014_pov100*100
replace diffIW14_pov100=diffIW14_pov100*100
replace varnum=varnum+1
replace CF8014_pov100=p2014_pov100 if varnum==10
replace CFIW14_pov100=p2014_pov100 if varnum==10
replace varnum=1 if varnum==10


cd "C:\Users\bethi\Documents\"

graph hbar (mean) CF8014_pov100  if varnum<=7 & race==7 & age==99 ///
, over(varnum, label(nolabel)) ///
outergap(.5)  ///
text(0 102.5 "Actual Poverty" , size(medsmall) placement(e)) ///
text(0 88 "Employment Status" , size(medsmall) placement(e)) ///
text(0 72.5 "Occupational Status", size(medsmall) placement(e)) ///
text(0 58 "Educational Attainment", size(medsmall) placement(e)) ///
text(0 43 "Geographic Area", size(medsmall) placement(e)) ///
text(0 28 "Household Composition", size(medsmall) placement(e)) ///
text(0 13.5 "Age & Gender Distribution", size(medsmall) placement(e)) ///
blabel(bar, position(top) format(%3.1f) box fcolor(white) lcolor(white) justification(center)) ///
ytitle("Percent of All Indians in Poverty") ylabel(0(5)30) ymtick(0(10)30) ///
legend(off) ///
title("Percent of all Indians in poverty in 2014 assuming 1980 Indian composition.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates for 1980 come from Census 5 percent micro-sample. Rates for 2014 come from 1-year estimates of the" ///
"             American Community Survey. American Indian identification varies prior to 2000.", ///
pos(7) xoffset(-2) yoffset(-4) color("139 131 101")) scheme(ReportWarm)
graph export "C5F4 - 2000-13 Counterfactual.png", replace


graph hbar (mean) CFIW14_pov100  if varnum<=7 & race==7 & age==99 ///
, over(varnum, label(nolabel)) ///
outergap(.5)  ///
text(0 102.5 "Actual Poverty" , size(medsmall) placement(e)) ///
text(0 88 "Employment Status" , size(medsmall) placement(e)) ///
text(0 72.5 "Occupational Status", size(medsmall) placement(e)) ///
text(0 58 "Educational Attainment", size(medsmall) placement(e)) ///
text(0 43 "Geographic Area", size(medsmall) placement(e)) ///
text(0 28 "Household Composition", size(medsmall) placement(e)) ///
text(0 13.5 "Age & Gender Distribution", size(medsmall) placement(e)) ///
blabel(bar, position(top) format(%3.1f) box fcolor(white) lcolor(white) justification(center)) ///
ytitle("Percent of All Indians in Poverty") ylabel(0(5)30) ymtick(0(10)30) ///
legend(off) ///
title("Percent of all Indians in poverty in 2014 assuming 2014 White composition.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates for 1980 come from Census 5 percent micro-sample. Rates for 2014 come from 1-year estimates of the" ///
"             American Community Survey. American Indian identification varies prior to 2000.", ///
pos(7) xoffset(-2) yoffset(-4) color("139 131 101")) scheme(ReportWarm)
graph export "C5F5 - W-I Counterfactual.png", replace




drop if varnum>7
drop if varnum==1
drop if varnum>4
label define race 3 "White" 4 "Black" 5 "Indian" 6 "Mixed Ind." 7 "All Indians", replace
table varnum if age==99, contents(mean diff8014_pov100 mean diffIW14_pov100 ) by(race) replace name(m_)

graph hbar (mean) m_1 if race!=7, over(race, label(labsize(medsmall))) ///
over(varnum, relabel(1 "Employment" 2 "Occupational" 3 "Educational") label(labsize(medsmall))) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
blabel(bar, position(top) format(%3.1f) box fcolor(white) lcolor(white) justification(center)) ///
ytitle("") title("Change in poverty rates in 2014 assuming 1980 composition, by race.", ///
pos(11) yoffset(0) xoffset(-2) size(medlarge)) ylabel(-20(5)5) ///
note("Notes.  Rates for 1980 come from Census 5 percent micro-sample. Rates for 2014 come from 1-year estimates of the" ///
"             American Community Survey. American Indian identification varies prior to 2000.", ///
pos(7) xoffset(-33) yoffset(0) color("139 131 101")) scheme(ReportWarm) 
graph export "C5F4B - 1980-13 Counterfactual.png", replace

graph hbar (mean) m_2 if race!=7 & race!=3, over(race, label(labsize(medsmall))) ///
over(varnum, relabel(1 "Employment" 2 "Occupational" 3 "Educational") label(labsize(medsmall))) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
blabel(bar, position(top) format(%3.1f) box fcolor(white) lcolor(white) justification(center)) ///
ytitle("") title("Change in poverty rates in 2014 assuming 2014 White composition, by race.", ///
pos(11) yoffset(0) xoffset(-2) size(medlarge)) ylabel(-20(5)0) ///
note("Notes.  Rates come from 1-year estimates of the American Community Survey. ", ///
pos(7) xoffset(-40) yoffset(-2) color("139 131 101")) scheme(ReportWarm) 
graph export "C5F5B - W-I Counterfactual.png", replace

/*
cd "C:\Users\bethi\Documents\"

graph hbar (mean) CF8013_pov100  CF8013_pov150 CF8013_pov200 if varnum<=6 & race==3 & age==99 ///
, over(varnum, label(nolabel)) stack ///
text(0 102.5 "Geographic Area", size(medsmall) placement(e)) ///
text(0 84 "Age & Gender Distribution", size(medsmall) placement(e)) ///
text(0 67 "Educational Attainment", size(medsmall) placement(e)) ///
text(0 49 "Employment Outcomes", size(medsmall) placement(e)) ///
text(0 31 "Household Composition", size(medsmall) placement(e)) ///
text(0 14 "Occupational Outcomes", size(medsmall) placement(e)) ///
outergap(.5)  ///
blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Proportion of All Indians in Poverty") ylabel(0(.2).6) ymtick(0(.1).6) ///
fysize(88) fxsize(100) graphregion(margin(small)) ///
legend(on order(1 "100% of Poverty" 2 "150% of Poverty" 3 "200% of Poverty") size(small) row(1) position(5) ) ///
name(F5B_CF1, replace) scheme(ReportWarm)

graph hbar (mean) p2013_pov100  p2013_pov150 p2013_pov200 if race==3 & age==99, stack ///
text(0 138 "Actual Poverty", size(medsmall) placement(e)) ///
outergap(.5) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
legend(off) yscale(off) ylabel(0(.2).6) ymtick(0(.1).6) ///
fysize(12) fxsize(100) plotregion(margin(medsmall)) graphregion(margin(zero)) ///
name(F5A_CF1, replace) scheme(ReportWarm)

graph combine F5A_CF1 F5B_CF1, cols(1) scheme(ASR) xcommon ycommon imargin(.2 .2 .2 0) ///
title("Proportion of all Indians in poverty in 2013 assuming 1980 composition.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates for 1980 come from Census 5 percent micro-sample. Rates for 2013 come" ///
"           from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(0)) xsize(9) ysize(8)

graph export "C5F4 - 1980-13 Counterfactual.png", replace


graph hbar (mean) CFIW13_pov100  CFIW13_pov150 CFIW13_pov200 if varnum<=6 & race==3 & age==99 ///
, over(varnum, label(nolabel)) stack ///
text(0 102.5 "Geographic Area", size(medsmall) placement(e)) ///
text(0 84 "Age & Gender Distribution", size(medsmall) placement(e)) ///
text(0 67 "Educational Attainment", size(medsmall) placement(e)) ///
text(0 49 "Employment Outcomes", size(medsmall) placement(e)) ///
text(0 31 "Household Composition", size(medsmall) placement(e)) ///
text(0 14 "Occupational Outcomes", size(medsmall) placement(e)) ///
outergap(.5)  ///
blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Proportion of All Indians in Poverty") ylabel(0(.2).6) ymtick(0(.1).6) ///
fysize(88) fxsize(100) graphregion(margin(small)) ///
legend(on order(1 "100% of Poverty" 2 "150% of Poverty" 3 "200% of Poverty") size(small) row(1) position(5) ) ///
name(F5B_CF2, replace) scheme(ReportWarm)

graph hbar (mean) p2013_pov100  p2013_pov150 p2013_pov200 if race==3 & age==99, stack ///
text(0 138 "Actual Poverty", size(medsmall) placement(e)) ///
outergap(.5) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
legend(off) yscale(off) ylabel(, nogrid) ///
fysize(12) fxsize(100) plotregion(margin(medsmall)) graphregion(margin(zero)) ///
name(F5A_CF2, replace) scheme(ReportWarm)


graph combine F5A_CF2 F5B_CF2, cols(1) scheme(ASR) xcommon ycommon imargin(.2 .2 .2 0)  ///
title("Proportion of all Indians in poverty in 2013 assuming 2013 white composition.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates for 2013 come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(0)) xsize(9) ysize(8)

graph export "C5F5 - W-I Counterfactual.png", replace


drop if varnum>6
label define race 1 "White Only" 2 "Black Only" 3 "Indian Only" 4 "Mixed-Race Indian" 9 "All Indians", replace
table varnum if age==99, contents(mean diff8013_pov100 mean diffIW13_pov100 ) by(race) replace name(m_)

graph hbar (mean) m_1 if race!=3 & race!=4, ///
over(varnum, relabel(1 "Geographic Area" 2 "Age & Gender" 3 "Educational Attainment" 4 "Employment Outcomes" ///
5 "Household Composition" 6 "Occupational Outcomes" 7 "Wage Distribution") ///
label(labsize(small))) bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
blabel(bar, position(inside) format(%3.2f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("") by(, title("Proportion in poverty in 2013 assuming 1980 composition, by race.", position(11)) ///
note("Notes. Rates for 1980 come from Census 5 percent micro-sample. Rates for 2013 come from 1-year estimates" ///
"            of the American Community Survey.", position(7))) ///
scheme(reportwarm) xsize(10.5) ysize(8) ///
by(, graphregion(margin(tiny)) plotregion(margin(tiny))) ///
by(race, imargin(tiny) iyaxes ixaxes iytick ixtick iylabel ixlabel) ///
subtitle(, position(12) nobox justification(center)) graphregion(margin(tiny)) plotregion(margin(tiny))
graph export "C5F4B - 1980-13 Counterfactual.png", replace

graph hbar (mean) m_1 if race!=1, ///
over(varnum, relabel(1 "Geographic Area" 2 "Age & Gender" 3 "Educational Attainment" 4 "Employment Outcomes" ///
5 "Household Composition" 6 "Occupational Outcomes" 7 "Wage Distribution") ///
label(labsize(small))) bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
blabel(bar, position(inside) format(%3.2f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("") by(, title("Proportion in poverty in 2013 assuming White composition, by race.", position(11)) ///
note("Notes. Rates for 2013 come from 1-year estimates of the American Community Survey", position(7))) ///
scheme(reportwarm) xsize(10.5) ysize(8) ///
by(, graphregion(margin(tiny)) plotregion(margin(tiny))) ///
by(race, imargin(tiny) iyaxes ixaxes iytick ixtick iylabel ixlabel) ///
subtitle(, position(12) nobox justification(center)) graphregion(margin(tiny)) plotregion(margin(tiny))
graph export "C5F5B - W-I Counterfactual.png", replace
*/


*** 9 - Child poverty and multifamily household counterfactual

graph hbar (mean)  p2013_povEXT if varnum==10 & race==3 & age!=99 ///
, over(age, label(nolabel)) ///
bar(1, fcolor(gs6) fintensity(inten60)) ///
text(.028 78 "Children 5 and Under", size(medsmall) placement(e)) ///
text(.0255 20 "All Children", size(medsmall) placement(e)) ///
outergap(.5) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
legend(off) yscale(off) ylabel(0(.01).04) ytitle("") ///
title("Actual Poverty", pos(12)) fysize(45) ///
name(F5A_CF3, replace) 
/*
graph hbar (mean)  CFIW00_povEXT if varnum==10 & race==3 & age!=99 ///
, over(age, label(nolabel)) ///
bar(1, fcolor(gs6) fintensity(inten60)) ///
text(.028 78 "Children 5 and Under", size(medsmall) placement(e)) ///
text(.0245 20 "All Children", size(medsmall) placement(e)) ///
outergap(.5) blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
legend(off) yscale(off) ylabel(0(.01).04) fysize(30) ytitle("") ///
title("Counterfactual Poverty Under White Household Composition",pos(12)) ///
name(F5B_CF3, replace)
*/
graph hbar (mean)  CFIB00_povEXT if varnum==10 & race==3 & age!=99 ///
, over(age, label(nolabel)) ///
bar(1, fcolor(gs6) fintensity(inten60)) ///
text(.028 78 "Children 5 and Under", size(medsmall) placement(e)) ///
text(.0245 20 "All Children", size(medsmall) placement(e)) ///
outergap(.5)  ///
blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Proportion of Indians Only in Poverty") ylabel(0(.01).04)  ///
legend(off) fysize(55) ///
title("Counterfactual Poverty Under Black Household Composition",pos(12)) ///
name(F5C_CF3, replace)

graph combine F5A_CF3  F5C_CF3, cols(1) scheme(ASR) xcommon ycommon imargin(.2 .2 .2 0) xsize(7.5) ysize(6) ///
title("Figure 9. - Proportion of Indian Only Children in extreme poverty adjusting the" ///
"                  number of adults in household, 2013.", ///
pos(7) yoffset(3) xoffset(-2)) ///
note("Notes. Rates for 2013 come from 1-year estimates of the American Community Survey.", ///
pos(7) xoffset(-2) yoffset(-11)) 

graph save "C5F9 - Child Counterfactual.gph", replace
graph export "C5F9 - Child Counterfactual.png", replace



