
foreach yy in 1980 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
clear
set mem 13g
cd "C:\Users\bjb9185\Box Sync\PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "02A - IPUMS Cleaned `yy'.dta", clear
drop if race`rrr'>7
keep race`rrr' poverty tribe year hhwt perwt wages homeland
save "06A - Variance `yy'.dta", replace
}


use "06A - Variance 1980.dta", replace
foreach yy in 1990 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 {
append using "06A - Variance `yy'.dta"
} 
save "06B - Variance.dta", replace


cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "06B - Variance.dta", clear
recode tribe 2132=. 2133=. 2134=. 3001=. 3002=. 0=. 
egen tag=tag(year race1)

gen total=.
gen between=.
gen within=.
gen cons=1


regress income cons if race1>=5 & race1<=6 & tribe!=.  [fweight=perwt]
predict tempr, r
replace total=tempr if race1>=5 & race1<=6 
drop temp*

regress income i.tribe if race1>=5 & race1<=6 & tribe!=. [fweight=perwt]
predict tempr, r
predict tempxb
replace within=tempr if race1>=5 & race1<=6 
replace between=tempxb if race1>=5 & race1<=6 
drop temp*



egen sd_total=sd(total), by(year race1)
gen var_total=sd_total*sd_total

egen sd_between=sd(between), by(year race1)
gen var_between=sd_between*sd_between

egen sd_within=sd(within), by(year race1)
gen var_within=sd_within*sd_within




cd "C:\Users\bethi\Documents\"
twoway (connected var_total year if race1>=5 & race1<=6 & tag==1, sort) ///
(connected var_between year if race1>=5 & race1<=6 & tag==1, sort) ///
(connected var_within year if race1>=5 & race1<=6 & tag==1, sort), ///
text(24000 2013.2 "Total", placement(e) size(medsmall)) ///
text(1600 2013.5 "Between Tribe", placement(e) size(medsmall)) ///
text(22000 2013.3 "Within Tribe", placement(e) size(medsmall)) ///
ytitle("Variance in Poverty Rates", xoffset(-2.5)) ylabel(0(5000)25000) ///
title("Variance in Family Income as Percent of Office Poverty Threshold, Between" ///
"         and Within Tribe, for Indians only, 1980-2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2001-2013 come from 1-year" ///
"           estimates of the American Community Survey. American Indian identification varies prior to 2000." ///
"           Tribal data is available for 35.88 percent of Native respondents.", ///
pos(7) xoffset(-12) yoffset(0)) ///
legend(off) xtitle(Year) scheme(ReportWarm)
graph export "Tribe Variance.png", replace



stop 

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\"

twoway (connected var_total year if race==3 & tag==1, sort) ///
(connected var_between year if race==3 & tag==1, sort) ///
(connected var_within year if race==3 & tag==1, sort), ///
text(24000 2013.2 "Total", placement(e) size(medsmall)) ///
text(1600 2013.5 "Between Tribe", placement(e) size(medsmall)) ///
text(22000 2013.3 "Within Tribe", placement(e) size(medsmall)) ///
ytitle("Variance in Poverty Rates", xoffset(-2.5)) ylabel(0(5000)25000) ///
title("Figure 10. - Variance in Family Income as Percent of Office Poverty Threshold, Between" ///
"         and Within Tribe, for Indians only, 1980-2013.", ///
pos(7) yoffset(5) xoffset(-2)) ///
note("Notes. Rates for 1980-2000 come from Census 5 percent micro-sample. Rates for 2001-2013 come from 1-year" ///
"           estimates of the American Community Survey. American Indian identification varies prior to 2000.", ///
pos(7) xoffset(-12) yoffset(-11)) ///
legend(off) xtitle(Year) 

graph save "C5F10 - Tribe Variance.gph", replace
graph export "C5F10 - Tribe Variance.png", replace

graph box poverty [fweight = hhwt] if race==9, over(year)
