cd "C:\Users\bjb9185\Box Sync\PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "Tract-Res 04 - CLEANED Comparison Data (Collapsed).dta", clear


tabstat number, statistics( mean sd ) by(type) columns(statistic)

gen temp=.
replace temp=1 if type==1
replace temp=2 if type==7
replace temp=3 if type==3
replace temp=4 if type==5
replace temp=5 if type==6
replace temp=type if type>=10
label define temp 1 "Reservations" 2 "Native Comm." 3 "Black Comm." 4 "Urban Tracts" 5 "Rural Tracts" ///
10 "Northeast" 11 "Southeast" 12 "Plains" 13 "Southwest" 14 "Great Basin" 15 "Plateau" 16 "Northwest" 17 "California" 18 "Oklahoma", replace
label values temp temp

gen povrt=((white*povw)+(black*povb)+(ai*povai)+(allother*povoth))/(white+black+ai+allother)


gen pov_40=.
replace pov_40=0 if povrt!=.
replace pov_40=1 if povrt>=.40 & povrt!=.

gen pov_20=.
replace pov_20=0 if povrt!=.
replace pov_20=1 if povrt>=.20 & povrt<.40

egen ct20=count(type), by(type)
egen temp20=sum(pov_20), by(type)
gen pov20=temp20/ct20

egen ct40=count(type), by(type)
egen temp40=sum(pov_40), by(type)
gen pov40=temp40/ct40

cd "C:\Users\bethi\Documents\"

foreach var in white black ai allother povrt povai povw povb pov40 pov20 {
replace `var'=`var'*100
}

graph hbar (mean) white black ai allother if temp<=1, over(temp, axis(off)) stack ///
blabel(bar, position(center) format(%3.1f) box fcolor(white) lcolor(white)) ///
legend(order(1 "White Only" 2 "Black Only" 3 "Indian Only" 4 "All Other")) ///
ytitle("Percent")  ///
title("Racial Composition of Reservation Tracts, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly.", ///
pos(7) xoffset(-3) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "C5F2 - Racial Composition.png", replace


graph bar (mean) povrt if temp<=5, over(temp,label(labcolor(black)))  ///
blabel(bar, position(center) format(%3.1f) box fcolor(white) lcolor(white)) ///
legend(off) ///
ytitle("Percent")  ///
title("Percent in Poverty, by Census Tracts, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly.", ///
pos(7) xoffset(-8) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "C5F11 - Poverty by Group & Tract.png", replace

label define type 1 "Reservations" 2 "Native Comm." 3 "Black Comm." 4 "All Other", replace
label values type type

graph bar (mean) povw povai povb if type<=4, over(type,label(labcolor(black)))  ///
blabel(bar, position(center) format(%4.1f) box fcolor(white) lcolor(white)) ///
legend(order(1 "White Only" 2 "Black Only" 3 "Indian Only")) ///
ytitle("Percent in Poverty")  ///
title("Percent in Poverty, by Census Tracts, 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Rates come from 1-year estimates of the American Community Survey. All estimates differ significantly.", ///
pos(7) xoffset(-8) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "C5F12 - Poverty by Group & Tract.png", replace

/*
gen iwpov=povai-povw
gen bwpov=povb-povw
graph bar (mean) iwpov bwpov if temp<=4, over(temp)  ///
bar(1, fcolor(gs9) lcolor(black)) bar(2, fcolor(gs2) lcolor(black)) ///
blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white)) ///
legend(order(1 "Indian-White Differential" 2 "Black-White Differential")) ///
ytitle("Poverty Differential")  ///
title("Figure 12. - Difference in Poverty Rate Between Racial Group and White, 2013.", ///
pos(7) yoffset(3) xoffset(-3)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-13) yoffset(-7)) 

graph save "C5F12 - Poverty Differential.gph", replace
graph export "C5F12 - Poverty Differential.png", replace
*/

/*
cd "C:\Users\bethi\Documents\"
graph bar (mean) white black ai allother if temp<=5, over(temp,) stack ///
blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white)) ///
legend(order(1 "Non-Hispanic White" 2 "Black Only" 3 "Indian Only" 4 "All Other")) ///
ytitle("Proportion")  ///
title("Racial Composition of Geographic Areas, 2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-12) yoffset(0)) scheme(ReportWarm)
graph export "C5F2 - Racial Composition.png", replace

graph bar (mean) povrt if temp<=5, over(temp,)  ///
bar(1, fcolor("168 69 76") lcolor("168 69 76"))  ///
blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white)) ///
legend(off) ///
ytitle("Proportion in Poverty")  ///
title("Proportion in Poverty, by Census Tract, 2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-12) yoffset(0)) scheme(ReportWarm)
graph export "C5F11 - Poverty by Group & Tract.png", replace

graph bar (mean) povw povb povai if temp<=5, over(temp,)  ///
blabel(bar, position(center) format(%4.3f) box fcolor(white) lcolor(white)) ///
legend(order(1 "Non-Hispanic White" 2 "Black Only" 3 "Indian Only")) ///
ytitle("Proportion in Poverty")  ///
title("Proportion in Poverty, by Race and Census Tract, 2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-12) yoffset(0)) scheme(ReportWarm)
graph export "C5F12 - Poverty by Group & Tract.png", replace

*/


****13 - Extreme and Concentrated poverty (% of tracts with >40% & >20% poverty rates)

graph bar (mean) pov40 pov20 if temp<=4, over(temp,) stack ///
bar(1, fcolor(gs9) lcolor(black)) bar(2, fcolor(gs4) lcolor(black)) ///
blabel(bar, format(%4.3f) box fcolor(white) lcolor(white) position(center)) ///
legend(order(1 "Poverty Rate>40%" 2 "Poverty Rate>20%")) ///
ytitle("Proportion of Tracts") ylabel(0(.2).6) ///
title("Figure 13. - Proportion of Tracts with Concentrated or Extreme Poverty, 2013.", ///
pos(7) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-12) yoffset(-7)) 

graph save "C5F13 - Concentrated Poverty.gph", replace
graph export "C5F13 - Concentrated Poverty.png", replace


graph bar (mean) povrt if temp>=10 & temp!=., over(temp, label(angle(forty_five)))  ///
bar(1, fcolor(gs11) lcolor(black)) ///
blabel(bar, format(%4.3f) box fcolor(white) lcolor(white)) ///
legend(off) ///
ytitle("Proportion in Poverty")  ///
title("Figure 15. - Reservation Poverty Rates, by Region, 2013.", ///
pos(7) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-12) yoffset(-8)) 

graph save "C5F15 - Region Poverty.gph", replace
graph export "C5F15 - Region Poverty.png", replace

/*
cd "C:\Users\bethi\Documents\"
graph bar (mean) pov40 pov20 if temp<=5, over(temp,) stack ///
bar(2, fcolor("168 69 76") lcolor("168 69 76"))  ///
blabel(bar, format(%4.3f) box fcolor(white) lcolor(white) position(center)) ///
legend(order(1 "Poverty Rate>40%" 2 "Poverty Rate>20%")) ///
ytitle("Proportion of Tracts") ylabel(0(.2).6) ///
title("Proportion of Tracts with Concentrated or Extreme Poverty, 2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-12) yoffset(0)) scheme(ReportWarm)
graph export "C5F13 - Concentrated Poverty.png", replace


graph bar (mean) povrt if temp>=10 & temp!=., over(temp, label(angle(forty_five)))  ///
bar(1, fcolor("168 69 76") lcolor("168 69 76"))  ///
blabel(bar, format(%4.3f) box fcolor(white) lcolor(white)) ///
legend(off) ///
ytitle("Proportion in Poverty")  ///
title("Reservation Poverty Rates, by Region, 2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-12) yoffset(0)) scheme(ReportWarm)
graph export "C5F15 - Region Poverty.png", replace

*/

***************************
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
clear
clear matrix
set mem 13g
use "Tract-Res 04 - CLEANED Comparison Data (Collapsed).dta", clear

keep type hhnoearn hhpa pov18 vacant 

collapse (mean) hhnoearn hhpa pov18 vacant, by(type)

xpose, clear varname
rename v1 Rez
rename v2 Ncom
rename v3 Bcom
rename v4 All
rename v5 Urban
rename v6 Rural
rename v7 Ncom45
rename v8 NcomTSA
rename v9 zNE
rename v10 zSE
rename v11 zPL
rename v12 zSW
rename v13 zGB
rename v14 zPT
rename v15 zNW
rename v16 zCA
rename v17 zOK
rename v18 zTract

replace _var="1hhnoearn" if _var=="hhnoearn"
replace _var="2hhpa" if _var=="hhpa"
replace _var="3pov18" if _var=="pov18"
replace _var="4vacant" if _var=="vacant"

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\"

graph bar (mean) Rez Ncom45 Bcom All ///
if (_var=="1hhnoearn") | (_var=="2hhpa") | (_var=="3pov18") | (_var=="4vacant") , ///
over(_var, relabel(1 "HH with No Earnings" 2 "Receiving Public Asst." 3 "Child Poverty" 4 "Housing Vacancy") ///
gap(50) label(labcolor(black) angle(horizontal) labsize(small) labgap(3)) axis(lcolor("186 180 160") outergap(2))) ///
bar(1, fcolor(gs9) lcolor(black)) bar(2, fcolor(white) lcolor(black)) ///
bar(3, fcolor(gs2) lcolor(black)) bar(4, fcolor(gs14) lcolor(black)) ///
bargap(4) outergap(15) blabel(total, size(small) color(black) position(outside) format(%4.3f) box fcolor(white) lcolor(white)) ///
legend(order(1 "Reservations" 2 "Native Communities" 3 "Black Communities" 4 "All Other Tracts") cols(2)) ///
ytitle("Proportion")  ///
title("Figure 14. - Community Poverty Outcomes, by Census Tract, 2013.", ///
pos(7) yoffset(3) xoffset(-3)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-13) yoffset(-7)) 

graph save "C5F14 - Community Poverty Outcomes.gph", replace
graph export "C5F14 - Community Poverty Outcomes.png", replace



/*
cd "C:\Users\bethi\Documents\Job Talk"
graph bar (mean) Rez Ncom45 Bcom All ///
if (_var=="1hhnoearn") | (_var=="2hhpa") | (_var=="3pov18") | (_var=="4vacant") , ///
over(_var, relabel(1 "HH with No Earnings" 2 "Receiving Public Asst." 3 "Child Poverty" 4 "Housing Vacancy") ///
gap(50) label(labcolor(black) angle(horizontal) labsize(small) labgap(3)) axis(lcolor("186 180 160") outergap(2))) ///
bargap(4) outergap(15) blabel(total, size(small) color(black) position(outside) format(%4.3f) box fcolor(white) lcolor(white)) ///
legend(order(1 "Reservations" 2 "Native Communities" 3 "Black Communities" 4 "All Other Tracts") cols(2)) ///
ytitle("Proportion")  ///
title("Community Poverty Outcomes, by Census Tract, 2013.", ///
pos(11) yoffset(3) xoffset(-2)) ///
note("Notes. Rates come from 1-year estimates of the Community Survey.", ///
pos(7) xoffset(-12) yoffset(0)) scheme(ReportWarm)
graph export "C5F14 - Community Poverty Outcomes.png", replace

*/


***********************************
