
* Run-Time: 2-3 Minutes

***** Read the Raw Files *****

*** Tract-Reservation Crosswalk ***

clear
set mem 3g
set more off, perm
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\RAW Files"
insheet using "centract_aia.txt"

* Remove state-level non-reservation native areas.
gen FSDT=0
replace FSDT=1 if strpos(name,"SDTSA")!=0
drop if FSDT==1
drop FSDT

* SPECIAL: Exclude the Everglades non-conforming observation.
drop if statefp==12 & aiannhce==2240

* Remove non-land reservation designations.
gen otsa=0
replace otsa=1 if strpos(name,"OTSA")!=0
replace otsa=1 if strpos(name,"TDSA")!=0

* Prep merge variables.
rename statefp state
rename countyfp county
rename tractce tract

* Clean other variables.
rename areaint R_AREA
rename popint R_POP
rename huint R_HOUSING

keep state county tract otsa R_AREA R_POP R_HOUSING
collapse (sum) R_* otsa, by(state county tract) fast
replace otsa=1 if otsa>1 & otsa!=.
compress

label variable state ""
label variable county ""
label variable tract ""
label variable otsa "Tract Contains Non-Land Designation (OTSA or TDSA)"
label variable R_AREA "Total Area of Intersection Between Census Tract and Am-Ind Area (m2)"
label variable R_POP "2010 Pop of Intersection Between Census Tract and Am-Ind Area"
label variable R_HOUSING "2010 Housing Unit Count of Intersecting Polygon"

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 01 - Crosswalk (Basic Clean).dta", replace

*** Area (Land) Add-In ***

clear
set mem 3g
set more off, perm
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\RAW Files"
insheet using "Gaz_aiannh.txt"

rename geoid AIANHH
keep AIANHH aland_sqmi
compress

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 01 - Area Add-In (Basic Clean).dta", replace

*** Rural Add-In (Tract-Level) ***

clear
set mem 3g
set more off, perm
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\RAW Files"
insheet using "Rural Tracts.csv"

gen state=.
gen county=.
gen tract=.

gen double temp=.
foreach sss in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 {
replace temp=`sss'+1
replace temp=(temp)*1000000000
replace state=`sss' if v1>`sss'000000000 & v1<temp
replace v1=(v1)-`sss'000000000 if state==`sss'
}
drop temp

tostring v1, gen(vstring) force
gen tstring=substr(vstring,-6,.)
destring tstring, replace
replace tract=tstring

replace v1=(v1)-(tstring)
replace v1=(v1)/1000000
replace county=v1

gen rural=1
label define rural 0 "0- NOT Rural" 1 "1- Rural"
label values rural rural
label variable rural "Rural Tract"

keep state county tract rural
compress

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 01 - Rural Add-In 1 (Basic Clean).dta", replace

*** Rural Add-In (County-Level) ***

clear
set mem 3g
set more off, perm
cd "C:\Users\User\Documents\SCHOOL DRIVE\Projects\PROJECT - Native Inequality\Seventh Generation\Tract-Res Comparison\RAW Files"
insheet using "Rural Counties.csv"

gen state=.
gen county=.

gen double temp=.
foreach sss in 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 {
replace temp=`sss'+1
replace temp=(temp)*1000
replace state=`sss' if v1>`sss'000 & v1<temp
replace v1=(v1)-`sss'000 if state==`sss'
}
drop temp

replace county=v1

gen crural=1
label define crural 0 "0- NOT Rural" 1 "1- Rural"
label values crural crural
label variable crural "Rural County"

keep state county crural
compress

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 01 - Rural Add-In 2 (Basic Clean).dta", replace

*** Rural Add-In (County-Level) ***

clear
set mem 3g
set more off, perm
cd "C:\Users\User\Documents\SCHOOL DRIVE\Projects\PROJECT - Native Inequality\Seventh Generation\Tract-Res Comparison\RAW Files"
insheet using "Ethnic Data.txt"

rename geo_state state
rename geo_county county
rename geo_tract tract
rename se_t133_001 T133_001
rename se_t133_003 T133_003

keep state county tract T133_001 T133_003
compress

label variable state ""
label variable county ""
label variable tract ""
label variable T133_001 "Total Population"
label variable T133_003 "Foreign Born"

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 01 - Ethnic Add-In.dta", replace

*** State-Level Census Data ***

clear
set mem 3g
set more off, perm
cd "C:\Users\User\Documents\SCHOOL DRIVE\Projects\PROJECT - Native Inequality\Seventh Generation\Tract-Res Comparison\RAW Files"
infile using "Tract Data.dct", using("Tract Data.txt")

* Clean "state".
rename STATE state
destring state, replace
drop if state==2
drop if state==15
label define state 1 "AL (1)" 2 "AK (2)" 4 "AZ (4)" 5 "AR (5)" 6 "CA (6)" 8 "CO (8)" 9 "CT (9)" 10 "DE (10)" 11 "DC (11)" 12 "FL (12)" 13 "GA (13)" 15 "HI (15)" 16 "ID (16)" 17 "IL (17)" 18 "IN (18)" 19 "IA (19)" 20 "KS (20)" 21 "KY (21)" 22 "LA (22)" 23 "ME (23)" 24 "MD (24)" 25 "MA (25)" 26 "MI (26)" 27 "MN (27)" 28 "MS (28)" 29 "MO (29)" 30 "MT (30)" 31 "NE (31)" 32 "NV (32)" 33 "NH (33)" 34 "NJ (34)" 35 "NM (35)" 36 "NY (36)" 37 "NC (37)" 38 "ND (38)" 39 "OH (39)" 40 "OK (40)" 41 "OR (41)" 42 "PA (42)" 44 "RI (44)" 45 "SC (45)" 46 "SD (46)" 47 "TN (47)" 48 "TX (48)" 49 "UT (49)" 50 "VT (50)" 51 "VA (51)" 53 "WA (53)" 54 "WV (54)" 55 "WI (55)" 56 "WY (56)"
label values state state
label variable state "state (DC/AK/HI Removed)"

* Clean other merge variables.
rename COUNTY county
destring county, replace
rename TRACT tract
destring tract, replace

* Bring in the Tract-Reservation Crosswalk.
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
merge 1:1 state county tract using "Tract-Res 01 - Crosswalk (Basic Clean).dta", gen(xmerge)

* Correct the Oneida Reservation data.
replace FIPS="36053940103" if xmerge==2 & state==36
replace T001_001=3680 if state==36 & county==53 & tract==940103
replace T002_001=3680 if state==36 & county==53 & tract==940103
replace T002_003=18.57 if state==36 & county==53 & tract==940103
replace T005_002=1776 if state==36 & county==53 & tract==940103
replace T005_015=1904 if state==36 & county==53 & tract==940103
replace T013_001=3680 if state==36 & county==53 & tract==940103
replace T013_002=3407 if state==36 & county==53 & tract==940103
replace T013_003=32 if state==36 & county==53 & tract==940103
replace T013_004=140 if state==36 & county==53 & tract==940103
replace T013_005=41 if state==36 & county==53 & tract==940103
replace T013_006=2 if state==36 & county==53 & tract==940103
replace T013_007=21 if state==36 & county==53 & tract==940103
replace T013_008=37 if state==36 & county==53 & tract==940103
replace T014_003=3380 if state==36 & county==53 & tract==940103
replace T014_010=58 if state==36 & county==53 & tract==940103
replace T017_001=1410 if state==36 & county==53 & tract==940103
replace xmerge=1 if xmerge==2 & state==36 & county==53 & tract==940103
drop if xmerge==2

* Remove observations without population data.
drop if T001_001==.
drop if T013_001==.
drop if T013_004==.

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
merge m:1 state county tract using "Tract-Res 01 - Rural Add-In 1 (Basic Clean).dta", gen(rurTmerge)
drop if rurTmerge==2
replace rural=0 if rural==.

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
merge m:1 state county using "Tract-Res 01 - Rural Add-In 2 (Basic Clean).dta", gen(rurCmerge)
drop if rurCmerge==2
replace rural=1 if crural==1

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
merge m:1 state county tract using "Tract-Res 01 - Ethnic Add-In.dta", gen(ethmerge)
drop if ethmerge==2

* Classify this set into a community type.
gen type=4
replace type=18 if xmerge==3 & otsa==0
gen ncom=(T013_004)/(T013_001)
replace type=7 if ncom>=.25 & ncom!=. & type==4
replace type=8 if otsa==1 & type==4
gen fcom=(T133_003)/(T133_001)
replace type=9 if fcom>=.25 & fcom!=. & type==4
gen bcom=(T013_003)/(T013_001)
replace type=3 if bcom>=.45 & bcom!=. & type==4
replace type=5 if rural==0 & type==4
replace type=6 if rural==1 & type==4
label define type 1 "1- Reservations" 2 "2- Native Comm. (>25%/OTSA/TDSA)" 3 "3- Black Comm. (>45%)" 4 "4- All Other Tracts" 5 "5- Other (Urban) Tracts" 6 "6- Other (Rural) Tracts" 7 "7- Native Comm. (>25%)" 8 "8- Native Comm. (OTSA/TDSA)" 9 "9- Ethnic Enclaves (>25%)" 10 "10 - Res: Northeast" 11 "11 - Res: Southeast" 12 "12 - Res: Plains"13 "13 - Res: Southwest" 14 "14 - Res: Great Basin" 15 "15 - Res: Plateau" 16 "16 - Res: Northwest" 17 "17 - Res: California" 18 "18 - Res: Oklahoma" 19 "19 - Res. Tracts"
label values type type
label variable type "Type"
label variable bcom "Black Comm. %"
label variable bcom "Foreign Comm. %"
label variable bcom "Native Comm. %"

* Add some aggregate comparison variables.
* % of U.S. Landmass:
egen Xland=sum(T002_003)
*gen geoshare=(T002_003)/(Xland)
*label variable geoshare "This Tract Share of U.S. Landmass"
* % of U.S. American Indian Population:
egen Xind=sum(T013_004)
*gen indshare=(T013_004)/(Xind)
*label variable indshare "This Tract Share of U.S. Am-Ind Pop"

* Remove superfluous variables.
rename FIPS fips
rename NAME name
order type fips name state county tract bcom fcom ncom rural xmerge otsa Xland Xind, first
keep type-Xind T001_001-T132_008 R_* T133_001 T133_003
order R_*, last

compress

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 01 - Tract Data (Basic Clean).dta", replace

*** Reservation-Level Census Data ***

clear
set mem 3g
set more off, perm
cd "C:\Users\User\Documents\SCHOOL DRIVE\Projects\PROJECT - Native Inequality\Seventh Generation\Tract-Res Comparison\RAW Files"
infile using "Res Data.dct", using("Res Data.txt")

* Merge in the missing land area values.
destring AIANHH, replace
cd "C:\Users\User\Documents\SCHOOL DRIVE\Projects\PROJECT - Native Inequality\Seventh Generation\Tract-Res Comparison\DTA Files"
merge m:1 AIANHH using "Tract-Res 01 - Area Add-In (Basic Clean).dta"
egen temp=count(aland_sqmi), by(AIANHH _merge)
replace T002_003=(aland_sqmi)/(temp) if T002_003==. & _merge==3 & temp!=.
drop temp aland_sqmi _merge

* Remove observations without population data.
drop if T001_001==.
drop if T013_001==.
drop if T013_004==.

* Remove non-land reservation designations.
gen FOTS=0
replace FOTS=1 if strpos(NAME,"OTSA")!=0
replace FOTS=1 if strpos(QName,"OTSA")!=0
replace FOTS=1 if strpos(NAME,"TDSA")!=0
replace FOTS=1 if strpos(QName,"TDSA")!=0
drop if FOTS==1
drop FOTS

* Remove state-level non-reservation native areas.
gen FSDT=0
replace FSDT=1 if strpos(NAME,"SDTSA")!=0
replace FSDT=1 if strpos(QName,"SDTSA")!=0
drop if FSDT==1
drop FSDT

* SPECIAL: Exclude the Everglades non-conforming observation.
drop if FIPS=="122240"

* Classify this set as Reservations.
gen type=1
label define type 1 "1- Reservations" 2 "2- Native Comm. (>25%/OTSA/TDSA)" 3 "3- Black Comm. (>45%)" 4 "4- All Other Tracts" 5 "5- Other (Urban) Tracts" 6 "6- Other (Rural) Tracts" 7 "7- Native Comm. (>25%)" 8 "8- Native Comm. (OTSA/TDSA)" 9 "9- Ethnic Enclaves (>25%)" 10 "10 - Res: Northeast" 11 "11 - Res: Southeast" 12 "12 - Res: Plains"13 "13 - Res: Southwest" 14 "14 - Res: Great Basin" 15 "15 - Res: Plateau" 16 "16 - Res: Northwest" 17 "17 - Res: California" 18 "18 - Res: Oklahoma" 19 "19 - Res. Tracts"
label values type type
label variable type "Type"

* Add the black community percentage.
gen bcom=(T013_003)/(T013_001)
label variable bcom "Black Comm. %"

* Clean "state".
rename STATE state
destring state, replace
drop if state==2
drop if state==15
label define state 1 "AL (1)" 2 "AK (2)" 4 "AZ (4)" 5 "AR (5)" 6 "CA (6)" 8 "CO (8)" 9 "CT (9)" 10 "DE (10)" 11 "DC (11)" 12 "FL (12)" 13 "GA (13)" 15 "HI (15)" 16 "ID (16)" 17 "IL (17)" 18 "IN (18)" 19 "IA (19)" 20 "KS (20)" 21 "KY (21)" 22 "LA (22)" 23 "ME (23)" 24 "MD (24)" 25 "MA (25)" 26 "MI (26)" 27 "MN (27)" 28 "MS (28)" 29 "MO (29)" 30 "MT (30)" 31 "NE (31)" 32 "NV (32)" 33 "NH (33)" 34 "NJ (34)" 35 "NM (35)" 36 "NY (36)" 37 "NC (37)" 38 "ND (38)" 39 "OH (39)" 40 "OK (40)" 41 "OR (41)" 42 "PA (42)" 44 "RI (44)" 45 "SC (45)" 46 "SD (46)" 47 "TN (47)" 48 "TX (48)" 49 "UT (49)" 50 "VT (50)" 51 "VA (51)" 53 "WA (53)" 54 "WV (54)" 55 "WI (55)" 56 "WY (56)"
label values state state
label variable state "state (DC/AK/HI Removed)"

* Create ethnic/regional groupings.
gen ethgrp=.
label define ethgrp 1 "1 - Northeast" 2 "2 - Southeast" 3 "3 - Plains" 4 "4 - Southwest" 5 "5 - Great Basin" 6 "6 - Plateau" 7 "7 - Northwest" 8 "8 - California" 9 "9 - Oklahoma", replace
label values ethgrp ethgrp
label variable ethgrp "Ethnic Group (Res. Only)"
replace ethgrp=2 if state==1  
replace ethgrp=4 if state==4  
replace ethgrp=8 if state==6  
replace ethgrp=5 if state==8 
replace ethgrp=1 if state==9 
replace ethgrp=2 if state==12  
replace ethgrp=2 if state==13  
replace ethgrp=5 if state==16 
replace ethgrp=3 if state==19 
replace ethgrp=3 if state==20  
replace ethgrp=2 if state==22  
replace ethgrp=1 if state==23 
replace ethgrp=1 if state==25  
replace ethgrp=1 if state==26  
replace ethgrp=3 if state==27 
replace ethgrp=2 if state==28  
replace ethgrp=3 if state==30 
replace ethgrp=3 if state==31  
replace ethgrp=5 if state==32 
replace ethgrp=4 if state==35 
replace ethgrp=1 if state==36 
replace ethgrp=2 if state==37  
replace ethgrp=3 if state==38  
replace ethgrp=9 if state==40  
replace ethgrp=7 if state==41 
replace ethgrp=1 if state==44  
replace ethgrp=2 if state==45 
replace ethgrp=3 if state==46 
replace ethgrp=3 if state==48 
replace ethgrp=5 if state==49  
replace ethgrp=1 if state==51  
replace ethgrp=7 if state==53 
replace ethgrp=1 if state==55
replace ethgrp=3 if state==56 
replace ethgrp=7 if strpos(QName, "Chinook")!=0 & state!=40  
replace ethgrp=7 if strpos(QName, "Salish")!=0 & state!=40  
replace ethgrp=7 if strpos(QName, "Yakima")!=0 & state!=40  
replace ethgrp=6 if strpos(QName, "Nez")!=0 & state!=40  
replace ethgrp=6 if strpos(QName, "Flathead")!=0 & state!=40  
replace ethgrp=5 if strpos(QName, "Shoshone")!=0 & state!=40  
replace ethgrp=8 if strpos(QName, "Yurok")!=0 & state!=40  
replace ethgrp=8 if strpos(QName, "Pomo")!=0 & state!=40  
replace ethgrp=8 if strpos(QName, "Yokut")!=0 & state!=40  
replace ethgrp=8 if strpos(QName, "Chumash")!=0 & state!=40  
replace ethgrp=8 if strpos(QName, "Luisenas")!=0 & state!=40  
replace ethgrp=5 if strpos(QName, "Gosiute")!=0 & state!=40  
replace ethgrp=5 if strpos(QName, "Washo")!=0 & state!=40  
replace ethgrp=5 if strpos(QName, "Paiute")!=0 & state!=40  
replace ethgrp=5 if strpos(QName, "Ute")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Crow")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Cheyenne")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Mandan")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Arikara")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Pawnee")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Arapaho")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Osage")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Wichita")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Kiowa")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Hopi")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Navaho")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Zuni")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Apache")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Walapai")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Mohave")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Yuma")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Papago")!=0 & state!=40  
replace ethgrp=4 if strpos(QName, "Pima")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Assiniboin")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Ojibwa")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "akota")!=0 & state!=40  
replace ethgrp=3 if strpos(QName, "Sioux")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Sac")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Winnebago")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Illinoi")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Ottawa")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Patawatomi")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Miami")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Shawnee")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Erie")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Susquehannock")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Huron")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Iroquoi")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Seneca")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Cayuga")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Onondaga")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Oneida")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Mohawk")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Algenkian")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Abenaki")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Massachusett")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Wampanoag")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Narragansett")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Pequot")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Delaware")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Powhatan")!=0 & state!=40  
replace ethgrp=1 if strpos(QName, "Tuscarora")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Cherokee")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Catawba")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Caddo")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Natche")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Mobile")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Choctaw")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Chickasaw")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Guale")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Yamasee")!=0 & state!=40  
replace ethgrp=2 if strpos(QName, "Calusa")!=0 & state!=40  
replace ethgrp=7 if strpos(NAME, "Chinook")!=0 & state!=40  
replace ethgrp=7 if strpos(NAME, "Salish")!=0 & state!=40  
replace ethgrp=7 if strpos(NAME, "Yakima")!=0 & state!=40  
replace ethgrp=6 if strpos(NAME, "Nez")!=0 & state!=40  
replace ethgrp=6 if strpos(NAME, "Flathead")!=0 & state!=40  
replace ethgrp=5 if strpos(NAME, "Shoshone")!=0 & state!=40  
replace ethgrp=8 if strpos(NAME, "Yurok")!=0 & state!=40  
replace ethgrp=8 if strpos(NAME, "Pomo")!=0 & state!=40  
replace ethgrp=8 if strpos(NAME, "Yokut")!=0 & state!=40  
replace ethgrp=8 if strpos(NAME, "Chumash")!=0 & state!=40  
replace ethgrp=8 if strpos(NAME, "Luisenas")!=0 & state!=40  
replace ethgrp=5 if strpos(NAME, "Gosiute")!=0 & state!=40  
replace ethgrp=5 if strpos(NAME, "Washo")!=0 & state!=40  
replace ethgrp=5 if strpos(NAME, "Paiute")!=0 & state!=40  
replace ethgrp=5 if strpos(NAME, "Ute")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Crow")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Cheyenne")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Mandan")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Arikara")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Pawnee")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Arapaho")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Osage")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Wichita")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Kiowa")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Hopi")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Navaho")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Zuni")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Apache")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Walapai")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Mohave")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Yuma")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Papago")!=0 & state!=40  
replace ethgrp=4 if strpos(NAME, "Pima")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Assiniboin")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Ojibwa")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "akota")!=0 & state!=40  
replace ethgrp=3 if strpos(NAME, "Sioux")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Sac")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Winnebago")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Illinoi")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Ottawa")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Patawatomi")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Miami")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Shawnee")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Erie")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Susquehannock")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Huron")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Iroquoi")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Seneca")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Cayuga")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Onondaga")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Oneida")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Mohawk")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Algenkian")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Abenaki")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Massachusett")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Wampanoag")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Narragansett")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Pequot")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Delaware")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Powhatan")!=0 & state!=40  
replace ethgrp=1 if strpos(NAME, "Tuscarora")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Cherokee")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Catawba")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Caddo")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Natche")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Mobile")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Choctaw")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Chickasaw")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Guale")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Yamasee")!=0 & state!=40  
replace ethgrp=2 if strpos(NAME, "Calusa")!=0 & state!=40  
tab ethgrp

* Clean other merge variables (not needed here, but preserved anyway).
rename COUNTY county
destring county, replace
rename TRACT tract
destring tract, replace

* Remove superfluous variables.
rename FIPS fips
rename NAME name
order type fips name state county tract bcom ethgrp, first
keep type-ethgrp T001_001-T132_008

compress

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 01 - Res Data (Basic Clean).dta", replace

***** Combine and Prep for Collapse *****

*** Combine ***

clear
set mem 3g
set more off, perm
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
use "Tract-Res 01 - Tract Data (Basic Clean).dta"

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
append using "Tract-Res 01 - Res Data (Basic Clean).dta"
order ethgrp, after(rural)
compress

egen Xland2=mean(Xland)
gen geoshare=(T002_003)/(Xland2)
label variable geoshare "This Tract Share of U.S. Landmass"
egen Xind2=mean(Xind)
gen indshare=(T013_004)/(Xind2)
label variable indshare "This Tract Share of U.S. Am-Ind Pop"
drop Xland Xland2 Xind Xind2
order geoshare indshare, after(rural)

drop T014_001-T014_002 T014_004-T014_009 T017* T018_003-T018_019 T022_002-T022_006 T150_004-T150_008 T036* T037* T054* T055* T064_001 T098* T099_002-T099_008 T113_003-T113_011 T128* T131_003-T131_007 T132*

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 02 - Comparison Data (Combined).dta", replace

*** Combine ***

clear
set mem 3g
set more off, perm
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
use "Tract-Res 02 - Comparison Data (Combined).dta"

gen append=0
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
append using "Tract-Res 02 - Comparison Data (Combined).dta"
replace append=type if append!=0
replace type=999 if append!=0
replace type=4 if append==5
replace type=4 if append==6
replace type=2 if append==7
replace type=2 if append==8
replace type=10 if append==1 & ethgrp==1
replace type=11 if append==1 & ethgrp==2
replace type=12 if append==1 & ethgrp==3
replace type=13 if append==1 & ethgrp==4
replace type=14 if append==1 & ethgrp==5
replace type=15 if append==1 & ethgrp==6
replace type=16 if append==1 & ethgrp==7
replace type=17 if append==1 & ethgrp==8
replace type=18 if append==1 & ethgrp==9
drop if type==999
drop append xmerge otsa
compress

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 02 - Comparison Data (Duplicated).dta", replace

*** Prep for Collapse ***

gen number=1
label variable number "Number of Tracts/Reservations in Type"
order number, after(type)

drop T002_002
*gen T002_002=(T002_001)/(T002_003)
*label variable T002_002 "Population Density (per sq. mile)"
*order T002_002, after(T002_001)

gen T021_002=.
replace T021_002=(T021_001)*(T001_001)
gen T021_003=.
replace T021_003=T001_001 if T021_001!=.
drop T021_001
*gen T021_001=(T021_002)/(T021_003)
*label variable T021_001 "Average Household Size"
*drop T021_002 T021_003
*order T021_001, after(T019_010)

gen T059_002=.
replace T059_002=(T059_001)*(T001_001)
gen T059_003=.
replace T059_003=T001_001 if T059_001!=.
drop T059_001
*gen T059_001=(T059_002)/(T059_003)
*label variable T059_001 "Average household income (In 2012 Inflation adjusted dollars)"
*drop T059_002 T059_003
*order T059_001, after(T056A016)

foreach nnn in 1 2 3 4 {
gen T060_00`nnn'b=.
replace T060_00`nnn'b=(T060_00`nnn')*(T013_00`nnn')
gen T060_00`nnn'c=.
replace T060_00`nnn'c=T013_00`nnn' if T060_00`nnn'!=.
drop T060_00`nnn'
}
gen T060_5678=(T060_005)+(T060_006)+(T060_007)+(T060_008)
drop T060_005 T060_006 T060_007 T060_008
gen T060_5678b=.
gen T060_5678c=.
replace T060_5678c=(T013_005)+(T013_006)+(T013_007)+(T013_008) if T060_5678!=.
replace T060_5678b=(T060_5678)*(T060_5678c)
drop T060_5678
gen T060_009b=.
replace T060_009b=(T060_009)*(T014_010)
gen T060_009c=.
replace T060_009c=T014_010 if T060_009!=.
drop T060_009
gen T060_010b=.
replace T060_010b=(T060_010)*(T014_003)
gen T060_010c=.
replace T060_010c=T014_003 if T060_010!=.
drop T060_010
*foreach nnn in 1 2 3 4 9 {
*gen T060_00`nnn'=(T060_00`nnn'b)/(T060_00`nnn'c)
*drop T060_00`nnn'b T060_00`nnn'c
*}
*gen T060_010=(T060_010b)/(T060_010c)
*drop T060_010b T060_010c
*gen T060_5678=(T060_5678b)/(T060_5678c)
*drop T060_5678b T060_5678c
*label variable T060_001 "Average household income (In 2012 Inflation adjusted dollars)"
*label variable T060_002 "Average household income (In 2012 Inflation adjusted dollars): White Alone House"
*label variable T060_003 "Average household income (In 2012 Inflation adjusted dollars): Black or African"
*label variable T060_004 "Average household income (In 2012 Inflation adjusted dollars): American Indian a"
*label variable T060_5678 "Average household income (In 2012 Inflation adjusted dollars): OTHER & MULTIPLE"
*label variable T060_009 "Average household income (In 2012 Inflation adjusted dollars): Hispanic or Latin"
*label variable T060_010 "Average household income (In 2012 Inflation adjusted dollars): White Alone House"
*order T060_001 T060_002 T060_003 T060_004 T060_5678 T060_009 T060_010, after(T059_001)

gen T062_002=.
replace T062_002=(T062_001)*(T113_001)
gen T062_003=.
replace T062_003=T113_001 if T062_001!=.
drop T062_001
*gen T062_001=(T062_002)/(T062_003)
*label variable T062_001 "Average Family Income (In 2012 Inflation adjusted dollars)"
*drop T062_002 T062_003
*order T062_001, after(T060_010)

gen T083_002=.
replace T083_002=(T083_001)*(T013_001)
gen T083_003=.
replace T083_003=T013_001 if T083_001!=.
drop T083_001
*gen T083_001=(T083_002)/(T083_003)
*drop T083_002 T083_003

gen T084_002=.
replace T084_002=(T084_001)*(T013_002)
gen T084_003=.
replace T084_003=T013_002 if T084_001!=.
drop T084_001
*gen T084_001=(T084_002)/(T084_003)
*drop T084_002 T084_003

gen T085_002=.
replace T085_002=(T085_001)*(T013_003)
gen T085_003=.
replace T085_003=T013_003 if T085_001!=.
drop T085_001
*gen T085_001=(T085_002)/(T085_003)
*drop T085_002 T085_003

gen T086_002=.
replace T086_002=(T086_001)*(T013_004)
gen T086_003=.
replace T086_003=T013_004 if T086_001!=.
drop T086_001
*gen T086_001=(T086_002)/(T086_003)
*drop T086_002 T086_003

gen T087888990=(T087_001)+(T088_001)+(T089_001)+(T090_001)
drop T087_001 T088_001 T089_001 T090_001
gen T087888990b=.
gen T087888990c=.
replace T087888990c=(T013_005)+(T013_006)+(T013_007)+(T013_008)
replace T087888990b=(T087888990)*(T087888990c)
drop T087888990
*gen T087888990=(T087888990b)/(T087888990c)
*drop T087888990b T087888990c

gen T091_002=.
replace T091_002=(T091_001)*(T014_010)
gen T091_003=.
replace T091_003=T014_010 if T091_001!=.
drop T091_001
*gen T091_001=(T091_002)/(T091_003)
*drop T091_002 T091_003

gen T092_002=.
replace T092_002=(T092_001)*(T014_003)
gen T092_003=.
replace T092_003=T014_003 if T092_001!=.
drop T092_001
*gen T092_001=(T092_002)/(T092_003)
*drop T092_002 T092_003

*label variable T083_001 "Per capita income (In 2012 Inflation adjusted dollars)"
*label variable T084_001 "Per capita income (In 2012 Inflation adjusted dollars): White Alone Population"
*label variable T085_001 "Per capita income (In 2012 Inflation adjusted dollars): Black or African America"
*label variable T086_001 "Per capita income (In 2012 Inflation adjusted dollars): American Indian and Alas"
*label variable T087888990 "Per capita income (In 2012 Inflation adjusted dollars): OTHER & MULTIPLE"
*label variable T091_001 "Per capita income (In 2012 Inflation adjusted dollars): Hispanic or Latino Popul"
*label variable T092_001 "Per capita income (In 2012 Inflation adjusted dollars): White Alone, not Hispani"
*order T083_001 T084_001 T085_001 T086_001 T087888990 T091_001 T092_001, after(T082_003)

gen T106_002=.
replace T106_002=(T106_001)*(T103_001)
gen T106_003=.
replace T106_003=T103_001 if T106_001!=.
drop T106_001
*gen T106_001=(T106_002)/(T106_003)
*drop T106_002 T106_003
*label variable T106_001 "Average gross rent for Renter-occupied housing units"
*order T106_001 T103_006

compress

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 02 - Comparison Data (Collapse-Ready).dta", replace

***** Collapse and Clean *****

clear
set mem 3g
set more off, perm
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
use "Tract-Res 02 - Comparison Data (Collapse-Ready).dta"

*** Collapse ***

drop fips name state county tract bcom ncom ethgrp

collapse (sum) number geoshare indshare T* R_* (mean) rural, by(type) fast
order rural, after(number)

*** Clean ***

label variable number "Number of Tracts/Reservations in Type"
label variable geoshare "Share of U.S. Landmass"
label variable indshare "Share of U.S. Am-Ind Pop"
label variable rural "% of Tracts that are Rural"
label variable T001_001 "Total Population"
label variable T002_001 "Total Population"
label variable T002_003 "Area (Land)"
label variable T005_001 "Total Population"
label variable T005_002 "Male"
label variable T005_003 "Male: Under 5 Years"
label variable T005_004 "Male: 5 to 9 Years"
label variable T005_005 "Male: 10 to 14 Years"
label variable T005_006 "Male: 15 to 17 Years"
label variable T005_007 "Male: 18 to 24 Years"
label variable T005_008 "Male: 25 to 34 Years"
label variable T005_009 "Male: 35 to 44 Years"
label variable T005_010 "Male: 45 to 54 Years"
label variable T005_011 "Male: 55 to 64 Years"
label variable T005_012 "Male: 65 to 74 Years"
label variable T005_013 "Male: 75 to 84 Years"
label variable T005_014 "Male: 85 Years and over"
label variable T005_015 "Female"
label variable T005_016 "Female: Under 5 Years"
label variable T005_017 "Female: 5 to 9 Years"
label variable T005_018 "Female: 10 to 14 Years"
label variable T005_019 "Female: 15 to 17 Years"
label variable T005_020 "Female: 18 to 24 Years"
label variable T005_021 "Female: 25 to 34 Years"
label variable T005_022 "Female: 35 to 44 Years"
label variable T005_023 "Female: 45 to 54 Years"
label variable T005_024 "Female: 55 to 64 Years"
label variable T005_025 "Female: 65 to 74 Years"
label variable T005_026 "Female: 75 to 84 Years"
label variable T005_027 "Female: 85 Years and over"
label variable T013_001 "Total Population"
label variable T013_002 "White Alone"
label variable T013_003 "Black or African American Alone"
label variable T013_004 "American Indian and Alaska Native Alone"
label variable T013_005 "Asian Alone"
label variable T013_006 "Native Hawaiian and Other Pacific Islander Alone"
label variable T013_007 "Some Other Race Alone"
label variable T013_008 "Two or More races"
label variable T014_003 "Not Hispanic or Latino: White Alone"
label variable T014_010 "Hispanic or Latino"
label variable T014_011 "Hispanic or Latino: White Alone"
label variable T014_012 "Hispanic or Latino: Black or African American Alone"
label variable T014_013 "Hispanic or Latino: American Indian and Alaska Native Alone"
label variable T014_014 "Hispanic or Latino: Asian Alone"
label variable T014_015 "Hispanic or Latino: Native Hawaiian and Other Pacific Islander Alone"
label variable T014_016 "Hispanic or Latino: Some Other Race Alone"
label variable T014_017 "Hispanic or Latino: Two or More races"
label variable T018_001 "Households"
label variable T018_002 "Households with one or More people under 18 Years"
label variable T019_001 "Households"
label variable T019_002 "Households: with a Householder who is White Alone"
label variable T019_003 "Households: with a Householder who is Black or African American Alone"
label variable T019_004 "Households: with a Householder who is American Indian and Alaska Native Alone"
label variable T019_005 "Households: with a Householder who is Asian Alone"
label variable T019_006 "Households: with a Householder who is Native Hawaiian and Other Pacific Islander"
label variable T019_007 "Households: with a Householder who is Some Other Race Alone"
label variable T019_008 "Households: with a Householder who is two or More races"
label variable T019_009 "Households: with a Householder who is Hispanic or Latino"
label variable T019_010 "Households: with a Householder who is White Alone, not Hispanic or Latino"
label variable T022_001 "Population 15 Years and over"
label variable T025_001 "Population 25 Years and over"
label variable T025_002 "Population 25 Years and over: Less Than High School"
label variable T025_003 "Population 25 Years and over: High School Graduate (includes equivalency)"
label variable T025_004 "Population 25 Years and over: Some college"
label variable T025_005 "Population 25 Years and over: Bachelor's degree"
label variable T025_006 "Population 25 Years and over: Master's degree"
label variable T025_007 "Population 25 Years and over: Professional school degree"
label variable T025_008 "Population 25 Years and over: Doctorate degree"
label variable T150_001 "Population 25 Years and over"
label variable T150_002 "Population 25 Years and over: Less Than High School"
label variable T150_003 "Population 25 Years and over: High School Graduate or more (includes equivalency"
label variable T030_001 "Civilian Population 16 to 19 Years"
label variable T030_002 "Civilian Population 16 to 19 Years: Not high school graduate, not enrolled (drop"
label variable T030_003 "Civilian Population 16 to 19 years: High school graduate, or enrolled (in school"
label variable T033_001 "Population 16 Years and over"
label variable T033_002 "Population 16 Years and over: In labor force"
label variable T033_003 "Population 16 Years and over: In labor force: In Armed Forces"
label variable T033_004 "Population 16 Years and over: In labor force: Civilian"
label variable T033_005 "Population 16 Years and over: In labor force: Civilian: Employed"
label variable T033_006 "Population 16 Years and over: In labor force: Civilian: Unemployed"
label variable T033_007 "Population 16 Years and over: Not in labor force"
label variable T040_001 "White 16 Years Old In Civilian Labor Force"
label variable T040_002 "White 16 Years Old In Civilian Labor Force: Employed"
label variable T040_003 "White 16 Years Old In Civilian Labor Force: Unemployed"
label variable T041_001 "Black or African American 16 Years Old In Civilian Labor Force"
label variable T041_002 "Black or African American 16 Years Old In Civilian Labor Force: Employed"
label variable T041_003 "Black or African American 16 Years Old In Civilian Labor Force: Unemployed"
label variable T042_001 "American Indian and Alaska Native 16 Years Old In Civilian Labor Force"
label variable T042_002 "American Indian and Alaska Native 16 Years Old In Civilian Labor Force: Employed"
label variable T042_003 "American Indian and Alaska Native 16 Years Old In Civilian Labor Force: Unemploy"
label variable T043_001 "Asian 16 Years Old In Civilian Labor Force"
label variable T043_002 "Asian 16 Years Old In Civilian Labor Force: Employed"
label variable T043_003 "Asian 16 Years Old In Civilian Labor Force: Unemployed"
label variable T044_001 "Native Hawaiian and Other Pacific Islander 16 Years Old In Civilian Labor Force"
label variable T044_002 "Native Hawaiian and Other Pacific Islander 16 Years Old In Civilian Labor Force:"
label variable T044_003 "Native Hawaiian and Other Pacific Islander 16 Years Old In Civilian Labor Force:"
label variable T045_001 "Some Other Race 16 Years Old In Civilian Labor Force"
label variable T045_002 "Some Other Race 16 Years Old In Civilian Labor Force: Employed"
label variable T045_003 "Some Other Race 16 Years Old In Civilian Labor Force: Unemployed"
label variable T046_001 "Two or More races 16 Years Old In Civilian Labor Force"
label variable T046_002 "Two or More races 16 Years Old In Civilian Labor Force: Employed"
label variable T046_003 "Two or More races 16 Years Old In Civilian Labor Force: Unemployed"
label variable T047_001 "Hispanic or Latino 16 Years Old In Civilian Labor Force"
label variable T047_002 "Hispanic or Latino 16 Years Old In Civilian Labor Force: Employed"
label variable T047_003 "Hispanic or Latino 16 Years Old In Civilian Labor Force: Unemployed"
label variable T048_001 "White Alone, Not Hispanic Or Latino 16 Years Old In Civilian Labor Force"
label variable T048_002 "White Alone, Not Hispanic Or Latino 16 Years Old In Civilian Labor Force: Employ"
label variable T048_003 "White Alone, Not Hispanic Or Latino 16 Years Old In Civilian Labor Force: Unempl"
label variable T049_001 "Total Employed Civilian Population 16 Years And Over"
label variable T049_002 "Agriculture, forestry, fishing and hunting, and mining"
label variable T049_003 "Construction"
label variable T049_004 "Manufacturing"
label variable T049_005 "Wholesale trade"
label variable T049_006 "Retail trade"
label variable T049_007 "Transportation and warehousing, and utilities"
label variable T049_008 "Information"
label variable T049_009 "Finance and insurance, and real estate and rental and leasing"
label variable T049_010 "Professional, scientific, and management, and administrative and waste managemen"
label variable T049_011 "Educational services, and health care and social assistance"
label variable T049_012 "Arts, entertainment, and recreation, and accommodation and food services"
label variable T049_013 "Other services, except public administration"
label variable T049_014 "Public administration"
label variable T050_001 "Employed civilian Population 16 Years and over"
label variable T050_002 "Employed civilian Population 16 Years and over: Management, business, and financ"
label variable T050_003 "Employed civilian Population 16 Years and over: Professional and related occupat"
label variable T050_004 "Employed civilian Population 16 Years and over: Healthcare support occupations"
label variable T050_005 "Employed civilian Population 16 Years and over: Protective service occupations"
label variable T050_006 "Employed civilian Population 16 Years and over: Food preparation and serving rel"
label variable T050_007 "Employed civilian Population 16 Years and over: Building and grounds cleaning an"
label variable T050_008 "Employed civilian Population 16 Years and over: Personal care and service occupa"
label variable T050_009 "Employed civilian Population 16 Years and over: Sales and related occupations"
label variable T050_010 "Employed civilian Population 16 Years and over: Office and administrative suppor"
label variable T050_011 "Employed civilian Population 16 Years and over: Farming, fishing, and forestry o"
label variable T050_012 "Employed civilian Population 16 Years and over: Construction, extraction, and ma"
label variable T050_013 "Employed civilian Population 16 Years and over: Production occupations"
label variable T050_014 "Employed civilian Population 16 Years and over: Transportation and material movi"
label variable T053_001 "Employed Civilian Population 16 Years And Over"
label variable T053_002 "Employed Civilian Population 16 Years And Over: Private Sector"
label variable T053_003 "Employed Civilian Population 16 Years And Over: Public Sector"
label variable T053_004 "Employed Civilian Population 16 Years And Over: Self-Employed (incorporated and"
label variable T053_005 "Employed Civilian Population 16 Years And Over: Private Non-Profit"
label variable T053_006 "Employed Civilian Population 16 Years And Over: Unpaid Family Workers"
label variable T056_001 "Households"
label variable T056_002 "Household Income: Less than $10,000"
label variable T056_003 "Household Income: $10,000 to $14,999"
label variable T056_004 "Household Income: $15,000 to $19,999"
label variable T056_005 "Household Income: $20,000 to $24,999"
label variable T056_006 "Household Income: $25,000 to $29,999"
label variable T056_007 "Household Income: $30,000 to $34,999"
label variable T056_008 "Household Income: $35,000 to $39,999"
label variable T056_009 "Household Income: $40,000 to $44,999"
label variable T056_010 "Household Income: $45,000 to $49,999"
label variable T056_011 "Household Income: $50,000 to $59,999"
label variable T056_012 "Household Income: $60,000 to $74,999"
label variable T056_013 "Household Income: $75,000 to $99,999"
label variable T056_014 "Household Income: $100,000 to $124,999"
label variable T056_015 "Household Income: $125,000 to $149,999"
label variable T056_016 "Household Income: $150,000 to $199,999"
label variable T056_017 "Household Income: $200,000 or More"
label variable T056A001 "Households"
label variable T056A002 "Less than $10,000"
label variable T056A003 "Less than $15,000"
label variable T056A004 "Less than $20,000"
label variable T056A005 "Less than $25,000"
label variable T056A006 "Less than $30,000"
label variable T056A007 "Less than $35,000"
label variable T056A008 "Less than $40,000"
label variable T056A009 "Less than $45,000"
label variable T056A010 "Less than $50,000"
label variable T056A011 "Less than $60,000"
label variable T056A012 "Less than $75,000"
label variable T056A013 "Less than $100,000"
label variable T056A014 "Less than $125,000"
label variable T056A015 "Less than $150,000"
label variable T056A016 "Less than $200,000"
label variable T074_001 "Households"
label variable T074_002 "Households: With earnings"
label variable T074_003 "Households: No earnings"
label variable T075_001 "Households"
label variable T075_002 "Households: With wage or salary income"
label variable T075_003 "Households: No wage or salary income"
label variable T076_001 "Households"
label variable T076_002 "Households: With self-employment income"
label variable T076_003 "Households: No self-employment income"
label variable T077_001 "Households"
label variable T077_002 "Households: With interest, dividends, or net rental income"
label variable T077_003 "Households: No interest, dividends, or net rental income"
label variable T078_001 "Households"
label variable T078_002 "Households: With Social Security income"
label variable T078_003 "Households: No Social Security income"
label variable T079_001 "Households"
label variable T079_002 "Households: With Supplemental Security Income (SSI)"
label variable T079_003 "Households: No Supplemental Security Income (SSI)"
label variable T080_001 "Households"
label variable T080_002 "Households: With public assistance income"
label variable T080_003 "Households: No public assistance income"
label variable T081_001 "Households"
label variable T081_002 "Households: With retirement income"
label variable T081_003 "Households: No retirement income"
label variable T082_001 "Households"
label variable T082_002 "Households: With Other types of income"
label variable T082_003 "Households: No Other types of income"
label variable T093_001 "Housing units"
label variable T096_001 "Vacant Housing Units"
label variable T096_002 "Vacant Housing Units: For rent"
label variable T096_003 "Vacant Housing Units: For sale only"
label variable T096_004 "Vacant Housing Units: Other vacant"
label variable T099_001 "Occupied Housing Units"
label variable T100_001 "Owner-occupied housing units"
label variable T100_002 "Value For All Owner-occupied housing units: Less than $20,000"
label variable T100_003 "Value For All Owner-occupied housing units: $20,000 to $49,999"
label variable T100_004 "Value For All Owner-occupied housing units: $50,000 to $99,999"
label variable T100_005 "Value For All Owner-occupied housing units: $100,000 to $149,999"
label variable T100_006 "Value For All Owner-occupied housing units: $150,000 to $299,999"
label variable T100_007 "Value For All Owner-occupied housing units: $300,000 to $499,999"
label variable T100_008 "Value For All Owner-occupied housing units: $500,000 to $749,999"
label variable T100_009 "Value For All Owner-occupied housing units: $750,000 to $999,999"
label variable T100_010 "Value For All Owner-occupied housing units: $1,000,000 or More"
label variable T102_001 "Renter-occupied housing units with cash rent"
label variable T102_002 "Renter-occupied housing units with cash rent: Gross Rent: Less than $300"
label variable T102_003 "Renter-occupied housing units with cash rent: Gross Rent: $300 to $599"
label variable T102_004 "Renter-occupied housing units with cash rent: Gross Rent: $600 to $799"
label variable T102_005 "Renter-occupied housing units with cash rent: Gross Rent: $800 to $999"
label variable T102_006 "Renter-occupied housing units with cash rent: Gross Rent: $1,000 to $1,249"
label variable T102_007 "Renter-occupied housing units with cash rent: Gross Rent: $1,250 to $1,499"
label variable T102_008 "Renter-occupied housing units with cash rent: Gross Rent: $1,500 to $1,999"
label variable T102_009 "Renter-occupied housing units with cash rent: Gross Rent: $2,000 or More"
label variable T103_001 "Renter-occupied housing units"
label variable T103_002 "Renter-occupied housing units: Gross Rent As A Percentage Of Household Income In"
label variable T103_003 "Renter-occupied housing units: Gross Rent As A Percentage Of Household Income In"
label variable T103_004 "Renter-occupied housing units: Gross Rent As A Percentage Of Household Income In"
label variable T103_005 "Renter-occupied housing units: Gross Rent As A Percentage Of Household Income In"
label variable T103_006 "Renter-occupied housing units: Gross Rent As A Percentage Of Household Income In"
label variable T113_001 "Families"
label variable T113_002 "Families: Income in 2012 below poverty level"
label variable T114_001 "Population Under 18 Years of Age"
label variable T114_002 "Population Under 18 Years of Age: Living in Poverty"
label variable T114_003 "Population Under 18 Years of Age: At or Above Poverty Level"
label variable T115_001 "Population Age 18 to 64 for whom poverty status is determined"
label variable T115_002 "Population Age 18 to 64 for whom poverty status is determined: Living in Poverty"
label variable T115_003 "Population Age 18 to 64 for whom poverty status is determined: At or Above Pover"
label variable T116_001 "Population Age 65 and Over for whom poverty status is determined"
label variable T116_002 "Population Age 65 and Over for whom poverty status is determined: Living In Pove"
label variable T116_003 "Population Age 65 and Over for whom poverty status is determined: At or Above Po"
label variable T119_001 "White Alone Population for whom poverty status is determined"
label variable T119_002 "White Population for whom poverty status is determined: Income in 2012 below pov"
label variable T119_003 "White Population for whom poverty status is determined: Income in 2012 at or abo"
label variable T120_001 "Black or African American Alone Population for whom poverty status is determined"
label variable T120_002 "Black or African American Population for whom poverty status is determined: Inco"
label variable T120_003 "Black or African American Population for whom poverty status is determined: Inco"
label variable T121_001 "American Indian and Alaska Native Alone Population for whom poverty status is de"
label variable T121_002 "American Indian and Alaska Native Population for whom poverty status is determin"
label variable T121_003 "American Indian and Alaska Native Population for whom poverty status is determin"
label variable T122_001 "Asian Alone Population for whom poverty status is determined"
label variable T122_002 "Asian Population for whom poverty status is determined: Income in 2012 below pov"
label variable T122_003 "Asian Population for whom poverty status is determined: Income in 2012 at or abo"
label variable T123_001 "Native Hawaiian and Other Pacific Islander Alone Population for whom poverty sta"
label variable T123_002 "Native Hawaiian and Other Pacific Islander Alone Population for whom poverty sta"
label variable T123_003 "Native Hawaiian and Other Pacific Islander Alone Population for whom poverty sta"
label variable T124_001 "Some Other Race Alone Population for whom poverty status is determined"
label variable T124_002 "Some Other Race Alone Population for whom poverty status is determined: Income i"
label variable T124_003 "Some Other Race Alone Population for whom poverty status is determined: Income i"
label variable T125_001 "Two or More races Population for whom poverty status is determined"
label variable T125_002 "Two or More races Population for whom poverty status is determined: Income in 20"
label variable T125_003 "Two or More races Population for whom poverty status is determined: Income in 20"
label variable T126_001 "Hispanic or Latino Population for whom poverty status is determined"
label variable T126_002 "Hispanic or Latino Population for whom poverty status is determined: Income in 2"
label variable T126_003 "Hispanic or Latino Population for whom poverty status is determined: Income in 2"
label variable T127_001 "White Alone, not Hispanic or Latino Population for whom poverty status is determ"
label variable T127_002 "White Alone, not Hispanic or Latino Population for whom poverty status is determ"
label variable T127_003 "White Alone, not Hispanic or Latino Population for whom poverty status is determ"
label variable T129_001 "Workers 16 Years and over"
label variable T129_002 "Travel Time To Work For Workers 16 Years And Over: Did not work at home"
label variable T129_003 "Travel Time To Work For Workers 16 Years And Over: Did not work at home: Less th"
label variable T129_004 "Travel Time To Work For Workers 16 Years And Over: Did not work at home: 10 to 1"
label variable T129_005 "Travel Time To Work For Workers 16 Years And Over: Did not work at home: 20 to 2"
label variable T129_006 "Travel Time To Work For Workers 16 Years And Over: Did not work at home: 30 to 3"
label variable T129_007 "Travel Time To Work For Workers 16 Years And Over: Did not work at home: 40 to 5"
label variable T129_008 "Travel Time To Work For Workers 16 Years And Over: Did not work at home: 60 to 8"
label variable T129_009 "Travel Time To Work For Workers 16 Years And Over: Did not work at home: 90 or M"
label variable T129_010 "Travel Time To Work For Workers 16 Years And Over: Worked at home"
label variable T131_001 "Civilian Population 18 Years and over"
label variable T131_002 "Civilian Population 18 Years and over: Veteran"
label variable T133_001 "Total Population"
label variable T133_003 "Foreign Born"

gen T002_002=(T002_001)/(T002_003)
label variable T002_002 "Population Density (per sq. mile)"
order T002_002, after(T002_001)

gen T021_001=(T021_002)/(T021_003)
label variable T021_001 "Average Household Size"
drop T021_002 T021_003
order T021_001, after(T019_010)

gen T059_001=(T059_002)/(T059_003)
label variable T059_001 "Average household income (In 2012 Inflation adjusted dollars)"
drop T059_002 T059_003
order T059_001, after(T056A016)

foreach nnn in 1 2 3 4 9 {
gen T060_00`nnn'=(T060_00`nnn'b)/(T060_00`nnn'c)
drop T060_00`nnn'b T060_00`nnn'c
}
gen T060_010=(T060_010b)/(T060_010c)
drop T060_010b T060_010c
gen T060_5678=(T060_5678b)/(T060_5678c)
drop T060_5678b T060_5678c
label variable T060_001 "Average household income (In 2012 Inflation adjusted dollars)"
label variable T060_002 "Average household income (In 2012 Inflation adjusted dollars): White Alone House"
label variable T060_003 "Average household income (In 2012 Inflation adjusted dollars): Black or African"
label variable T060_004 "Average household income (In 2012 Inflation adjusted dollars): American Indian a"
label variable T060_5678 "Average household income (In 2012 Inflation adjusted dollars): OTHER & MULTIPLE"
label variable T060_009 "Average household income (In 2012 Inflation adjusted dollars): Hispanic or Latin"
label variable T060_010 "Average household income (In 2012 Inflation adjusted dollars): White Alone House"
order T060_001 T060_002 T060_003 T060_004 T060_5678 T060_009 T060_010, after(T059_001)

gen T062_001=(T062_002)/(T062_003)
label variable T062_001 "Average Family Income (In 2012 Inflation adjusted dollars)"
drop T062_002 T062_003
order T062_001, after(T060_010)

gen T083_001=(T083_002)/(T083_003)
drop T083_002 T083_003

gen T084_001=(T084_002)/(T084_003)
drop T084_002 T084_003

gen T085_001=(T085_002)/(T085_003)
drop T085_002 T085_003

gen T086_001=(T086_002)/(T086_003)
drop T086_002 T086_003

gen T087888990=(T087888990b)/(T087888990c)
drop T087888990b T087888990c

gen T091_001=(T091_002)/(T091_003)
drop T091_002 T091_003

gen T092_001=(T092_002)/(T092_003)
drop T092_002 T092_003

label variable T083_001 "Per capita income (In 2012 Inflation adjusted dollars)"
label variable T084_001 "Per capita income (In 2012 Inflation adjusted dollars): White Alone Population"
label variable T085_001 "Per capita income (In 2012 Inflation adjusted dollars): Black or African America"
label variable T086_001 "Per capita income (In 2012 Inflation adjusted dollars): American Indian and Alas"
label variable T087888990 "Per capita income (In 2012 Inflation adjusted dollars): OTHER & MULTIPLE"
label variable T091_001 "Per capita income (In 2012 Inflation adjusted dollars): Hispanic or Latino Popul"
label variable T092_001 "Per capita income (In 2012 Inflation adjusted dollars): White Alone, not Hispani"
order T083_001 T084_001 T085_001 T086_001 T087888990 T091_001 T092_001, after(T082_003)

gen T106_001=(T106_002)/(T106_003)
drop T106_002 T106_003
label variable T106_001 "Average gross rent for Renter-occupied housing units"
order T106_001, after(T103_006)

label variable R_AREA "Total Area of Intersection Between Census Tract and Am-Ind Area (m2)"
label variable R_POP "2010 Pop of Intersection Between Census Tract and Am-Ind Area"
label variable R_HOUSING "2010 Housing Unit Count of Intersecting Polygon"

compress

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Data\Census Area Data (Social Explorer)\DTA Files"
save "Tract-Res 03 - Comparison Data (Collapsed).dta", replace
