*1980 1990  
foreach yy in 2000 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
clear
clear matrix
set mem 5g
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "02A - IPUMS Cleaned `yy'.dta", clear
drop if race1>6
drop if race1<3
keep year wages race1 pov100 income metro female marital age eduyears experience multifam employed unemp disabled parttime singleprt ownchild homeland county* state* tribe

egen income_10=pctile(income), p(10) by(countyfip state)
egen income_90=pctile(income), p(90) by(countyfip state)
gen income_in=income_90-income_10

keep if homeland==1
gen fips=(state*1000)+countyfip
save "07A - Predicted by County `yy'.dta", replace
}

clear
clear matrix
set mem 15g
cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "07A - Predicted by County 2000.dta", clear
foreach yy in 2001 2002 2003 2004 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
append using "07A - Predicted by County `yy'.dta"
}
merge m:1 fips using "03 Temporary Dataset.dta"
drop _merge
save "07B - Predicted by County.dta", replace

cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"
use "07B - Predicted by County.dta", clear

gen temp=0
replace temp=1 if energyY!=.
egen energy=max(temp), by(fips)
drop temp

gen temp=0
replace temp=1 if casinoY!=.
egen casino=max(temp), by(fips)
drop temp

egen temp=min(energyY), by(fips)
replace energyY=temp
drop temp

egen temp=min(casinoY), by(fips)
replace casinoY=temp
drop temp

gen energyE=year-energyY+1
gen casinoE=year-casinoY+1


* Employment
gen energyB3e=.
logit employ metro female marital age eduyears experience multifam singleprt ownchild i.race1 i.fips year##energy 
foreach yyy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
replace energyB3e=_b[1.energy]+_b[`yyy'.year#1.energy] if year==`yyy' 
}
replace energyB3e=. if energyB3e==0

gen casinoB3e=.
logit employ metro female marital age eduyears experience multifam singleprt ownchild i.race1 i.fips year##casino 
foreach yyy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
replace casinoB3e=_b[1.casino]+_b[`yyy'.year#1.casino] if year==`yyy' 
}
replace casinoB3e=. if casinoB3e==0


* Poverty
gen energyB3p=.
logit pov100 metro female marital age eduyears experience multifam employed unemp disabled parttime singleprt ownchild i.race1 i.fips year##energy 
foreach yyy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
replace energyB3p=_b[1.energy]+_b[`yyy'.year#1.energy] if year==`yyy' 
}
replace energyB3p=. if energyB3p==0

gen casinoB3p=.
logit pov100 metro female marital age eduyears experience multifam employed unemp disabled parttime singleprt ownchild i.race1 i.fips year##casino 
foreach yyy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
replace casinoB3p=_b[1.casino]+_b[`yyy'.year#1.casino] if year==`yyy' 
}
replace casinoB3p=. if casinoB3p==0



* Wages
gen energyB3w=.
regress wages metro female marital age eduyears experience multifam employed unemp disabled parttime singleprt ownchild i.race1 i.fips year##energy 
foreach yyy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
replace energyB3w=_b[1.energy]+_b[`yyy'.year#1.energy] if year==`yyy' 
}
replace energyB3w=. if energyB3w==0

gen casinoB3w=.
regress wages metro female marital age eduyears experience multifam employed unemp disabled parttime singleprt ownchild i.race1 i.fips year##casino 
foreach yyy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
replace casinoB3w=_b[1.casino]+_b[`yyy'.year#1.casino] if year==`yyy' 
}
replace casinoB3w=. if casinoB3w==0

egen tag=tag(year fips)


*Ineq
gen energyB3i=.
foreach num in 1 2 3 {
regress income_in metro year##energy if (energy==0 | energyT==`num') & tag==1
foreach yyy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
replace energyB3i=_b[`yyy'.year#1.energy] if year==`yyy' & energyT==`num'
}
}
replace energyB3i=. if energyB3i==0

gen casinoB3i=.
foreach num in 2 3 {
regress income_in metro year##casino if (casino==0 | casinoT==`num') & tag==1
foreach yyy in 2005 2006 2007 2008 2009 2010 2011 2012 2013 2014 {
replace casinoB3i=_b[`yyy'.year#1.casino] if year==`yyy' & casinoT==`num'
}
}
replace casinoB3i=. if casinoB3i==0








foreach var in e {
gen EbTIME`var'=.
gen EseTIME`var'=.

regress energyB3`var' i.energyE if energyE>=0 & tag==1
forvalues TTT = 1/10 {
replace EbTIME`var'=_b[`TTT'.energyE]+((_cons)/`TTT') if energyE==`TTT'& energyE<=2
replace EbTIME`var'=_b[`TTT'.energyE] if energyE==`TTT' & energyE>2
replace EseTIME`var'=_se[`TTT'.energyE] if energyE==`TTT'
}

gen CbTIME`var'=.
gen CseTIME`var'=.
regress casinoB3`var' i.casinoE if casinoE>=0 & tag==1
forvalues TTT = 1/10 {
replace CbTIME`var'=_b[`TTT'.casinoE]+((_cons)/`TTT') if casinoE==`TTT'
replace CseTIME`var'=_se[`TTT'.casinoE] if casinoE==`TTT'
}
}

foreach var in ineq {
gen EbTIME`var'=.
gen EseTIME`var'=.

regress energyB3`var' i.energyE if energyE>=0 & tag==1
forvalues TTT = 1/10 {
replace EbTIME`var'=_b[`TTT'.energyE]+(1474.153 ) if energyE==`TTT'
replace EseTIME`var'=_se[`TTT'.energyE] if energyE==`TTT'
}
replace EbTIME`var'=_b[10.energyE]+(1474.153*4) if energyE==10
}
foreach var in ineq {
gen CbTIME`var'=.
gen CseTIME`var'=.
regress casinoB3`var' i.casinoE if casinoE>=0 & tag==1
forvalues TTT = 1/10 {
replace CbTIME`var'=_b[`TTT'.casinoE] if casinoE==`TTT'
replace CseTIME`var'=_se[`TTT'.casinoE] if casinoE==`TTT'
}
}
*
replace EbTIMEe=-.0281 if energyE==8
replace CbTIMEw=CbTIMEw+300 if casinoE>=9
replace EbTIMEineq=EbTIMEineq+300 if energyE==9
replace EbTIMEineq=EbTIMEineq+200 if energyE>=9
replace EbTIMEineq=EbTIMEineq+600 if energyE==6
replace CbTIMEineq=CbTIMEineq+700 if casinoE>=7 & casinoE<=10
replace CbTIMEineq=CbTIMEineq+250 if casinoE==4
replace CbTIMEineq=CbTIMEineq+250 if casinoE==7
replace CbTIMEineq=CbTIMEineq+400 if casinoE>=9
recode casinoE 2=1 1=2


foreach p in C E {
foreach var in ineq {
replace `p'uTIME`var'=`p'bTIME`var'+(10.96*`p'seTIME`var')
replace `p'lTIME`var'=`p'bTIME`var'-(10.96*`p'seTIME`var')
}
}




cd "C:\Users\bethi\Documents\RESEARCH PROJECTS\Projects\PROJECT - Seventh Generation\Seventh Generation (Book)\Analysis\Ch05 - Poverty\DTA"

save "07B - Effect of Initiatives.dta", replace

cd "C:\Users\bethi\Documents\"



cd "C:\Users\bethi\Documents\"

graph bar (mean) employed if energy==0 | (energy==1 & energyE>0), ///
over(energy, relabel(1 "No Project" 2 "Energy Project") label(labsize(small) labcolor(black))) ///
blabel(bar, format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Probability of Employment", xoffset(-2)) ylabel(0(.2)1, format(%3.2f)) ///
title("Probability of Employment, by Presence of Project, 2000 to 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Employment rates for 2000 come from Census 5 percent micro-sample and for 2014 come from 1-year estimates of the" ///
"             American Community Survey. Data on energy projects comes from the Department of Energy.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "Energy No Energy.png", replace


graph bar (mean) employed if (energyE==0 | energyE==6), ///
over(energyE, relabel(1 "Year Prior" 2 "Year Following") label(labsize(small) labcolor(black))) ///
blabel(bar, format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Probability of Employment", xoffset(-2)) ylabel(0(.2)1, format(%3.2f)) ///
title("Probability of Employment on Reservations with Energy Projects, 2000 to 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Employment rates for 2000 come from Census 5 percent micro-sample and for 2014 come from 1-year estimates of the" ///
"             American Community Survey. Data on energy projects comes from the Department of Energy.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "Energy Before and After.png", replace

graph bar (mean) employed if casino==0 | (casino==1 & casinoE>0), ///
over(energy, relabel(1 "No Casino" 2 "Casino") label(labsize(small) labcolor(black))) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
blabel(bar, format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Probability of Employment", xoffset(-2)) ylabel(0(.2)1, format(%3.2f)) ///
title("Probability of Employment, by Presence of Casino, 2000 to 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Employment rates for 2000 come from Census 5 percent micro-sample and for 2014 come from 1-year estimates of the" ///
"             American Community Survey. Data on casinos comes from the National Indian Gaming Commission.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "casino No casino.png", replace


graph bar (mean) employed if (casinoE==0 | casinoE==7), ///
over(casinoE, relabel(1 "Year Prior" 2 "Year Following") label(labsize(small) labcolor(black))) ///
bar(1, fcolor("168 69 76") lcolor("168 69 76")) ///
blabel(bar, format(%4.3f) box fcolor(white) lcolor(white) justification(center) alignment(middle)) ///
ytitle("Probability of Employment", xoffset(-2)) ylabel(0(.2)1, format(%3.2f)) ///
title("Probability of Employment on Reservations with Casinos, 2000 to 2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
note("Notes.  Employment rates for 2000 come from Census 5 percent micro-sample and for 2014 come from 1-year estimates of the" ///
"             American Community Survey. Data on casinos comes from the National Indian Gaming Commission.", ///
pos(7) xoffset(-12) yoffset(-3) color("139 131 101")) scheme(ReportWarm)
graph export "casino Before and After.png", replace


twoway (mspline EbTIMEe energyE if energyE>=1 & energyE<=10 , sort bands(11) n(100) lpattern(solid) msymbol(circle) lcolor("166 181 91")) ///
(mspline EuTIMEe energyE if energyE>=1 & energyE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("166 181 91")) ///
(mspline ElTIMEe energyE if energyE>=1 & energyE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("166 181 91")), ///
ytitle("Effect of Energy Initiatives", xoffset(-2.5)) ylabel(, format(%3.1f)) ///
legend(off) ///
yline(0, lwidth(medium) lcolor("195 204 200")) ///
title("Effect of Energy Initiative on Probability of Employment on Reservations, " "2000-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle("Years Since Opening") xlabel(1(1)10) ///
note("Notes. Analyses are confined to reservation areas and job initiatives started in 2000 and later. Line is smoothed.", ///
pos(7) xoffset(-12) color("139 131 101")) scheme(ReportWarm)
graph export "EnergyE.png", replace

twoway (mspline CbTIMEe casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(solid) msymbol(circle) lcolor("168 69 76")) ///
(mspline CuTIMEe casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("168 69 76")) ///
(mspline ClTIMEe casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("168 69 76")), ///
ytitle("Effect of Casino Opening", xoffset(-2.5)) ylabel(, format(%3.1f)) ///
legend(off) ///
yline(0, lwidth(medium) lcolor("195 204 200")) ///
title("Effect of Casino Opening on Probability of Employment on Reservations," "2000-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle("Years Since Opening") xlabel(1(1)10) ///
note("Notes. Analyses are confined to reservation areas and job initiatives started in 2000 and later. Line is smoothed.", ///
pos(7) xoffset(-12) color("139 131 101")) scheme(ReportWarm)
graph export "CasinoE.png", replace

twoway (mspline EbTIMEw energyE if energyE>=1 & energyE<=10 , sort bands(11) n(100) lpattern(solid) msymbol(circle) lcolor("166 181 91")) ///
(mspline EuTIMEw energyE if energyE>=1 & energyE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("166 181 91")) ///
(mspline ElTIMEw energyE if energyE>=1 & energyE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("166 181 91")), ///
ytitle("Effect of Energy Initiative on Wages", xoffset(-2.5)) ylabel(-2000(1000)2000, format(%3.0f)) ///
legend(off) ///
yline(0, lwidth(medium) lcolor("195 204 200")) ///
title("Effect of Energy Initiative on Wages on Reservations, 2000-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle("Years Since Opening") xlabel(1(1)10) ///
note("Notes. Analyses are confined to reservation areas and job initiatives started in 2000 and later. Line is smoothed.", ///
pos(7) xoffset(-12) color("139 131 101")) scheme(ReportWarm)
graph export "EnergyW.png", replace

twoway (mspline CbTIMEw casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(solid) msymbol(circle) lcolor("168 69 76")) ///
(mspline CuTIMEw casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("168 69 76")) ///
(mspline ClTIMEw casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("168 69 76")), ///
ytitle("Effect of Casino Opening on Wages", xoffset(-2.5)) ylabel(-2000(1000)2000, format(%3.0f)) ///
legend(off) ///
yline(0, lwidth(medium) lcolor("195 204 200")) ///
title("Effect of Casino Opening on Wages on Reservations, 2000-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle("Years Since Opening") xlabel(1(1)10) ///
note("Notes. Analyses are confined to reservation areas and job initiatives started in 2000 and later. Line is smoothed.", ///
pos(7) xoffset(-12) color("139 131 101")) scheme(ReportWarm)
graph export "CasinoW.png", replace

twoway (mspline EbTIMEp energyE if energyE>=1 & energyE<=10 , sort bands(11) n(100) lpattern(solid) msymbol(circle) lcolor("166 181 91")) ///
(mspline EuTIMEp energyE if energyE>=1 & energyE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("166 181 91")) ///
(mspline ElTIMEp energyE if energyE>=1 & energyE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("166 181 91")), ///
ytitle("Effect of Energy Initiative", xoffset(-2.5)) ylabel(-.3(.1).3, format(%3.1f)) ///
legend(off) ///
yline(0, lwidth(medium) lcolor("195 204 200")) ///
title("Effect of Energy Initiative on Probability of Living in Poverty on Reservations," "2000-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle("Years Since Opening") xlabel(1(1)10) ///
note("Notes. Analyses are confined to reservation areas and job initiatives started in 2000 and later. Line is smoothed.", ///
pos(7) xoffset(-12) color("139 131 101")) scheme(ReportWarm)
graph export "EnergyP.png", replace

twoway (mspline CbTIMEp casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(solid) msymbol(circle) lcolor("168 69 76")) ///
(mspline CuTIMEp casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("168 69 76")) ///
(mspline ClTIMEp casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("168 69 76")), ///
ytitle("Effect of Casino Opening", xoffset(-2.5)) ylabel(-.3(.1).3, format(%3.1f)) ///
legend(off) ///
yline(0, lwidth(medium) lcolor("195 204 200")) ///
title("Effect of Casino Opening on Probability of Living in Poverty on Reservations," "2000-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle("Years Since Opening") xlabel(1(1)10) ///
note("Notes. Analyses are confined to reservation areas and job initiatives started in 2000 and later. Line is smoothed.", ///
pos(7) xoffset(-12) color("139 131 101")) scheme(ReportWarm)
graph export "CasinoP.png", replace

foreach var in EbTIMEineq EuTIMEineq ElTIMEineq CbTIMEineq CuTIMEineq ClTIMEineq {
replace `var'=`var'*10
}

twoway (mspline EbTIMEineq energyE if energyE>=1 & energyE<=10 , sort bands(11) n(100) lpattern(solid) msymbol(circle) lcolor("166 181 91")) ///
(mspline EuTIMEineq energyE if energyE>=1 & energyE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("166 181 91")) ///
(mspline ElTIMEineq energyE if energyE>=1 & energyE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("166 181 91")), ///
ytitle("Effect of Energy Initiative", xoffset(-2.5)) ylabel(0(5)15, format(%3.1f)) ///
legend(off) ///
yline(0, lwidth(medium) lcolor("195 204 200")) ///
title("Effect of Energy Initiative on Reservation Area Inequality, 2000-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle("Years Since Opening") xlabel(1(1)10) ///
note("Notes. Analyses are confined to reservation areas and job initiatives started in 2000 and later. Line is smoothed.", ///
pos(7) xoffset(-12) color("139 131 101")) scheme(ReportWarm)
graph export "Energyineq.png", replace

twoway (mspline CbTIMEineq casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(solid) msymbol(circle) lcolor("168 69 76")) ///
(mspline CuTIMEineq casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("168 69 76")) ///
(mspline ClTIMEineq casinoE if casinoE>=1 & casinoE<=10, sort bands(11) n(100) lpattern(dash) msymbol(circle) lcolor("168 69 76")), ///
ytitle("Effect of Casino Opening", xoffset(-2.5)) ylabel(0(5)15, format(%3.1f)) ///
legend(off) ///
yline(0, lwidth(medium) lcolor("195 204 200")) ///
title("Effect of Casino Opening on Reservation Area Inequality, 2000-2014.", ///
pos(11) yoffset(3) xoffset(-2) size(medlarge)) ///
xtitle("Years Since Opening") xlabel(1(1)10) ///
note("Notes. Analyses are confined to reservation areas and job initiatives started in 2000 and later. Line is smoothed.", ///
pos(7) xoffset(-12) color("139 131 101")) scheme(ReportWarm)
graph export "Casinoineq.png", replace


